-----------------------------------------------------------------------------------------
	$Id: ChangeLog 10212 2014-02-27 06:55:35Z pwessel $
-----------------------------------------------------------------------------------------

-----------------------------------------------------------------------------------------
2014-03-01	pwessel
	* GMT 4.5.12 finalized and released [GSHHG 2.3.0 was released on Feb 1]
-----------------------------------------------------------------------------------------
2014-02-17	fwobbe
	* gmt_init.c etc.:	File locking -- if enabled via -DFLOCK -- is
				non-compulsory now.  This means if fcntl fails for some reason,
				GMT continues to access the file.  Hence, it is recommended to
				configure GMT with --enable-flock even if fcntl might be buggy
				on some ancient NFS shares.

2014-02-17	pwessel
	* gmt_map.c:		Size for memory allocation cast the product of nx * ny to
				size_t but overflow had already happen as calculation was
				done using ints, then cast to size_t. Must cast nx and ny
				separately.
2014-02-10	jluis
	* misc/gmt2kml.c:	Make sure the default style IDs are unique for each process.

2014-02-07	jluis
	* ps2raster.c:		Make sure that images in KML files do not carry a directory name

2014-02-03	pwessel
	* pslib.c:		Auto-widen paragraph width to at least fit widest word.

2014-02-01	pwessel
	* configure.ac:		Since GSHHG 2.3.0 was released today, make that the default

2014-01-26	pwessel
	* gmt_grdio.c:		Building the grid command string could exceed its length if
				the argument became exactly the max length of the array; then
				a final extra character \0 would be added and exceed array length.
				Thanks to Joachim Saul for pointing it out.

2014-01-22	pwessel
	* pscoast.c:		The processing of -I -N levels and pens could get out of sync
				so that the wrong pen was used for the specified feature.

2014-01-16	remko
	* pslib.c:		Take superscripts and subscripts into account when determining
				dimensions of text box.

2014-01-10	pwessel
	* grdmath.c:		Had to let SDIST return km instead of degrees since it cannot
				do degrees for geodesics.  By doing km it is now aligned with
				what PDIST and LDIST returns for geographic data, and matches
				what GMT5 does.  Some scripts had to be modified to handle the
				new behavior.  If you use SDIST you may wish to check your usage.
				Also fixed bug in SDIST in that spherical selected geodesics
				and ellipsoidal selected great circles (we want the opposite).
				To assist users wanting spherical degrees we have added the
				two conversion operators KM2DEG and DEG2KM.

2014-01-09	pwessel
	* gmt_vector.c:		Add protection against introduced longitude-jumps produced
				by resampling in GMT_fix_up_path.

2014-01-08	pwessel
	* gmt_map.c:		Protect against longitude wrap in Haversine and Rudoe

2014-01-01	pwessel
	* x2sys/x2sys.c:	Mishandled the assignment of segment number for each record.
	* gmt_support.c:	Allow GMT_crossover to deal with global wrapped data.

2013-12-24	pwessel
	* gmt_proj.c:		Xmas bug: GMT_eckert4|6 did not increment n_iter count and
				could get stuck in infinite loop.

2013-12-22	pwessel
	* gmt_plot.c:		Grid crosses clipped by map boundary was messed up (Issue 461)

2013-12-10	pwessel
	* grdvector.c:		Vector direction did not adjust when negative scales were
				used in -JX or -Jx.
	* psxy[z].c		---"---

2013-11-26	mtchandl
	* mgd77header.c:	Fix 10 degree identifiers.

2013-11-26	pwessel
	* grdlandmask.c:	Failed to fill partial bins with no coastlines when the region
				crossed Greenwich.

2013-11-23	pwessel
	* ps2raster.c:		Better reporting if any of the system calls to gs or gdal_translate
				fail.

2013-11-08	pwessel
	* ps2raster.c:		Under Mavericks, strcpy would exit if the to and from pointers
				are the same, so need to check.
	* grdvector.c:		The new -I check had some issues that caused recalculation of
				the given increments.
2013-11-05	pwessel
	* configure.ac:		Moved to 4.5.12 and back to svn release only.
-----------------------------------------------------------------------------------------
2013-11-05	pwessel
	* GMT 4.5.11 finalized and released, with GSHHG 2.2.4, and with GMT 5.
	4.5.10 had a newly introduced bug in some shell scripts so we had to fix
	those and increment the minor release counter.
-----------------------------------------------------------------------------------------
2013-11-05	pwessel
	* configure.ac:		Moved to 4.5.11 and back to svn release only.
	* install_gmt4.sh:	New name for old install_gmt.sh

-----------------------------------------------------------------------------------------
2013-11-05	pwessel
	* GMT 4.5.10 finalized and released, with GSHHG 2.2.4, and with GMT 5
-----------------------------------------------------------------------------------------

2013-11-03	pwessel
	* gmtlogo, gmtget, gmt_shell_scripts.sh:
				These all needed to be prepared by configure via *.in files
				to set the correct GMT4 bindir, otherwise the GMT script would
				pick other versions.

2013-10-31	pwessel
	* mgd77/mgd77list.c:	Picked id = time_column when set was 1 (custom), causing the
				first custom data column to be formatted as time.

2013-10-23	pwessel
	* grdmath.c:		Fix bug in CURV operator.

2013-10-05	pwessel
	* greenspline.c:	Needed -f in order to select -f0T input, plus it made assumptions
				about lon,lat despite not being selected.

2013-10-04	pwessel
	* gmt_setup.conf:	New name for old gmt.conf, to minimize confusion with GMT 5.

2013-09-28	remko
	* gmt_init.c:		Shifted JD origin by one day (24 Nov, instead of 25 Nov).

2013-09-18	pwessel
	* grdtrend.c:		We messed up pstuff[0] usage in the 2009-10-14 fix in 4.5.2.
				This affected robust fits and grids with NaNs.

2013-09-14	pwessel
	* psmask.c:		Multiple, ancient bugs fixed: properly mark used edges, fix
				memory allocations, not report clipping if -D is used, starting
				point for a contour was not offset by 1/2 pixel.

2013-09-02	pwessel
	* psmask.c:		Was off by one in grd index, thus exceeding array length at end.

2013-08-24	pwessel
	* gmt_io.c:		The GMT_import_table function checked for greenwich before assigning
				the input data (issue #357).

2013-08-23	pwessel
	* gmtset.c:		Did not write values to .gmtdefaults4 if BASEMAP_TYPE was graph or inside.

2013-07-23	pwessel
	* nearneighbor.c:	Clarify how -N works, what the defaults are, and let the
				minimum number of sectors default to 50% of sectors instead
				of a hard-wired 2.  Addresses issue # 343.

2013-07-08	pwessel
	* gmtmath.c:		Wrong index order in rarely used SVD part of LSQFIT.

2013-07-05	pwessel
	* pstext.c:		The line in -D...v was plotted on top rather than beneath box.

2013-06-27	pwessel
	* gmt_io.c:		Fix a side-effect of the 2013-04-18 correction.

2013-05-31	pwessel
	* gmt_plot.c:		Did not check for map-jumping in GMT_plot_rectangle (psxy -SJ).
	* meca/psvelo.c:	Did not honor the -N setting.

2013-05-21	pwessel
	* pscontour.c:		Added -St to skip triangles whose 3 vertices are outside domain;
				in contrast, -S or -Sp skips all points outside domain before
				triangularization.
	* meca/psvelo.c:	Called get_trans at NP but could not handle the truth.

2013-05-17	pwessel
	* gmt_map.c:		GMT_grdproject_init did not handle increments that had been
				specified as units, e.g., -D30e.

2013-05-09	pwessel
	* share/x2sys:		Added dat.def for mgd77 ASCII DAT format.

2013-04-19
	* grdmath.c:		The XOR operator was incorrect, it is now clarified to be
				0 if A == NaN and B == NaN, NaN if B == NaN, else A.
	* grdlandmask.c:	Did not set output as geographic after using -Jx1d.

2013-04-18	pwessel
	* gmt_io.c:		Could not properly decode yyodd (no delimiter) time coordinates
				like 12Oct24.

2013-04-17	pwessel
	* filter1d.c:		Susceptible to round-off when determining t of first and last output
				point when -T was not given.  Fixes issue # 241.

2013-04-14	pwessel
	* sph/sphdistance.c:	Make sure we visit replicated columns for gridline registered grids.
	* blockm*.c:		Did not use data near west column nodes that were off by 360 for
				gridline registered grids.

2013-04-12	pwessel
	* gmt_map.c:		The oblique Mercator would get the pole on the wrong hemisphere
				Fixes issue #230

2013-04-10	pwessel
	* grdimage.c:		Fix bug represented by the globalgrid.sh test script for mix
				of -Rs and pixel/gridline choices.

2013-04-07	pwessel
	* gmt_grdio.c:		Would restrict grid region in grdimage despite doing a global map
				with azimuthal projections.

2013-04-03	pwessel
	* gmt_map.c:		When -Jx is used with longitudes we must use the wesn-clipping
				and outside functions, not the Cartesian ones.
				Fixed clipping problem in wesn_clip for regions > 180 but < 360.

2013-03-25	pwessel
	* greenspline.c:	The normalization for 2-D with geographic data suffered from
				not checking that longitudes may be off by +/- 360.
	* grdblend.c:		Despite geographic grids there were no check to roll a grids
				-R by +/- 360 to match specified output region.

2013-03-23	pwessel
	* gmt_customio.c:	The magic recognition of native bit grids failed due to bad math.
				Wrote wrong number of bytes per record for odd-width Sun rasterfiles

2013-03-22	pwessel
	* greenspline.c:	When -T was used the number of z-layers (1) was not initialized.

2013-03-21	pwessel
	* grdvector.c:		Did not reject vectors on far side of orthographic maps.

2013-02-12	pwessel
	* grdfft.c:		Fix normalization for std.dev of power estimate in -E.

2013-01-30	pwessel
	* xyz2grd.c:		For -E, must read data as double so can properly compare
				with the nodata_value read as double.

2013-01-19	pwessel
	* mgd77/mgd77list.c:	The azimuth written was back-azimuth, not forward.

2013-01-17	pwessel
	* gmt_grdio.[ch]:	Add latest dimensions for Sandwell/Smith ~85S/~85N img files

2013-01-15	pwessel
	* gmtmath.c:		The MIN and MAX operators ignored NaNs, but result should
				be NaN if one of the operands equal NaN.
	* grdmath.c:		---"---

2013-01-10	pwessel
	* gmt_proj.c:		Inverse -JR blew up at origin; now added check.

2013-01-09	pwessel
	* gmt_io.c:		Formats for degree annotations using colons should never
				end in a trailing colon.

2013-01-07	pwessel
	* grdvector.c:		Enforce that -Idx/dy must be multiples of grid dx/dy and
				abort if they are not.  Before we would crash, hang, etc.
	* gmt_proj.c:		Needed to allow for minor round-off when determining if
				a point is beyond the horizon for -JG genper.
	* gmt_grd.h:		Moved the #include <netcdf.h> from here to gmt_nc.c.

2013-01-04	pwessel
	* install_gmt.sh:	Allow configure to deal with netcdf detection, removed
				obsolete universal binary option for OS/X.
	* gmt_install_form.html:	Eliminated universal checkbox, improved notes.
	* install_gmt_form.pl:	No longer parse and write universal binary options.
	* GNUmakefile:		No longer use $GMT_UNIVERSAL setting from gmtguru.macros.
	* configure.ac:		Deal with netcdf support via nc-config unless explicitly
				set to no or cannot be found, and supply default dir
				for GSHHG_path if not specified via --with-gshhg-dir

2013-01-03	pwessel
	* configure.ac:		Moved to 4.5.10 and svn release only.
	* grdsample.c:		When given a -Rg grid and giving -Rg on command line, the
				output region became -360/0 instead of 0/360.

-----------------------------------------------------------------------------------------
2013-01-02	pwessel
	* GMT 4.5.9 finalized and released, with GSHHG 2.2.2
-----------------------------------------------------------------------------------------
2012-12-28	pwessel
	* grdproject.c:		The north coordinate would get clobbered when -C was used,
				thus creating wrong setup.

2012-12-20	jluis
	* mgd77			Updated the CM4 coefficient files to those of GMT5

2012-12-18	pwessel
	* gmt_shore.c:		Will now look for either ".nc" or ".cdf" GSHHG files; needed
				since GSHHG is now stand-alone.  Also look in given <dir>
				directory if compiled in via configure --with-gshhg-dir=<dir>.

2012-11-19	pwessel
	* gmt_map.c:		Clipping function could shift the w/e boundaries by an
				extra 360, thus finding nothing inside in some pscoast tiles.
	* gmt_support.c:	Improved contour orientation function for grdcontour -F,
				thanks to Thomas Hottendorff.
				Resolved case of crossings at perfect saddles.

2012-11-05	pwessel
	* pslib.c:		Typo in array index in European letter shorthands for German
				double-s; thanks to David Lachapelle.

2012-10-19	pwessel
	* spotter/libspotter.c:	Did not check for time reversals among total reconstruction rotations.

2012-10-10	pwessel
	* gmtdefaults.txt:	Typo in MJD date
	* x2sys/x2sys_cross.c:	Did not convert time to seconds before calculating speed.
				Disallowed distance gap check if time was present.

2012-10-03	pwessel
	* meca/psvelo.c:	Bug in parsing the -A arguments.

2012-09-26	pwessel
	* mgd77/mgd77magerf.c:	The -A+t<time> option did not parse ISO calendar items.

2012-09-20	pwessel
	* gmt_grdio.c:		For -R...r the adjusted w/e/s/n had excessive e/n values

2012-09-03	remko
	* gmt.h, configure.ac:	Remove #define _POSIX_SOURCE 1 and add -std=c99 to allow j0, j1, .. yn
				functions.

2012-06-15	pwessel
	* grdfilter.c:		For -D4 set scale based on max |lat| in input grid.

2012-06-13	pwessel
	* project.c:		Backport changes implemented in GMT5 to make the -C -T -G combination
				work properly.

2012-06-11	pwessel
	* spotter/originator.c:	Bad format statement would wreck the 5th output column when
				run in default mode.

2012-05-31	pwessel
	* gmt_map.c:		With -R...r and -JE, pscoast could end up trying to paint a
				block that is outside the rectangular region yet whose projection
				completely contains the region.
2012-05-11	pwessel
	* gmtmath.c:		Operators UPPER and LOWER did not assign output to rows
				that contain NaN.
	* misc/dimfilter.c:	Initialized a max value to -DBL_MIN instead of -DBL_MAX.

2012-04-29	pwessel
	* src/gshhg:		Renamed supplement and tools to gshhg to match how
				the data will be distributed from now on.
	* doc/html:		The GSHHS (now GSHHG) supplement was missing from the
				supplemental man page listing.

2012-04-26	remko
	* doc/GNUmakefile:	Brought back missing scripts in Appendix P.
	* configure.ac:		Update to version 4.5.9.
	* psxy.c:		Fixed issue #66.

2012-04-22	jluis
	* pslib.c:		Always print %%EOF as last line of the PS file. This line
				is needed by ps2raster to detect good closure condition
				(no -K in excess)

2012-04-18	pwessel
	* spotter/backtracker.c:	First and last point in a path was not converted back
				from geocentric coordinates.

2012-04-15	pwessel
	* mgd77/mgd77.c:	Copied 4 rather than 2 characters into day field.

2012-04-08	pwessel
	* xgrid/*:		Now works again, thanks to Lloyd Parkes!

2012-04-02	fwobbe
	* configure.ac, gmt_version.h.in, gmt_version.c, GNUmakefile:   Set
				svnversion in configure.ac. Fallback solution if tree
				was exported from svn and does not contain metadata.
				Needed for svn 1.7 trees.

-----------------------------------------------------------------------------------------
2012-04-01	pwessel
	* GMT 4.5.8 finalized and released
-----------------------------------------------------------------------------------------

2012-03-27	pwessel
	* meca/ps*.c:		Make sure text arrays are initialized to NULL before using.

2012-03-26	pwessel
	* psrose.c:		Option -T did not create a symmetric plot for -R0/360/...

2012-03-22	pwessel
	* gmt_plot.c:		Eliminated notch in corners of rectangular map frames (same as for linear frames)

2012-03-17	pwessel
	* minmax.c:		Avoid infinite loop if a record has different number of fields than expected.

2012-03-13	remko
	* configure.ac:		Added support of GNU/kFreeBSD OS.

2012-03-09	pwessel
	* mgd77/*.c:		Introduced support for NGDC's MGD77T (tab-delimited) format
	* mgd77list.c:		Confused the meaning of -F shorthands mgd77 and all.  Now handle
				all the stored and derived quantities needed to reproduce original data.

2012-02-27	pwessel
	* *.c. */*.c:		Some failed to use FIELD_DELIMITER and/or D_FORMAT for ascii output.

2012-02-24	pwessel
	* gmt_support.c:	GMT_inonout_sphpol_count did not properly handle line segments
				that were exactly vertical in all cases, leading to errors as
				to a point being inside or outside a spherical polygon.

2012-02-14	remko
	* GNUmakefile, configure.ac:	Split off triangle code again into gmt-${version}-non-gpl.tar.bz2

2012-02-13	pwessel
	* gmt_proj.c:		Determine if N or S polar for conic projections by looking at the
				selected region, not the central point [D. Scheirer report 2/9/2012].

2012-02-07	jluis
	* ps2raster.c:		On Windows the ghostscript executable path is now fetch from
				the registry. In case it fails, fall back to the old "get
				it from the path" mechanism.
	* gmt_math.h:		Revert the s_rint change. It was causing lots of troubles to
	* pslib.c:		compile with VS.

2012-02-02	pwessel
	* gmt_proj.c:		For -JE, both projection center and antipode gave x = y = 0.
				Now, antipode results in NaN, NaN.

2012-01-13	jluis
	* s_rint.c:		(for) Windows rint function that does ieee compliant rounding like GCC
	* gmt_math.h:
	* pslib.c:

2012-01-12	remko
	* gmt_support.c:	Fixed error in reading colors of pattern in -G option

2012-01-10	pwessel
	* gmt_map.c:		-R0/360 and -JMlon/lat would not set global_map properly,
				giving NaNs as scale.

2012-01-08	pwessel
	* grdcut.c:		The -Z would give incorrect -R for pixel grids.  Now also
				print warning if output grid equals input grid (no change).

2012-01-06	pwessel
	* gmt_plot.c:		In GMT_xy_axis, string[GMT_CALSTRING_LENGTH] was used to hold
				labels that could be longer, leading to memory corruption.
	* gmt_support.c:	In GMT_hold_contour_sub, a variable called closed (which could
				a flag 0-3) was used as a 0/1 variable.  Added is_closed = 0|1.

2012-01-05	jluis
	* gmt_customio.c:	Make nx and ny of 'unsigned short int' type in surfer6 header.
				Note that original format specification by Golden Software
				clearly say they are 'short int' but this change shouldn't
				break anything and will allow dealing with larger grid sizes.

2011-12-03	pwessel
	* mgd77/mgd77track.c:	Did not set GMT's time system to Unix before dealing
				with dates.  Now done centrally by MGD77_Init.

2011-12-02	pwessel
	* project.c:		For -G<inc> -bo we failed to write any output.

2011-11-30	pwessel
	* gmt_support.c:	GMT_getfill got confused when a Windows path C:\etc was
				given as an pattern file (mixed up with :F and :B mechanism).

2011-11-21	pwessel
	* grdview.c:		Also, when nodes are adjusted by small to avoid matching a
				contour value exactly (during contouring), the same adjustment
				must be made later when those nodes are used to determine how
				to stitch together polygons for fill.

2011-11-21	jluis
	* pscoupe|polar|velo.c	Could not read from stdin because of the cross dll boundaries
				on Win, must use GMT_stdin instead of stdin.

2011-11-19	jluis
	* mgd77/mgd77.c:	Fix memory allocation bug in MGD77_Read_Header_Sequence() where
				it was reading MGD77_RECORD_LENGTH records into a shorter
				MGD77_HEADER_LENGTH longer variable.

2011-11-18	pwessel
	* grdview.c:		The contouring could suffer from the same round-off issues that
				affected grdcontour (and fixed back in 2004).  Now same fix is
				applied in grdview.  Also set -S to 0 as stated in man page;
				this matches default in grdcontour as well.

2011-11-17	pwessel
	* grdlandmask.c:	Now recognizes a -R for global grid when nx*dx == 360.
	* nearneighbor.c:	--"--
	* grdcut.c:		--"--
	* grdfilter.c:		--"--
	* grdinfo.c:		--"--
	* grdimage.c:		--"--

2011-11-14	pwessel
	* gmt_plot.c:		Fixed the corner caps in linear base frames.

2011-11-13	pwessel
	* gmt_grdio.c:		The opening of files for rec-by-rec grid read had a mix if-test
				that could take us to the else clause inadvertently.

2011-10-25	remko
	* gmt_notposix.c:	Introduced as in GMT5. Moving stuff from gmt_stat.c.
	* gmt_math.h:		Be more careful declaring function as 'extern' only when
				there is no macro.

2011-10-23	jluis
	* gmt_notunix.h:	Use #undef HAVE_<func>, instead of #define HAVE_<func> 0
				(prev change in gmt_notposix broke compiling on Windows)
	* gmt_math.h:		Do not declare existing functions as 'extern' that cause a
				flooding of 'inconsistent dll linkage' warnings on Windows.

2011-10-18	pwessel
	* x2sys/x2sys_cross.c:	Memset call used wrong size if 64-bit, thus not resetting
				some boolean values causing crossovers to be missed.

2011-10-14	pwessel
	* test/meca:		Added new meca_5.sh test from Vala Hjorleifsdottir

2011-10-11	remko
	* gmt_notposix.h:	Properly use #undef HAVE_<func>, instead of #define HAVE_<func> 0
	* *.[ch]:		Changed accordingly (needs #if defined() now)

2011-10-10	pwessel
	* gmt_support.c:	GMT_crossover was susceptible to longitude wrapping.

2011-10-01	remko
	* xyz2grd.c:		Only request 2 columns when using -An.

2011-09-28	jluis
	* xyz2grd.c:		On Windows it never actually opened the input xyz file,
				so a crash resulted down the road.

2011-09-20	pwessel
	* meca:			psvelo{.c,txt} did not show -A in synopsis.

2011-08-24	remko
	* gmt_version.c:	Introduced new function GMT_version() to generate version number.
	* *_tests.sh:		Now using graphicsmagick instead of imagemagick for compare.

2011-08-23	pwessel
	* *.c:			Removing variables set but not used throughout.

2011-07-27	remko
	* guru/svnclean.sh:	Renamed from cvsclean.sh and based on .svn directories
	* GNUmakefile, Makefile:	Replaced cvs traces by svn
	* pslib.c:		Use SVN revision number in ps_bulkcopy

-----------------------------------------------------------------------------------------
2011-07-27      pwessel
	Now under subversion control under repository name gmt4.  To check out a copy:
		svn checkout svn://gmtserver.soest.hawaii.edu/gmt4 or, for a "trunkless" copy:
		svn checkout svn://gmtserver.soest.hawaii.edu/gmt4/trunk gmt4
-----------------------------------------------------------------------------------------
2011-07-21	pwessel
	* project.c:		The 4/28/2011 fix traded one bug for another.  Now works
				both with and without -G.  New test/fitcircle/circles.sh
				exercise both options.

2011-07-18	pwessel
	* pstext.c:		Used fgets instead of GMT_fgets which could cause issues
				under Windoze.
	* gmtstitch.c:		Warn that segment with a single point will not connect both
				ends properly - you will need to rerun the task on the new
				sets of segments.  We now give a warning.

2011-07-14	pwessel
	* sph/sphtriangulate:	Passed lon,lat instead of lat,lon to GMT_geo_to_cart
				which would affect the -A option only.
-----------------------------------------------------------------------------------------
2011-07-15	pwessel
	* GMT 4.5.7 finalized and released
-----------------------------------------------------------------------------------------

2011-07-14	pwessel
	* pslib.c:		The @-, @+, @# would reset size to original font size, ignoring
				any changes a @:<size>: sequence would have made.  Also, when
				@:<size>: was used the derived sizes for sub/super were not updated.

2011-07-13	remko
	* gmt_plot.c:		Force arcs to be counter-clockwise in GMT_pie and GMT_matharc.

2011-07-11	pwessel
	* install_gmt.sh:	Simplified GMT packaging to one tarball, with all of GSHHS in
				a separate tarball [similar for the Windows installers].

2011-07-11	remko
	* doc/GNUmakefile:	tex4ht now writes src="file" instead of src=file, so had to
				adjust sed script.
	* website:		webexamples now only in 100dpi form (from doc/html/images).
	* Makefile:		Updated doc directory.

2011-07-08	pwessel
	* *.c:			Added initialization of pointers to NULL as in GMT 5.
	* makecpt.c:		Ignore any files given on command line (issue warning).

2011-07-08	remko
	* doc/GNUmakefile:	Fixed a few lingering transition issues.

2011-07-05	pwessel
	* gmt_support.c:	Used hardwired DEG_TO_KM with Earth's mean radius meant wrong
				results for other planets.  Now using the ELLIPSOID values.

2011-06-30	remko
	* share/doc/gmt/examples:	Moved to doc

2011-06-23	pwessel
	* gmt_shore.c:		Now reads new GSHHS 2.2.0 format that includes feature areas
				stored as doubles.  The old int(0.1*area) would set all
				areas < 0.1 km^2 to zero [only affected gshhs supplement].
				Areas were also recomputed to use WGS-84 ellipsoid (not sphere).
	* gshhs/gshhs.c:	Updated to handle GSHHS 2.2.0.	Also added -Amin to exclude
				smaller polygons on output and -G for special Octave/Matlab-
				formatted output [suggested by José Luis García Pallero],
				as well as -Q to control output of river-lakes and -N to
				control which levels to get.

2011-06-20	pwessel
	* *.c:			No longer use DIR_DELIM since / works for all.  Added path
				fixer to turn odd /c/dir/.. into c:/dir/..

2011-06-20	remko
	* gmt_notunix.h:	Only define PATH_SEPARATOR (as char), not also PATH_DELIM.

2011-06-15	jluis
	* makecpt:		For some crazy reason on Windows the comment line now was
				being written at the end of the cpt file.

2011-06-13	pwessel
	* -X -Y:		Allow absolute positioning with -Ya even if no -X is given
				and vice versa.

2011-06-12	pwessel
	* x2sys:		New test suite based on Wessel [2010] figure scripts.

2011-06-10	pwessel
	* gmt_map.c:		Clip path for van Grinten was wrong for global maps.

2011-06-08	pwessel
	* xgrid/xgrid_Panner.c:	Eliminate "cast to pointer from integer of different size"
				by casting the value via (ptrdiff_t) [Thanks to L. Parkes].

2011-06-07	pwessel
	* animations:		Add note that when run without any argument they produce just
				the first frame as PS.  With an arg we build the movie.
	* grdcontour.c:		Could crash if -C -A give no contours and we freed a non-allocated array.
				[Thanx to Walter Harms].

2011-06-05	pwessel
	* nearneighbor.c:	For global region in longitudes, cannot extend w/e limits
				as we do for Cartesian and region-limited areas.

2011-06-04	pwessel
	* gmt_plot.c:		Eliminated notch in corners of linear map frames and color bars.

2011-06-01	pwessel
	* spotter/grdrotater.c:	Could end up with w=e=0 in some cases.
	* grdedit.c:		The -N option did not consider replicate w/e points for
				gridline-registered grids.
	* grdfilter.c:		Now gives consistent values at poles and along shared E/W cols.

2011-05-31	pwessel
	* grdfilter.c:		Convolution weights were y-transposed so gave wrong results
				at/near the poles for spherical filtering.  Also, some nodes
				were duplicated in the convolution, resulting in inconsistent
				values at the S or N pole.
	* grdlandmask.c:	Did not correctly truncate nodes for GSHHS bins with no data.

2011-05-26	pwessel
	* gmt_map.c:		GMT_wesn_clip needed to adjust longitudes to fit the given domain.

2011-05-25	pwessel
	* nearneighbor.c:	The -N1 selection did not reset the minimum sector setting to 1.

2011-05-23	jluis
	* xyz2grd.c:		Fixed bug when reading a file using -E option on Windows.
				The file was actually read with GMT_fopen and accessed with fgets

2011-05-11	remko
	* gmt_nc.c:		Ignore reading of node_offset attribute. Registration is now
				based on match between actual_range attributes and coordinate arrays.

2011-05-10	pwessel
	* gmt_grdio.c:		Did not account for the doubling of a grid array for complex
				data when scaling data after read.  This made grdfft give
				odd results when grids with a scale other than 1 was read.
				Bug was first introduced in GMT 3.0 in 1995, making it a
				bug with seniority!

2011-05-09	pwessel
	* grdimage.c:		When image is grayscale and -Q is used then image must be
				converted to 24-bit and we set NaN color to a non-gray value.

2011-05-07	pwessel
	* gmt_grdio.c:		Failed to create proper old-style v3 netcdf file if selected
				for the output in grdblend.
	* gmt_agc_io.c:		Needed char floatvalue[PARAMSIZE+1], with the 1 to hold final \0
	* grdblend.c:		Now mentions which formats are supported and polices the process.

2011-05-03	pwessel
	* pstext.c:		The -A can reset the text angle but also needs to reset justification.

2011-05-03	remko
	* gmt_map.c, pstext.c:	Now allow negative azimuth in -E option.

2011-05-01	remko
	* script/*.sh:		Replaced ". functions.sh" by ". ./functions.sh" to avoid problems
				with people who do not have . in their PATH. E.g., Ubuntu.

2011-05-01	pwessel
	* job03.sh:		Replaced complicated awk scripting with gmtmath to ensure
				we get the common sampling range which changed by a tad
				due to the bug in project.
2011-04-28	pwessel
	* project.c:		The -G -T combination failed to produce great circles.

2011-04-28	remko
	* meca/*.c:		Added numerous missing strokes and removed superfluous movetos.
	* pslib/*.ps:		Back-ported a few updates from GMT5 eliminating needless strokes.
	* pslib.c:		---"---; using clipsave/restore instead of gsave/restore for clipping.
	* gmt_plot.[ch]:	Removed GMT_clip_{on,off}. Added GMT_setfill.
	* gmt_support.c:	Removed unused GMT_grid_clip_path.
	* gmt_grdio.c:		Back-ported update from GMT5 concerning grids moved by 360 in lon.
	* pscoast.c:		Back-ported a lot of updates from GMT5.
	* grdview.c:		Removed grdview_init_setup because it yields unpredictable results
				and prevents lineup of different 3D plots.
	* test/grdview/icelandbox.sh:	New test case based on query by Peter Schmidt.

2011-04-27	pwessel
	* spotter/grdrotater.c:	Ensure that output grid xmin/xmax honors the current
				OUTPUT_DEGREE_FORMAT range settings.

2011-04-26	remko
	* test/grdview/cuerpo.sh:	New test based on query by Eduardo Suarez.

2011-04-20	remko
	* grdview.c:		grdview_init_setup produced an incorrect plot offset.

2011-04-17      pwessel
	* mapproject.c:		Kept treating x,y as lon,lat when -G[lon/lat/]c (c for Cartesian)
				were given.

2011-04-16      pwessel
	* gmt_map.c:		The GMT_wesn_search did not handle periodic longitudes well,
				now replaced with proper quadrant checking as in minmax.

2011-04-12      pwessel
	* configure.ac:		Added check for log2, with macro in gmt_math.h

2011-04-11      pwessel
	* grdproject.c:		Output header had wrong units when non-inch settings were in effect.

2011-04-04	jluis
	* gmt_init.c:		Apply a workaround to the test of  access to 'GMT_TMPDIR' that
				made the Win 64 bits version crash when that env variable was set.
2011-04-03      pwessel
	* grdfilter.c:		The -Nr option did not work as it skipped assigning the NaN

2011-03-31      pwessel
	* ps2raster.c:		Typo in the +u<URL synopsis for the -W usage.

2011-03-28      pwessel
	* *.[ch]:               Replace STAT with GMT_STAT to avoid name clashes on some systems.
	* misc/gmt2kml.c:	Ensure pen is given in points and >= 1 in width.
	* misc/gmt2kml.txt:	Explain how pen needs to be set.
	* pscontour.c:		Got wrong contour level when some segments along edges were skipped.

2011-03-28	remko
	* ps2raster.c:		Automatically add GS option -dMaxBitmap=100000000 with -TG to overcome
				gs bugs/limitations.

2011-03-17	pwessel
	* gmt_agc_io.c:		Did not do proper indexing for complex data
	* gmt_mgg_header2.c:	Did no implement complex at all.
	* pstext.c:		The -L was missing from the synopsis.

2011-03-13	pwessel
	* <all>:		Removed GMT5-only files from GMT4 repository.
	* website/gmt_cvs.html:	Updated cvs checkout command to get module GMT4

2011-03-11	pwessel
	* configure.ac:		Updated to version 4.5.7 CVS

2011-03-10	pwessel
	* triangulate.c:	Did not check that input file could be found before trying
				to compute stuff and crash [Thanx to Orion Poplawski].
-----------------------------------------------------------------------------------------
2011-03-10	pwessel
	* GMT 4.5.6 finalized and released.  GMT cvs archive moved to GMT4.
	  GMT5 branch will be merged to new trunk and converted to subversion.
-----------------------------------------------------------------------------------------

2011-03-08	pwessel
	* configure.ac:		Check for bad 64-bit qsort under earlier OS X did not work.
				Needed to add -fno-common to CFLAGS under OS X Tiger

2011-03-06	pwessel
	* share/cpt:		GMT_jet.cpt had two bad values causing discontinuities.
	* mex/grdwrite.c:	Round-off could lead to false detection of a non-equally spaced grid.

2011-03-01	pwessel
	* GNUmakefile:		Added make get-gshhs-cvs to get the pre-release GSHHS from the
				pwessel ftp.  Updated gmt_shore.c message on this subject.

2011-03-01	remko
	* gmt_init.c:		On Windows: Look for HOMEPATH after HOME for setting GMT_HOMEDIR

2011-02-28	remko
	* doc/* examples/*:	Run documentation and tests now as it is done in GMT5.

2011-02-27	pwessel
	* gmt_init.c:		Processing of mathangle symbol (-Sm[bfl]) confused the unit detector.
				Added test scripts to check for correct symbol size plotting
				under both CM and INCH environments.

2011-02-27	jluis
	* scripts/GMT_*.sh:	Replaced $AWK for awk since the $AWK variable was not
				set in those the scripts anyway.

2011-02-25	pwessel
	* x2sys/x2sys_datalist.c:	When geographic data and -R it failed to consider periodic lons.
	* x2sys/x2sys_get.c:	The -N option did not work properly, and the reported Y|N flags
				reflected the entire track on not just the portion inside the
				region.  Man page updated to clarify what is returned.
	* gmt_cdf.c:		Apply netcdf open/initfill fix; thanks to Sebastian Heimann.
	* gmt_nc.c:		---"---

2011-02-25	jluis
	* gmt_grdio.c:		Increase the size of the string array in GMT_grd_get_units() to
				avoid 'Buffer overrun' that occurred with long description strings

2011-02-23	pwessel
	* spotter/backtracker.c:	For -W, now report full-length major/minor axes and not
				SEMI-axes (docs said major/minor but code did semi.)

2011-02-22	pwessel
	* gmt_init.c:		The symbol_parsing for psxy[z] did not properly set the
				column types when no symbol size was given.  This affected
				symbols that require angles (-Sw, -SE, -SJ) when unit was SI.

2011-02-17	pwessel
	* gmt_init.c:		The -: option messed up the column type arrays; should
				only swap x|y data columns, not type columns.

2011-02-16	jluis
	* grdproject.c:		Not providing -R was not working anymore.
				Test if hemisphere sign is provided when doing -Ju and no -R

2011-02-10	pwessel
	* pslib.c:		Add check for incomplete escape sequences.

2011-02-09	pwessel
	* grdclip.c:		Now complains if no -S option was given.

2011-02-08	pwessel
	* grdtrack.c:		Message about -L being obsolete should only come when no
				modifier is given; else it is valid for BC setting.

2011-01-25	pwessel
	* pscontour.c:		Did not find some contours following triangle edges.

2011-01-17	pwessel
	* x2sys/x2sys_init.c:	Did not write both of -Nd -Ns to the tag file.

2011-01-11	remko
	* ps2raster.c:		Bug fix after last -F option update
	* gmt_map.c:		Fixed bug in Haversine equation for duplicate point.

2011-01-09	pwessel
	* triangulate.c:	Did not use projected coordinates when -R -J was given.

2011-01-07	pwessel
	* ps2raster.c:		Must pass the optional -C args when calculating BB.
				Added -dSAFER as well, + fix -F option [F. Wobbe].
	* gmtswitch:		Requires bash.

2011-01-04	pwessel
	* gmt_support.c:	GMT_cspline should initialize c[0] = c[n-1] = 0.0 in case
				it is called repeatedly [not the case in GMT].

2011-01-03	pwessel
	* autoconf.ac:		Moving to use GSHHS 2.1.1 for next release.
	* gmt_shore.c:		---"---

2010-12-31	pwessel
	* x2sys_init.c:		Crashed if -D was not given [should imply -DTAG].

2010-12-29	pwessel
	* psscale.c:		Now patterns have constant orientation regardless of using
				horizontal or vertical bar.

2010-12-20	remko
	* meca/utilmeca.c:		Patch to fix incorrect plotting of moment tensors with big
				isotropic components. Thanks to Jeremy Pesicek.

2010-12-17	pwessel
	* grdfilter.c:		Allow -D2 and -D3 to handle periodic and polar boundary conditions.

2010-12-15	pwessel
	* gmt_support.c:	When calculating how far to place an annotation from the tick mark
				we must check if a fancy frame width exceeds the tick length.
2010-12-13	pwessel
	* splitxyz.c:		Did not list -Q in synopsis.
	* surface.c:		Bug if using seconds (c) in search radius (got minutes).
	* *.txt:		Fixed typos in several man pages.

2010-12-13	jluis
	* ps2raster.c:		For some reason -W was not forcing -A. Now it does it again

2010-12-11	pwessel
	* pslegend.c:		One more place to use original -R -J (see 2010-11-18 fix).
	* gmt_map.c:		For van Grinten: errors in left/right_circle
	* gmt_plot.c:		A colored TICK_PEN would also color annotations.

2010-12-05	pwessel
	* spotter/grdrotater.c:	Did not handle the rotation of an entire global grid since
				the polygon outline interfered with the domain.

2010-12-02	pwessel
	* x2sys/x2sys.c:	Minor bug in x2sys binary reading of floats.

2010-11-30	pwessel
	* xyz2grd.c:		Do not tolerate NaNs in x,y and give error (e.g., if junk is given).

2010-11-23	pwessel
	* grdmask.c:		Must skip "polygons" with less than 3 points.  Also, the
				resampling distance for spherical data was wrong, now 0.1 degrees.
	* misc/gmt2kml.c:	Options -N+ and -D would crash under Windows (usual DLL hell).

2010-11-19	pwessel
	* grd2xyz.c:		Extended -Ef mode to write floats (patch by Pierre Cazenave).
	* gmtselect.c:		Due to resampling of parallels in -N, some points exactly on
				a coast bin parallel could fail the test due to roundoff.
				Fixed by not resampling coastlines since it is a Cartesian test.
	* grdlandmask.c:	Same.

2010-11-18	pwessel
	* gmt_io.c:		When ASCII mode, also need to save/restore any netcdf i/o settings.
	* gmt_map.c:		We have a safety valve for preventing a painful slow search
				around the map perimeter.  The search is appropriate for maps
				but not for mapproject results.  The limit was for 200 inch
				wide maps == 14400p.  A user ran pscoast with 14401p and was
				caught.  Now check for 400 inch and also check current page
				size (PAPER_MEDIA). If map width vastly outsizes the paper
				size then it is probably a projection job.
	* pslegend.c:		Need to keep the original -R around since it may be -R....r
	* xyz2grd.c:		Failed if -Evalue was given and the ESRI grid already had a
				nodata_value line.  Now will process this line, if present.
				The value given on the command line will override any setting
				found in the file.  Also made string-checks case-insensitive.
	* gmt_support.c:	GMT_inonout_sphpol_count failed to detect crossings if a
				polygon had vertical line-segments with same longitude as
				the point we were testing.

2010-11-16	pwessel
	* gmt_plot.c:		Tried to free an unallocated array in GMT_draw_custom_symbol.

2010-11-15	pwessel
	* grdproject.c:		Now assign proper x/y units.

2010-11-12	pwessel
	* spotter/rotconverter.c:	Forgot to skip args when -N or -S was used.

2010-11-10	pwessel
	* nearneighbor.c:	Changed default to a more reasonable -N4/2.

2010-11-05	jluis
	* meca/utilmeca.c:	Fix bug affecting the plot of P & T axis

2010-11-05	pwessel
	* blockmean.txt:	Referred to unknown -D option.

2010-11-04	remko
	* meca/*.txt:		Replaced .IP with .TP
	* configure.ac:		Updated to version 4.5.6

-----------------------------------------------------------------------------------------
2010-11-01	pwessel
	* GMT 4.5.5 finalized and released. GMT 5.0.0alpha announced, get via cvs
	NOTE: Windows binaries are built with VC2010 and will not run on older Windows
	versions prior to Windows XP SP2.
-----------------------------------------------------------------------------------------

2010-11-01	pwessel
	* Missing html:		gmt_shell_functions, gmtcolors, gmtget, gmtlogo
				img2google, isogmt, psbbox, sphdistance
				sphinterpolate, sphtriangulate, x2sys_merge
	* A few source files had DOS line endings by mistake
	* Some Makefiles were not 100% GNU portable under Solaris 8.

-----------------------------------------------------------------------------------------
2010-11-01	pwessel
	* GMT 4.5.4 finalized, placed on ftp, but not announced yet.  However, there were
	  a few issues we had to address, hence skipping to 4.5.5 immediately.
-----------------------------------------------------------------------------------------

2010-10-29	pwessel
	* ex??/job??.[c]sh:	Many used awk instead of $AWK

2010-10-28	pwessel
	* gmt_init.c:		Could not use @:<size>: and @:: in -B strings as the colons
				interfered with the :label: parsing.  Now fixed.

2010-10-27	pwessel
	* psmask.c:		Did not update internal clip level (if -T not used) do could
				not warn if clipping had not been properly terminated.

2010-10-26	pwessel
	* mapproject.c:		When -L is used with -fg and an ellipsoid we convert lats
				to geocentric lats before doing spherical trig, then
				convert back to geodetic coordinates.

2010-10-24	jluis
	* gmtdefaults:		Still had one free() that should be GMT_free (Win crash)

2010-10-19	pwessel
	* gmtswitch:		Given D it picks the first entry in .gmtversions. Also
				is now installed with rest of scripts and executables.
	* mapproject.c:		Did not show/explain the option of appending + to -L.
				Corrected synopsis, usage, and man page.

2010-10-17	pwessel
	* grdpaste.c:		Lacked -fg so could not paste 352/360 and 0/8 in longitudes.

2010-10-14	pwessel
	* psbasemap.c:		The -L option had trouble parsing if there were + signs
				in the label string.
	* pscoast.c:		---"---

2010-10-13	pwessel
	* mapproject.c:		Did not reset azimuth to NaN at start of next segment.
	* psscale.c:		Give warning and skip any command-line file arguments.
	* pscoast.c:		Give warning and skip any command-line file arguments.
	* psbasemap.c:		Give warning and skip any command-line file arguments.

2010-10-05	pwessel
	* configure.ac:		Set correct mex extensions for 64-bit version.

2010-09-29	pwessel
	* share/time/hi.d:	Added Hawaiian time language items.

2010-09-28	remko
	* gmt_mgg.c:		Use GMT_getsharepath to find gmtfile_paths file.

2010-09-27	pwessel
	* gmt_map.c:		Did not check if nodes were beyond the horizon in GMT_grd_project.
				Also did not initialize output grid to NaNs before filling.

2010-09-20	pwessel
	* ps2raster.c:		Made tolerant of \r-only line-endings.

2010-09-15	pwessel
	* sph/Makefile:		Did not have LDFLAGS in link statement.

2010-09-07	pwessel
	* ps2raster.c:		The -A- option did not reset -A for -W.
	* grdtrack.c:		Did not ensure that given -R was adjusted to fit grid spacing
	* minmax.c:		With -I, could end up returning -R355/0/... since 360 becomes 0.

2010-09-03	pwessel
	* misc/gmtstitch.c:	Could crash if -C was used.

2010-08-30	pwessel
	* nearneighbor.c:	Did not check that -S was not set.

2010-08-25	pwessel
	* psxy[z].c:		Units given in -S without sizes (e.g., -Sci) would be
				ignored and overridden by MEASURE_UNIT.

2010-08-21	pwessel
	* misc/gmt2kml.c:	Did not parse -D"description" for points.

2010-08-19	pwessel
	* gmt_plot.c:		map_latline/lonline tried to draw a 2-point line when
				no points were defined.  Checks that we have at least 2 points
	* psxy.c:		The -Ap|m options were ignored since the mode was not checked.
	* grdmask.c:		---"---

2010-08-18	jluis
	* ps2raster.c:		Added missing on-line description of -C option.

2010-08-17	pwessel
	* GMT_App_F.sh:		Missed two slots that should be shaded in Standard+
	* misc/gmt2kml.c:	Only append running number when a segment has more than
				one point, else just use segment label.

2010-08-03	pwessel
	* gmt_plot.c:		Bug in fault symbol psxy -Sfrc, fixed w/ thanx to J. Robert

2010-07-28	pwessel
	* spotter/rotconverter.c:	Complained of "bad option" when a rotation with a
				negative longitude was given on the command line, e.g. -135/35/-2.5
				Would sometimes issue a rotation twice (same time)

2010-07-27	pwessel
	* spotter/backtracker.c:	Added the -F option to compute predicted hotspot tracks
				given a hotspot motion record and plate rotations.

2010-07-26	pwessel
	* mgd77/mgd77manage.c:	The -F option had no break statement.
	* mgd77/mgd77track.c:	Had inactive code to write segmentheader to output.

2010-07-24	pwessel
	* mgd77/mgd77list.c:	The -G option was not listed in synopsis or usage, only
				in the man pages.  Also -Fall+ and -Fmgd77+ did not append
				the auxiliary columns properly.
	* mgd77/mgd77magref.c:	The -D failed on numeric arguments.

2010-07-22	pwessel
	* psimage.c:		justify text string must be 3-char longs to hold trailing 0.
				This could cause SEGV on some systems.

2010-07-18	remko
	* pstext.txt:		Added missing description of -A option.

2010-07-16	pwessel
	* ex23/*:		The scripts plotted names at a 1-degree angle instead of 0.

2010-07-16	pwessel
	* spotter/*.c:		Now convert geodetic to geocentric latitudes before doing
				spherical rotations; recover geodetic for output points.

-----------------------------------------------------------------------------------------
2010-07-15	pwessel
	* GMT 4.5.3 finalized and released
-----------------------------------------------------------------------------------------

2010-07-14	remko
	* GMT_nighttime.cpt:	Colortable for DMSP-OLS Nighttime Lights Time Series
				Designed by Andreas Trawoeger.

2010-07-13	pwessel
	* gmt_plot.c:		Ensure that axis vector for GRAPH mode matches axis pen width.

2010-07-13	remko
	* gmt_plot.c, gmt_map.c:	Replace GMT_coordinate_to_[xy] by already existing
				GMT_x_to_xx and GMT_y_to_yy.

2010-07-08	pwessel
	* ex13:			Used -G2i/10 which is a syntax from pre-GMT 4.  Changed to -Gd2i.
	* explain_contlabel.txt: Did not fully describe the -Gd label option, including the
				fractional part.
	* gmt_support.c:	Now complains if -Gd<dist>[/<frac>] finds frac outside 0-1.

2010-07-05	jluis
	* ps2raster.c:		Also converts ps files with headers but no image. Now it will
				create a 1x1 raster instead of aborting with an error message.

2010-06-29	pwessel
	* grdcontour.c:		Placement of H and L annotations improved by using centroids

2010-06-28	pwessel
	* mapproject.c:		Applied scaling to -C/dx/dy when -Fk was used, despite docs
				saying -C is in meters when -F is used. Fixed, and clarified
				docs/man to say with -F, -C is always in meters.
	* gmt_io.c:		Added GMT_IS_DIMENSION for converting input dimensions which
				may have a suffix unit (e.g., 3.5c).  This can occur in the
				input to psxy[z], which sometimes complained about bad input.
	* psxy[z].c:		Better handling of dimensions with units passed via columns
				in the data file, as in psxy.

2010-06-25	pwessel
	* gmt_io.c:		GMT_fgets now checks for input record truncation and handles
				this gracefully (gives warning and winds to next record).

2010-06-24	pwessel
	* nearneighbor.c:	Did not handle periodic x input when -fg was used
	* grdmask.c:		Did not handle periodic x input when -fg was used
	* psmask.c:		Did not handle periodic x input when -fg was used
	* surface.c:		Did not handle periodic x input when -fg was used

2010-06-24	jluis
	* grdview.c:		Check that topo and illumination file have the same size,
				otherwise it would crash.

2010-06-30  remko
	* pstext.c:     Did not recognize -f option, so could not use e.g. -f0T

2010-06-21	pwessel
	* job??.*, *.sh:	All examples with gridded files now use the extension .nc and not .grd

2010-06-16	pwessel
	* WDBII:		Based on feedback (and data) from Branislav Mikulas I have added some
				missing/mangled borders to the WDBII borders, level 1: Syria-Israel,
				Israel-Jordan, Moldova-Ukraine, and the Eritrea border with Ethiopia.

2010-06-06	pwessel
	* x2sys/x2sys_get.c:	Need -L+[<list>] so internal crossovers can be added.

2010-06-06	jluis
	* mgd77/mgd77convert.c:	Fix for the never-ending troubles with the dll cross on Windows
	* x2sys/x2sys_list.c:	Implemented -S[+] to print info relevant to both cruises

2010-05-31	pwessel
	* misc/kml2gmt.c:	Did not allow for optional attributes for tags <PlaceMark> etc.

2010-05-25	pwessel
	* x2sys/x2sys.c:	Need to include the "." when checking if a suffix is present.

2010-05-24	remko
	* gshhs-*.info:		Fink info files updated for GSHHS version 2.1

2010-05-22	pwessel
	* GSHHS:		Now version 2.1 which fixes the lack of river-lake metadata
				in the binary and shapefile release.

2010-05-20	jluis
	* ps2raster.c:		Print a warning if the converted file was not created, as will
				happen with some formats (e.g. jpeg) if input PS file was not
				correctly closed (the -O -K swing).
	* gmtdefaults.c:	Call GMT_begin so that all memory allocations/freeing is done
				inside the dll and no crash on Windows.

2010-05-19	pwessel
	* pswiggle.c:		Option -Dx<gap> allows gaps to be in projected distances.

2010-05-18	jluis
	* grdgradient.c:	Let -S work alone without forcing -G.

2010-05-13	jluis
	* gmt_gdalread.c:	Limit the patch against the GDAL flipud bug on netCDF files
				to versions prior to 1.7.

2010-04-24	jluis
	* mgd77/mgd77magref.c:	Fix bug in -A option when using const time in calendar format.
				(fix by Marcelo Banik)
	* share/mgd77:		Updated F107_mon.plt and Dst_all.wdc index files to March/April 2010.
				In umdl.CM4 file, extended the limit of the 'bkpo' indices from 2010 to 2015.
				This should make no difference to core field estimation that ends at 2002.5
				but lets the atmospheric components be computed after 1-Jan-2010.

2010-04-25	pwessel
	* psxy[z].c:		For -Svs, the 2nd set of coordinates did not consider -:

2010-04-22	remko
	* gmt_map.c:		Improving map boundary crossing mechanism (first step).

2010-04-21	pwessel
	* sph/sphtriangulate.c:	Incorrect items for cols 3-4 for -N

2010-04-14	pwessel
	* pshistogram.c:	Fixed # of bins bug when a datapoint equaled east.

2010-04-06	remko
	 * pslib.c, PSL_prologue.ps:	Improved version of EPS inclusion mechanism.

2010-03-31	remko
	* configure.ac:		Fixed reversed use off --enable-flock.
	* gmt_init.c, gmt_notunix.h:	Use -DFLOCK to switch file locking on instead of -DNO_LOCK
				to switch it off.

2010-03-29	remko
	* grdview.c:		Fixed bug in parsing of -W[m|c|f] option when color starts with [m|c|f]

2010-03-25	remko
	* gmt_io.c:		GMT_is_a_blank_line saw 't' instead of '\t' as whitespace.

2010-03-24	jluis
	* *.c:			In mains that used GMT_stdout, replaced fprintf (stdout, ...)
				by GMT_fputs () because both forms cannot coexist for >= VC 2005

2010-03-23	pwessel
	* *.c:			Use GMT_LL/PSL_LL to handle 64-bit integers across many OS

2010-03-23	remko
	* pslib.[ch], pslib_inc.h:	Removed pslib_inc.h, now in pslib.c.
				Removed PRINT_SIZE_T macro. Added PSL_LL macro.
	* gmt.h, gmt_notunix.h:	Removed PRINT_SIZE_T macro. Added GMT_LL macro.
	* grdinfo.c:		Removed PRINT_SIZE_T macro.

2010-03-22	pwessel
	* *.[ch]:		Replaced BOOLEAN typedef by using GMT_LONG instead.

2010-03-21	jluis
	* *.c:			In mains, replaced all occurrences of fprintf (GMT_stdout, ...)  by
				fprintf (stdout, ...) so that it compiles under VC 2005 and higher.

2010-03-17	pwessel
	* psxy.c:		The -Sw/W symbols did not handle the azimuth/direction conversions
				properly.
	* psxyz.c:		The -Sw/W machinery mistakenly converted angles to radians before
				passing arguments to the plot functions.

2010-03-15	pwessel
	* gmt_io.c:		Added GMT_io.skip_duplicates [FALSE] to control if consecutive
				records with identical x,y should be skipped.  This is needed
				by programs that uses GMT_sph_inonout, which does not expect to
				find duplicates vertices.
	* gmtselect.c:		Turns skip_duplicates on before reading polygons
	* grdmask.c:		Turns skip_duplicates on before reading polygons
	* grdmath.c:		Turns skip_duplicates on before reading polygons
	* ps2raster.c:		Now checks that all PS files begin with %!PS.

2010-03-11	remko
	* ps2raster.c:		End matter did not get parsed when there is no %%Orientation.

2010-03-10	pwessel
	* gmt_map.c:		Tried to free memory when nothing had been allocated.

2010-03-09	pwessel
	* pslegend.c:		Uninitialized text string could put garbage in script.

2010-03-02	pwessel
	* x2sys/x2sys_get.c:	Added undocumented -d option to dump x2sys_index.b to text
				to aid in debugging.
	* mgd77/mgd77.c:	Incorrectly added track list =tracks.lis as another track name
				after correctly including all the listed tracks. No harm done
				other than an annoying "Cannot find track =tracks" message.

2010-02-28	pwessel
	* gmt_map.c:		GMT_wesn_clip function would clip polygons even though
				there were no restrictions on longitudes (w/e = 360).

2010-02-26	pwessel
	* x2sys/x2sys.c:	Reading of data formats .gmt and custom returned all columns and
				not just the requested columns, causing errors upstream.
	* x2sys/x2sys_datalist.c:	Check to see if both lon and lat had been requested only
				checked for longitude (twice).
	* mgg/mgd77togmt.c:	Now has proper synopsis

2010-02-21	jluis
	* gmt2rgb.c:		Option -G was freeing the output name before it was even allocated.
				This crashed the Windows binary.

2010-02-20	jluis
	* gmt_init.c:		Chop off any eventual EOLs characters that might be in argv
				strings as it will happen when it was created by a shell command.
				We need this so that native Win binaries can be used in Cygwin

2010-02-15	remko
	* gmt_support.c:	Further improved internals of GMT_contour, GMT_trace_contour,
				GMT_splice_contour, significantly reducing amount of code lines.
				Removed GMT_start_contour.

2010-02-14	remko
	* grdcontour.c:		Reverting change of 2010-01-28 because closing a contour
				crossing east-to-west or west-to-east also causes lines drawn across

2010-02-13	pwessel
	* greenspline.c:	Must insist that one of [-R -I], -N, or -T is specified.

2010-02-11	remko
	* gmt_support.c:	Improved the way contours on saddle points are produced.

2010-02-08	pwessel
	* gmt_plot.c:		Parallels that should be straight (e.g., in -JI) would sometimes
				appear with jump gaps.  Reported by E. Suarez 2/2/2010.

2010-02-01	remko
	* g??math.c:		Added function SQR (square).

2010-01-28	pwessel
	* grdcontour.c:		L or H color for first min/max annotation was not set

2010-01-26	remko
	* gmt_plot.c:		Fixed bug in GMT_plot_map_scale that could lead to endless loops
				when using scales to 100 km or any exact power of 10. Error was
				limited to 64-bit.

2010-01-24	jluis
	* meca/submeca.c:	Replaced calls to d_atan2() by d_atan2d() since the code expects
				angles in degrees. Thanks to Dan Scheirer for finding this.
	* meca/psmeca.c:	Removed out of place and repeated line to compute size in -a option
	* test/meca:		More meca tests added (from src/meca)

2010-01-21	jluis
	* mgd77/mgd77.c:	Update for 11th generation IGRF - IGRF2010

-----------------------------------------------------------------------------------------
2010-01-15	pwessel
	* GMT 4.5.2 finalized and released
	* install_gmt, web/Perl scripts:	Offer choice between default, 32-bit, or 64-bit
				compilations.
-----------------------------------------------------------------------------------------

2010-01-14	pwessel
	* gmt_init.c:		Added an #ifdef CYGWIN_LOCALE_TROUBLE so that Cygwin users who
				experience locale issues can compile with -DCYGWIN_LOCALE_TROUBLE
				until we have a better solution.  This can be set by adding the
				--enable-cygloc option when running configure.
2010-01-13	pwessel
	* gmt_init.c:		The .gmtdefaults4 file was assumed to be in UNIX EOL format.
				Now we strip off EOL before checking for blank lines etc.
	* *.c:			Made sure chopping was done consistently in other codes.

2010-01-13	remko
	* psscale.c:		psscale -Bg now correctly produces gridlines using GRID_PEN_PRIMARY.

2010-01-13	jluis
	* gmtdefaults.c:	Replaced free(..) with GMT_free (..) so Win version doesn't crash

2010-01-12	remko
	* job18.*, job24.*:	psxy -Se|E now correctly uses major/minor axis (as in documentation)
				instead of semimajor/minor axis. This required changes in the scripts.
	* clip_ellipse.sh:	---"---
	* example_01.eps:	Local minima and maxima now appear correctly in this example. Was wrong
				at least since 4.2.0.

2010-01-11	pwessel
	* grd2xyz.c:		Added -N<value> to replace NaNs on output and to match xyz2grd options.
	* gmt_support.c:	GMT_inonout_sphpol_count could count a tangent touch as a crossing if
				the tangent point was a node point.

2010-01-10	pwessel
	* gmt_init.c:		The .gmtcommands4 file was assumed to be in UNIX EOL format.
				Now we strop off EOL before checking for blank lines etc.

2010-01-09	pwessel
	* gmt_map.c:		GMT_wesn_clip assumed we always were clipping a polygon when in fact
				this depends on the application.

2010-01-08	jluis
	* gmt_support.c:	Increase the size of the variable that contains the path to
				a CPT file and the pathname to BUFSIZ bytes.
	* surface.c:		Eliminate 2nd sort when no change in throw_away_unusables.

2010-01-07	pwessel
	* borders:		Added the Nunavut province boundary in Canada (land only)
	* grdproject.txt:	Now has better explanation for -D (same as -I in other progs)

2010-01-05	pwessel
	* gmt_plot.c:		Calculation of actual width of map scale in pscoast/psbasemap
				did not anticipate using -E for 3-D perspective and got
				wrong width sometimes with a negative sign.
2010-01-04	pwessel
	* spotter/grdrotater.c:	Bug in node index gave no longitudinal variation in rotated grid.
	* example 30 added.

2009-12-15	pwessel
	* gmtdfaults:		Added BASEMAP_TYPE = graph for linear projections to
				have the axes extended 7.5% with arrow heads.
	* psxy.c:		New (and final) symbol -Sm for math angle, which lets
				you draw a circular arc with optional curved arrow
				heads in one, both, or zero ends.
	* psxyz.c:		Same but no arrow heads yet.

2009-12-08	pwessel
	* sph/sphinterpolate.c:	Bad index on line 317 went outside array limit.
				Did not initialize the grid header properly.
	* sph/sphdistance.c:	Did not initialize the grid header properly.
	* misc/gmtstitch.c:	NULL segment headers passed to strcpy() and
				fixed output message when -C and only one segment.

2009-12-07	pwessel
	* grdtrack.c:		The -Z option gave z-values a longitude-formatting

2009-11-29	pwessel
	* x2sys/x2sys.c:	Automatically strip off extensions for tracks given
				via list files.
	* x2sys/x2sys_get.c:	Added -E to select extensions on output.

2009-11-28	pwessel
	* x2sys/x2sys.c:	Now, various lists can contain header records
	* x2sys/x2sys.c:	Added internal book-keeping so we know which
				in AND out columns correspond to x, y, and t.
	* x2sys/x2sys_datalist.c:	Should now get the correct data columns.
	* x2sys/x2sys_get.c:		Added -Q[i|e] to be used with -L.
	* x2sys/x2sys_solve.c:	Added -Z to remove smallest dist/time for -Ed|t

2009-11-26	pwessel
	* grdcontour.c:		1) -Q should only apply to closed contours
				2) -T failed to find inside point for oblique projections.
	* x2sys/x2sys_get.c:	-D now only lists track names

2009-11-24	pwessel
	* gmt_init.c:		Guard against getting a negative hash value (happened
				when text was Russian language codes from ru.d)
2009-11-23	pwessel
	* grdlandmask.c:	Round-off and bug caused missing nodes for -F -Rd

2009-11-16	remko
	* psxyz.c:		Fixed bug in distance sorting (also made much simpler).

2009-11-15	jluis
	* x2sys/x2sys_list.c:	Weights were not written out when names were selected as well,
				as in -Fncw

2009-11-12	pwessel
	* fitcircle.c:		Now, -S optionally takes a latitude instead of finding
				the best-fitting latitude.
	* mgd77/mgd77manage.c:	Add attribute array of TZ corrections for the few cruises
				that stored TZ and local time instead of UTC time.

2009-11-12	remko
	* *.c:			Renamed {Free,New}_Program_Ctrl to {New,Free}_program_Ctrl

2009-11-10	remko
	* gmt_plot.c:		Get dimensions of 3D ellipse right (full, not semi axes)
	* psxy.c:		plot_?_errorbar incorrectly drew tips at plot boundary
				when clipping error bars.

2009-11-09	pwessel
	* x2sys/x2sys_init.c:	Did not accept -m, only old -M

2009-11-08	pwessel
	* gmt_shore.[ch]:	Changes to accommodate new GSHHS2.0.2 netcdf files
				which needed more metadata to properly compute the
				level of tile corners after features where dropped
				due to size etc.  2.0.2 will be released with GMT 4.5.2
				but early adopters (CVS) will get a warning with
				instructions on how to ftp.
	* grdgradient.c:	Now, -Lg will imply -fg to properly set geographic units
				Fixed bug where the gradient at the S pole was not
				replicated to x = east.

2009-11-07	pwessel
	* gmt_io.c:		GMT_access did not check for NULL filename

2009-11-07	remko
	* pslib.c:		Ellipse was wrongly dimensioned by semi-major and semi-
				minor axes, instead of major and minor axes.
2009-11-05	pwessel
	* imgsrc/img2google:	One gmtmath call did not have -Q

2009-11-02	pwessel
	* mapproject.c:		The -S option failed after i/o makeover.

2009-10-28	remko
	* pslib.c:		Bug fix: memory never got freed by ps_free.

2009-10-23	remko
	* config.mk.in, common.mk: Replaced makegmt.macros by config.mk
				Replaced gmtalldeps.macros by common.mk
	* All makefiles:	Improved handling of libs in Makefiles

2009-10-15	pwessel
	* x2sys.c:		x2sys_pick_fields should NOT reset x_col, y_col, t_col as
				these indicate which input columns hold x, y, t.
	* x2sys/x2sys_datalist.c:	Confusion between input order and output order when
				the -F<list> option was used.

2009-10-15	jluis
	* gmt_customio.c:	Fixed bug resulting from releasing the pointer to from_gdalread
				structure before its members.
	* gmt_gdalread.c:	Force computation of min/max since metadata info may be wrong

2009-10-14	remko
	* grdtrend.c:		Explicitly set pstuff[0] = 1 and use it in loops.

2009-10-12	pwessel
	* gmt_plot.c:		qsort of GMT_LONGs passed ints

2009-10-11	pwessel
	* misc/kml2gmt.c:	Mix of fopen and GMT_fclose not good under Windoze

2009-10-09	pwessel
	* gmt_init.c:		If GMT_DATADIR was set to a list of colon-separated dirs
				then then init failed since we tried to check access as
				if GMT_DATADIR was always a single entity (as in the past).

2009-10-06	remko
	* gmt2kml.c:		Removed additional > in </ExtendedData>>.

2009-10-04	pwessel
	* gmt_init.c:		Opened file with fopen but closed with GMT_fclose.
	* gmt_mgg_header2.c:	Opened file with GMT_fopen but closed with fclose.

2009-10-03	pwessel
				GMT 5 branch tag set: GMT5_branch

2009-10-01	pwessel
	* psrose.c:		Needed to set scale to 1 so the bounding box
				calculations would be correct for EPS output.

2009-10-01	remko
	* explain_-J*.txt:	Added necessary / after -Jpoly
	* misc/gmt2kml.c:	Removed rogue \n before </coordinates>\n.

2009-09-29	pwessel
	* install_gmt:		GDAL setup had bad variable name $enable-gdal that
				was meant to be $enable_gdal, and a bad if-test.

2009-09-28	jluis
	* x2sys/x2sys_merge.c:	Improved updating algorithm for detected cases where
				where it was failing badly.

2009-09-27	pwessel
	* gmt_init.c:		Bug in the parsing of -Jg<lon>/<lat>/<radius>/<lat>.
	* spotter/backtracker.c:	When -L is set, -mo must be turned on automatically
					even if -m is not set.

2009-09-25	pwessel
	* gmtconvert.c:		The -S option failed for actual matches; the 2009/5/26
				change screwed that up.  Now fixed and tested.
	* spotter/rotconverter.c:	New option -E to reduce stage pole opening
					angles by <fact> [0.5] (to get half-spreading rates)

2009-09-24	pwessel
	* gmt_grdio.c:		GMT_read_img did not apply swab if little-endian arch.

2009-09-24	remko
	* configure.ac:		Fixed bug with -rpath

2009-09-22	pwessel
	* misc/kml2gmt.c:		Attempt to parse feature description (if present in KML)
	* misc/gmt2kml.c:		Attempt to write feature description (if present in segment header)
	* mgd77/mgd77sniffer.c:		SEGV when an array index was allowed to become -1

-----------------------------------------------------------------------------------------
2009-09-20	pwessel
	* GMT 4.5.1 finalized and released
-----------------------------------------------------------------------------------------

2009-09-19	pwessel
	* psxy.c:		Added 4 new custom symbols (90-degree triangle in 4 quadrants)

2009-09-17	pwessel
	* x2sys/x2sys_get.c:	The -L option failed if list contained file extensions
2009-09-15	pwessel
	* x2sys/x2sys_solve.c:	Did not allocate array for weights.
	* pswiggle.c:		Incorrectly computed distances with -Jx<scale>d.

2009-09-13	pwessel
	* misc/gmt2kml.c:	Avoid mixing stdout/GMT_stdout as Windoze is Windoze.
	* misc/kml2gmt.c:	Avoid mixing stdout/GMT_stdout as Windoze is Windoze.

2009-09-12	pwessel
	* spotter:		Failed in 64-bit mode due to variable mismatch:
	* spotter/backtracker.c:	Needed GMT_LONG variables to be passed to GMT libs
	* spotter/hotspotter.c:		Needed GMT_LONG variables to be passed to GMT libs
	* spotter/originator.c:		Needed GMT_LONG variables to be passed to GMT libs

2009-09-11	remko
	* gmtdefaults_*.in:	Enter TRANSPARENCY = 0; replaced color triplets by names.
	* gmt_init.c:		Let gmtdefaults output TRANSPARENCY and print colors as names
				if available.
	* gmt_support.c:	Added GMT_getrgb_index to get index of preset RGB triplets.
	* gmt_{init,map.c}:	When using -JX, give width or height as 0 and it will adjust to
				the scale of the other (keeping aspect ratio).

2009-09-10	pwessel
	* grdcontour.c:		The -L option was not used in limiting contours.

2009-09-10	remko
	* gmt_init.c:		Introduced option to make material transparent using the
				--TRANSPARENCY setting (or gmtset TRANSPARENCY). Can be viewed
				with Adobe Distiller (only?).
	* gmt_plot.c, gmtdefaults.txt, gmt.h, gmt_globals.h, gmt_keywords.d:	---"---
	* psclip.c, pscoast.c:	Replaced booleans GMT_ps.clip_on and GMT_ps.clip_off with single
				GMT_ps.clip with values -1, 0 or +1.
	* configure.ac, all makefiles:	Needed to redo the way GDAL_INC and GDAL_LIB are inserted.
				-I (without anything) of -L (without anything) when GDAL is not
				enabled makes compiling impossible. So *_LIB and *_INC (also
				NETCDF) now include the -I and -L/-l flags.

2009-09-10	jluis
	* mgd77/mgd77magref.c:	It now lets the Core field be computed with the IGRF and added
				to the atmospheric sources calculated with CM4. We added
				this because the secular variation in CM4 is limited to 2002.5
				but the "atmospheric coefficients" can be continuously updated

2009-09-09	pwessel
	* LICENSE.TXT:		Replaced file COPYING with LICENSE.TXT and clarified we are
	  			using GPL v2 as displayed in all source files.
	* GSHHS*:		Updated to GSHHS 2.0.1 so new pscoast options can work
	* configure.ac:		Added --enable-gdal[=dir] for experimental GDAL grid import
				functionality for reading GDAL-supported grids (one band) and
				plotting of geotiff via grdimage

2009-09-08	pwessel
	* mgd77/mgd77magref.c:	Got wrong time as time initialization had changed but
				not implemented in this program.
	* misc/gmt2kml.c:	-T did not handle spaces in titles and folder names

2009-09-07	jluis
	* gmt_customio.[ch]:	Added the optional GDAL interface as format 22
	* gmtinstall.bat:	Now has rules to optionally compile the GDAL interface

2009-09-07	remko
	* minmax.c:		Bug fix: -EH did not work

2009-09-06	pwessel
	* gmt_customio.c:	Made surfer grid header i/o 64-bit compliant

2009-09-06	jluis
	* nc2xy.c:		Added -b option (of which only -bo makes sense)

2009-09-06	remko
	* configure.ac:		Now use --enable-flock to enable file locking, instead of
				--disable-flock to disable if.
				Use --enable-64 to force 64-bit compilation, use --disable-64
				to force 32-bit compilation. Otherwise use default.
				Switch -DGMT_QSORT on only for OSX prior to Snow Leopard.

2009-09-04	pwessel
	* gmt.h:		Now has GMT_abs macro that handles abs/labs use

2009-09-04	remko
	* gmt_map.[ch]:		Changed GMT_truncate from being a pointer function (PFL)
				to a regular function that simply calls GMT_truncate_x
				or GMT_truncate_tm depending on whether projection is TM.
				This to avoid problems with calling GMT_truncate with
				constant argument -1 in 64-bit machines.
	* gmt_shore.c, psmask.c, gmt.h, gmt_globals.h:	---"---
	* pscoast.c:		Added mention of debugging options when DEBUG is on.
	* gmt_support.c:	GMT_log_array: Recoded to avoid 64-bit error (last value was not
				included).
				GMT_pow_array, GMT_log_array: Simplified code.
				GMT_memory: Now free memory when reallocating memory with size 0.

2009-08-27	jluis
	* gmt_gdalread.[ch]:	Wrapper function to interface with the GDAL library
	* grdimage.c:		Modified (with #ifdefs) to allow minimalist images import
				using GDAL, via the gmt_gdalread function.
	* gmt_support.c:	Fixed bug in x_inc adjust. It was cosd (0.5 * (h->x_min + h->x_max))
				Instead of cosd (0.5 * (h->y_min + h->y_max))

2009-08-20	remko
	* pslib.c, pslib_inc.h:	ps_place_color now also adds the "set...color" operator, so
				that PSL->internal.paint_code could be removed.

2009-08-17	remko
	* gmt_plot.c, GMT_Chapter_{3,6}.tex:	Documentation on -JPoly added.
	* gmt_map.c:		Made frame and annotation of polyconic work properly.
	* {x2sys,mgd77,mgg}/makefile:	Solved problems with install/uninstall and missing *.h
				files in distro.

2009-08-15	remko
	* gmt_proj.[ch], gmt_map.c, gmt_init.c:	First stab at introducing polyconic projection.
				Not documented yet, but seems to work (-JPoly).

2009-07-24	pwessel
	* gmt_support.c:	The routine that checks if a points is inside or outside a
				polar cap had trouble when the points longitude exactly
				equalled a point on the polygon since round-off would
				cause our test to fail.  Now hopefully fool-proof.
2009-07-23	pwessel
	* psmask.c:		With -D, the internal di,dj constant was set way too large.

2009-07-22	pwessel
	* gmt_shore.[ch]:	The -A+r|+l option was premature as more info in the GSHHS
				netcdf files are needed to properly skip features.  GSHHS 2.0.1
				will have this information so pscoast et al need to check
				for versions before attempting to use any of the +<modifiers>

2009-07-18	mtchandl
	* mgd77/mgd77sniffer.c:	Bug in -I option; needed to set bitpattern for bad faa.

2009-07-18	remko
	* pslib.c, pslib_inc.h:		Added option to reduce all color to gray scale.
	* gmt_init.c, gmtdefaults.txt:	Added setting PS_COLOR = gray.

2009-07-15	pwessel
	* grdmask.c:		Free some memory that was ignored.

-----------------------------------------------------------------------------------------
2009-07-15
	* GMT 4.5.0 finalized and released
-----------------------------------------------------------------------------------------

2009-07-13	pwessel
	* surface.c:		When data lie exactly on a plane and -L was used, surface tried to free memory
				for constraints that never needed to be allocated.
2009-07-10	pwessel
	* gmt_suppl.html:	Add all the new supplement programs to the HTML doc page.
	* *.c:			Handle error codes so as to not raise the wrath of Ubuntu

2009-07-10	remko
	* gmt_init.c:		GMT_font_lookup now understands font numbers too.
	* psscale.c:		Added -Aa and -Al options to move only the annotations or label to the
				other side of the color bar. When using -A on horizontal bar, the last
				tick mark would not appear. Require -Ac to keep the column plotting
				of vertical labels.
	* pslegend.c:		Make font height dependent on actual font used.

2009-07-09	pwessel
	* gmt_mgg_header2.c:	Can now handle float grids, and properly handles byte-order swapping in input.
	* segyprogs/pssegy.c:	Casting as long forced 8 rather than 4-byte offsets. Thanx to Adrian Benson.
	* segyprogs/pssegyz.c:	Casting as long forced 8 rather than 4-byte offsets.
	* segyprogs/segy2grd.c:	Casting as long forced 8 rather than 4-byte offsets.

2009-07-09	remko
	* psclip.c:		Produce warning when using -B in combination with -N or -T.
				Better reuse of code.
	* psclip.txt:		Explained even-odd rule.
	* psxy.{c,txt}:		Added -T option. Equivalent to adding /dev/null (or NUL on Windows).
	* pslegend.c, anim01.sh:	Make use of new psxy -T option.

2009-07-08	pwessel
	* sph/sphtriangulate.c:	Must turn -mo on when -T is selected.

2009-07-08	remko
	* psscale.c:		When using -A on vertical scale bar, annotation was left not right aligned.

2009-07-07	pwessel
	* gmt_plot.c:		The polar cap on gridlines needed to be reversed for r-theta (polar) maps

2009-07-07	remko
	* gmt_support.c (GMT_RI_prepare):	Fixed bug: when x_inc in km, m, etc,
				value was ignored (always 1).

2009-07-05	pwessel
	* grdimage.c:		For -Q we now make sure the NaN-color is unique.

2009-07-04	jluis
	* gmtsuppl.bat:		Add x2sys_list x2sys_report x2sys_solve & x2sys_merge to the x2sys section

2009-07-02	remko
	* Ellipsoids.txt:	Added TOPEX ellipsoid

2009-07-01	pwessel
	* mgd77/mgd77sniffer.c:	Did not reset the E77 structure between cruises.
	* mgd77/mgd77list.c:	Modifier -At added which attempts to create fake cruise times
				based on header information and distance along track.

2009-06-30	pwessel
	* grdfilter.c:		Toggle -T was not processed correctly if -Rgridfile was given.
	* mgd77list.c:		Output relative time did not use GMT's --TIME_*

2009-06-27	remko
	* gmt_init.c (GMT_history):	No longer remove supposedly empty .gmtcommands4 file.
				Could have been written to by piped GMT command. Now create/write
				only when new matter is to be written.

2009-06-25	pwessel
	* gmt_grdio.c:		Change for reasonable x/y range if units has the words "longitude"
				or "latitude" before concluding we have geodetic coordinates.
	* gmt_support.c:	The modifier :<radius>[unit] to the -G option in grdcontour for
				the placement of contour labels is now +r<radius>[unit] since the
				colon interfered with ddd:mm:ss coordinates.

2009-06-24	jluis
	* x2sys/x2sys_merge.c:	New program to merge updated COEs table into a main COE table database
	* mgd77/mgd77.c:	Do not use any GMT_XXX to access ascii files on creation/writing so that
				it can work on Windows as well (improvement on 2009-06-07 changes).

2009-06-24	pwessel
	* ps2raster.c:		Exceeded memory allocation for out_file.  Now in static memory.

2009-06-24	jluis
	* ps2raster.c:		Do not crash if a name with extension is given to -F (rip the extension)

2009-06-23	pwessel
	* mgd77/mgd77manage.c:	-AE will ignore the verification status and process e77 anyway.
	* mgd77/mgd77path.c:	Added -P- to just list the IDs and not the full paths

2009-06-21	pwessel
	* gmt_support.c:	Given -I601+/601+ the y_inc was not treated correctly

2009-06-20	pwessel
	* gmt_shore.c:		Added support for the +p<percent> modifier to limit features whose
				area is less the <percent> of the corresponding full-resolution polygon

2009-06-19	pwessel
	* gmt_globals.h:	Change default ascii format to %.12g to avoid loss of precision.
				Changed default for OUTPUT_DEGREE_FORMAT to D (-180/180) so it
				is the same as that for PLOT_DEGREE_FORMAT.
2009-06-18	pwessel
	* misc/gmtstitch.c:	Enhanced -T option to eliminate connections when the 2nd closest
				pair is too close.  Also added -C option to simply separate the
				open from the closed polygons (no stitching).

2009-06-17	pwessel
	* grdfft.c:		Now also has Butterworth band-pass filter.

2009-06-17	remko
	* gmt_init.c (GMT_begin):	GMT_history should come AFTER reading defaults, otherwise
				there is no way to switch it off.
	* gmt2kml.c:		Option -R becomes -Ra (otherwise takes it from .gmtcommands4).
				Default folder name now "%s Features", where %s is feature type.
				No longer produces empty segments (when all data out of bounds).
				Create folder per input file (except standard input).
				Ignore -C option when plotting lines or polygons.
	* gmt2kml.txt:		Added example of document hierarchy.

2009-06-16	pwessel
	* gmt2kml.{c,txt}:	-T now takes title and optionally folder name.  When -O or -K is used
				we always group features into folders and each folder has their own
				style settings.

2009-06-16	remko
	* gmtmath.c:		Fixed bug: tried to free memory that was not allocated.
	* gmt_io.c:		Allow specifying both -mi and -mo.
	* gmt2kml.{c,txt}:	Removed altitude argument of -E (had no purpose). Set default pen to 1,
				as specified.  Changed -AA to -Aa, inline with -Ag and -As.
				Altitude argument of -A becomes default altitude.  Fixed error with -Gn.
				Always write linestyle and polygon style (need for extrusion).
				Moved <extrude> and <altitudeMode> within <feature></feature>.
				Write out <gx:altitudeMode> when required.
				Removed -AG, -AS; use -Ag0, -As0 instead. Allow vertical scaling.
				Removed -F<capital>, altitude mode is now fully controlled by -A.
				Put set of points in a folder automatically.
				Label line segments automatically.  Improved documentation.
				Renamed option -L to -R, which now also performs data screening.
				Renamed option -C to -L. Added -C option to color icons by value.
				Added option to scale altitude values.
				Made to work with binary and netCDF files.

2009-06-15	pwessel
	* gmt_init.c:		Allow negative integer interval (-n) for annotating log axis; this means
				annotate every n'th power of 10.
	* misc/gmtstitch.c:	Now honors -V properly.

2009-06-11	remko
	* gmt_nc.c:		No longer write node_offset = 0 to file (not essential, only confusing).
	* gmt_grdio.c:		GMT_grd_setregion now includes "interpolant" argument: this ensures
				enough padding (if available) from the input grid and no blank edges
				on left and/or right side of the map.
				More appropriate coding of GMT_grd_shift.
				GMT_adjust_loose_wesn now includes test on data domain (moved from main
				programs calling it).
	* gmt_support.c:	GMT_RI_prepare recoded. Possibly safer. Need to investigate if it can
				be skipped when nx and ny already set.
	* grd2xyz.c:		Area check moved to GMT_adjust_loose_wesn.
	* grdvector.c, grdrotater.c, grdview.c, grdcontour.c, grdimage.c:
				Extra argument in GMT_grd_setregion. No more subset checks needed.

2009-06-09	pwessel
	* misc/gmtdp.c:		With -m, did not write the correct multisegment header from input.

2009-06-07	jluis
	* mgd77/mgd77info.c:	Use of both printf() and internal functions that write to GMT_stdout
				seams to be incompatible on Windows. Now always use fprintf (GMT_stdout, ...)
	* mgd77/mgd77.c:	Open ascii files with fopen (and not GMT_fopen) because they are written
				with fprintf(F->fp, ...) and Windows, again, gets lost.

2009-06-07	remko
	* gmt_grdio.c:		Fixed bug in GMT_grd_setregion: longitudes were limited inward
				instead of outward. Caused white-space left and right in grdimage.

2009-06-03	pwessel
	* pscoast.c:		-C[l|r/]<fill> offers to paint river-lakes separately from lakes.
				The -A option can be used to exclude riverlakes or lakes for level 2.
				-W now allows different pens for the 4 levels of lines.
	* explain_gshhs.txt:	New include file for man pages for programs using GSHHS.
	* gmtselect.c:		Same upgrade to -A option as pscoast
	* grdlandmask.c:	Same upgrade to -A option as pscoast
	* gmt_init.c:		New function GMT_GSHHS_syntax to explain -A option for three programs.
	* gmt_shore.c:		Now looks for a version attribute in the GSHHS file that is reported
				when pscoast -Vl is used.  New treatment of riverlakes as special lakes.
	* gshhs/gshhs.*:	Header structure format for GSHHS 1.11 has changed to include two new
				integers: parent (the id of the containing polygon, or -1), and river
				(1 if a lake is a riverlake, 0 otherwise).
	* GSHHS*:		New version 1.11 that fixes the problem with permanent rivers introduced
				after GMT 4.2.0.  Also corrects gross errors near the mouth of the
				Amazon river.  GMT works with either GSHHS 1.11 or earlier but any
				option pertaining to riverlakes are ignored with older versions.
	* mgd77/mgd77.c:	Converting files from netCDF to MGD77 where time = NaN gave junk records.
	* misc/dimfilter.c:	New program for directional spatial filtering.

2009-06-02	remko
	* pslegend.c:		> record no longer needed before T; T, L, S, H alignment harmonized;
				I, M, B spacing improved; -B option added.
	* pslegend.txt:		Updated example conform test/pslegend/legend.sh; added info on which
				font(size)s are used; added -B option.

2009-05-31	pwessel
	* gmt_io.c:		Option -g must force -mo; fixed bug that reset point number in segment.
	* misc/gmtstitch.c:	Added -L option to write out segment-link information.

2009-05-29	jluis
	* gmt_init.c:		Do not create empty .gmtcommands4 files

2009-05-28	remko
	* gmtselect.c:		Switches off just_copy_record when using netCDF I/O. Otherwise no
				output was produced. Unfortunately does not yet take into account
				that using -fit and -foT would require reformatting.

2009-05-27	pwessel
	* misc/gmtstitch.c:	Did not read standard input if no files were given.

2009-05-26	pwessel
	* gmtconvert.c:		With -S, did not report the number of output segments.  Now allows
				-S~<pattern> which reports segments whose header does NOT contain pattern.
				Should pattern actually start with ~ we escape it with \~pattern.

2009-05-25	pwessel
	* greenspline.c:	Calculation of nz layers was off by one, leaving out the
				penultimate layer.

2009-05-23	pwessel
	* mgd77/mgd77manage.c:	Now uses GMT_read_img to handle *.img files; earlier it could
				not handle the latest +-80 degree lats.  Also passed wrong filename variable.

2009-05-21	pwessel
	* gmt_io.c:		When only -mi is set there should be no multisegment headers on output
					but there was no if-test to check for that.

2009-05-21	remko
	* bin/*:		Removed bin directory from CVS.
	* gmtlogo, gmtget, psbbox.sh:	Moved to src directory. Created manuals for them.
	* gmtpatch.sh:		Moved to main directory.

2009-05-20	pwessel
	* psclip.c:		New option -T that turns on map region clipping without any
				input data files.  Shorthand for -N /dev/null.
	* x2sys/x2sys_list.c:	Can now accept list of weights for each track and output the
				composite weight for each crossover.
	* x2sys/x2sys_solve.c:	Option -W means an extra column with crossover weight.

2009-05-19	pwessel
	* misc/gmt2kml.c:	New program in the misc supplement that converts GMT table
				data to KML format for Google Earth.
	* misc/kml2gmt.c:	New programs that extracts GMT data tables from Google Earth
				KML files, perhaps after editing the latter in GE.

2009-05-19	remko
	* grd2xyz.c:		Fixed checking East boundary (bug introduced 2008-03-05).

2009-05-17	pwessel
	* sph:			No longer requires the f2c include and library to install.
	* configure.ac:		Removed the code that looked for the f2c library.

2009-05-17	jluis
	* gmt_notunix.h:	Declare HAVE_SINCOS 1 when #ifdef __INTEL_COMPILER (the Intel
				compiler also provides a sincos function)
	* mgd77/mgd77magref.c:	Use sincos()

2009-05-14	remko
	* grdinfo.{c,txt}:	Add option -L0 to actually scan data to determine zmin and zmax
	* gmt_nc.c:		Argument [layer] was not stripped from varname and would end up
				in output grid.  Set zmin/zmax to NaN when info not in header.

2009-05-13	pwessel
	* *.[ch]:		Moving to use GMT_LONG for almost all integers.

2009-05-12	remko
	* gmt_map.c (GMT_UTMzone_to_wesn):	Numerous bug fixes: Did not report bad zone
				for < A or > Z; Zones A+B reached till 84S instead of 80S; Zone J
				wrongly produced value for Zone K; Zones U+W were not recognized;
				Now also equates Zone O to Zone P (already equated Zone I to J).

2009-05-08	remko
	* gmtconvert.c:		Switch off default NaN treatment when NAN_RECORDS=pass and no
				multi-segment output is requested.
	* gmt_init.c:		Renamed GRID_FORMAT to GRIDFILE_FORMAT to avoid confusion with
				other GRID_* variables which relate to painting grids, and in
				accordance with GRIDFILE_SHORTHAND.
				GRID_FORMAT can still be used for backwards compatibility.
				Allow different units for font sizes. Default remains points.
				GMT_convert_units: add 10 to new_format to specify it as
				default unit as well.
	* gmt_keywords.d, gmt.h, gmt_grdio.h, gmt_globals.h, gmtdefaults.txt, gmtdefaults_??.in:
				Changed accordingly.
	* gmtdefaults.txt:	Properly alphabetized entries.
	* pslib.c:		Removed superfluous writing of "P\n" from ps_clipon.
				Removed obsolete "split" argument from ps_line().
	* pslib.h, *.c:		Changed accordingly.

2009-05-07	pwessel
	* gmt_map.c:		For wesn clipping with curved boundaries, needed a more robust
				Sutherland/Hodgman algorithm that handles curved boundaries.
	* gmt_io.c:		GMT_DATADIR can now be a list of directories, separated by colons
				or semi-colons (Windows).
	* mgd77list.c:		Used wrong time for IGRF calculation; worst case off by 1 year.
	* mgd77manage.c:	---"---

2009-05-06	pwessel
	* *.c, *.txt, *.tex:	While remaining backwards compatible, we no longer announce that
				GMT will search GMT_IMGDIR and GMT_GRIDDIR.  Going forward, we will
				document the user of GMT_DATADIR and GMT_USERDIR only.

2009-05-06	remko
	* pglegend.c:		Allow S record not to have <text>. Until now, when left empty would
				use whatever <text> was set to in previous record.
	* pslegend.txt:		Changed accordingly, plus some additional polishing.
	* GMT_sealand.cpt:	Changed hue interval on one line from 0-345 to 360-345 to prevent
				wrong interpolation.
	* GMT_cyclic.cpt:	Reduced to one line.
	* gmt_support.c:	GMT_continuous based on HSV (not RGB) values when read as HSV.

2009-05-03	jluis
	* mgd77/mgd77.c:	Fixed bug in MGD77_igrf10syn routine (mistake done while cleaning the
				f2c version) that resulted in altitude always being on Earth surface
				when geocentric coords were used.

2009-05-03	pwessel
	* mgd77/mgd77magref.c:	New mgd77 program used to evaluate the CM4 comprehensive geomagnetic
				model, a more sophisticated alternative to IGRF, or IGRF.  Based on
				a f2c translation of NASA Fortran code by J. Luis.

2009-05-01	pwessel
	* pslib.c:		Check if input arg eps == NULL before using this pointer

2009-04-30	pwessel
	* gmt_map.c:		Incorrectly used central longitude to set default midpoint for 3-D maps
				using the -E...+ mechanism when data were not geographic.

2009-04-29	remko
	* PSL_prologue.ps:	Changed "bind def" to "def" in function /FS. The "bind def" slowed
				things down significantly when there are a lot of color changes.
	* pslib.c:		Changed accordingly (PSL_prologue version number).

2009-04-27	pwessel
	* dbase/grdraster.c:	Added sanity check on file size.

2009-04-26	pwessel
	* grdinfo.c:		Now tells us in plain text what the grid format is.

2009-04-24	pwessel
	* gmtconvert.c, mapproject.c:	Now have -g option.

2009-04-21	pwessel
	* ps2raster.c:		Reformatted the -W option to allow for a long list of KML-related
				settings.
	* imgsrc/img2google:	Updated to reflect new ps2raster -W usage.

2009-04-19	pwessel
	* grdcut.c:		New option -Z which is used to determine a rectangular subregion
				so that the rejected area have values entirely outside the given
				z-range.
2009-04-17	pwessel
	* gmt_*.c:		The gap check -g is now done inside the i/o library
	* gshhs/gshhs.c:	Checked wrong variable to test if a file was given.
	* gmt_customio.c:	In GMT_ras_read_grd_info, wrong size was passed to fread.
	* mgd77/mgd77list.c:	Used GMT_LONG in memset for an array allocated as int.

2009-04-16	pwessel
	* *.txt:		We now discuss -m rather than -M (but are backwards compatible)
	* job*:			All examples now use -m
	* *.tex, *.man:		All documentation now use -m

2009-04-16	remko
	* psclip.c, pscoast.c:	Produce at least "S V" when clippath is empty.
	* gmt_plot.c (GMT_xyz_axis3D):	Bug fix: Call GMT_get_coordinate_label() with
				&GMT_plot_calclock instead of NULL. Crashed when using time labels
				in 3D plot.

2009-04-15	remko
	* gmt_init.c:		Add handling of -M|m by GMT_parse_common_options.
	* *.c:			Removed call to GMT_multisegment. -M|m now handled as common option.
				-m is allowed silently. Not mentioned in man pages.

2009-04-14	pwessel
	* mgd77/mgd77list.c:	Added -Fytime which gives decimal absolute year for time output.
	* *.c:			Promoted new gap-detection option (-F) to a global -g option.

2009-04-14	remko
	* gmtdefaults_??.in, gmt_globals.h:	Increased PS_MITER_LIMIT to 35 degrees to get
				rid of some extremely long miters.
	* gmt_plot.c (GMT_draw_map_rose):	Force "0 setlinejoin 10 setmiterlimit".
	* psxy[z].c:		Bug fix in -F option: should only check from 2nd record onwards
				(n > 0), otherwise crash when using xx[n-1].

2009-04-13	remko
	* gmt_map.c (GMT_map_init_{albers,econic}):	Fixed inability to determine projection
				pole when central_meridian and western boundary are the same.

2009-04-11	remko
	* gmt.h, gmtmath.c, grdmath.c:	Added MOD function (remainder after floored division,
				Knuth style). This is in contrast to FMOD which gives the
				remainder after (horror) truncated division.
	* gmtmath.c:		For check if argument is file: remove suffix ?fields first.

2009-04-10	remko
	* Makefile, configure.ac, makegmt.macros.in:	Moved definition of SUPPL from Makefile
				to makegmt.macros.in. No more need to use .skip file for skipped
				supplements (mex, sph, xgrid).

2009-04-09	pwessel
	* psxy[z].c:		Added new option -F to detect breaks in lines based on user
				criteria on what constitutes a gap in continuity.
	* gmt_support.c:	Added support functions for the -F option.

2009-04-08	pwessel
	* gmt_support.c:	The 3-D view -E option used in many programs (such as psxyz)
				could not handle exponential notations.
	* gmt_init.c:		The NAN_RECORDS = skip|pass setting now also applies to binary input.

2009-04-07	remko
	* configure.ac:		Auto detect octave and/or matlab directories.
				Do not say "yes" to compilation when supplement not available.

2009-04-05	pwessel
	* mgd77/mgd77manage.c:		The -D option would remove original attributes.  Now
				both original and revised attributes are carried in memory.
				This problem also affected mgd77convert -FC if used on a
				file after mgd77manage -D had been run.
2009-03-31	remko
	* gmt_map.c (GMT_get_datum):	Reuse GMT_get_ellipsoid to capture <a>,<inv_f> format.
	* gmt_init.c:		Changed custom ELLIPSOID format to <a>[,<inv_f>|b=<b>|f=<f>].
				Properly write out custom ELLIPSOID into .gmtdefaults4.

2009-03-30	pwessel
	* mgd77/mgd77.c:	To avoid Windows crashes, made sure free and GMT_free are
				used on the items allocated by strdup or GMT_memory, resp.
	* x2sys/x2sys.c:	---"---
				Wrong array argument passed for correction aux values.
	* x2sys/x2sys_datalist.c:	Only ASCII output had corrections (-L) applied.

2009-03-30	remko
	* gmt_init.c (GMT_get_ellipsoid):	When importing ellipsoid file, allow a,0,0;
				a,0,f; a,b,0; or a,b,f as ellipsoid parameters.
				If file does not exist, attempt to read name as a[/[b=|f=]f],
				meaning <semi-major axis>, b=<semi-minor axis>, f=<flattening>,
				or <inverse flattening>.
	* gmt_defaults.txt:	Adjusted accordingly. Also specified SEMI-major/minor axis.
	* gmt.h:		Removed pol_radius from ELLIPSOID structure. Never used.
	* Ellipsoids.txt:	Added Moon and planets (IAU2000).
				Allow 0, b, or 1/f as second ellipsoid parameter.
	* src/GNUmakefile:	Adjusted accordingly.
	* gmt_map.c (GMT_set_spherical):	Take mean radius from CURRENT ellipsoid setting.
				Call GMT_init_ellipsoid again, so also GMT_[K]M_PR_DEG get set.

2009-03-28	pwessel
	* imgsrc/img2google:	Added new script (modified from David Sandwell's prototype)
				that creates Google Earth overlay tiles from topo.11.1.img
	* ps2raster.c:		Enhanced -Wg for KML creation that allows user to specify document
				and layer name and the altitude mode of the image.

2009-03-26	pwessel
	* gmt_support.c:	Exceeded array bounds in GMT_read_cpt for hsv conversion.
	* mgd77/mgd77track.c:	Added -Gt|d<gap> to recognize gaps in tracks based on
				distance or time between successive points.

2009-03-26	remko
	* configure.ac:		Now looks automatically for ncdump and f2c to guess the
				home directories of netcdf and f2c. This makes it possible
				to just use --enable-netcdf and --enable-f2c without anything
				else. Or leave them off altogether!

2009-03-24	pwessel
	* sph:			Introduce new GMT supplement sph which provide GMT-like
				front-ends for Robert Renka's Fortran SSRFPACK and STRIPACK
				libraries.  They are here translated to C via f2c and requires
				the f2c library and include file to compile and link.
				Tools include sphtriangulate (Delaunay and Voronoi spherical
				diagrams), sphdistance (spherical distances from lines to
				grid nodes using Voronoi partitioning), and spinterpolate
				(spherical gridding in tension).

2009-03-23	pwessel
	* triangulate.c:	New option -Q to generate Voronoi polygon edges.
	* gmt_support.c:	Rely on Shewchuk's triangle function to get Voronoi output.

2009-03-18	pwessel
	* gmt_support.c:	Enabled GMT_intpol to handle NaNs by treating them as segment
				boundaries.
	* gmt_init.c:		New Default setting NAN_RECORDS = skip|pass [skip].
				If "pass" we treat let the programs handle the NaNs; for some
				programs the NaNs in input record will act as indicators of
				data gaps for continuous lines.  If "skip" we report them
				as bad records.  In both cases the records are skipped.
	* mgd77/mgd77manage.c:	Now honors NAN_RECORDS in tables given to -A.

2009-03-18	jluis
	* mgd77/mgd77.c:	Was failing to read Windows terminated ASCII files

2009-03-15	pwessel
	* grdgradient.c:	For geographic grids, make sure N and S pole only has
				a single value on output.

2009-03-14	pwessel
	* x2sys/x2sys_init.c:	Now properly copies the *.def file to the TAG dir.
	* x2sys/x2sys_cross.c:	Removed the -F option which was not honored anyway.
	* x2sys/x2sys.c:	Use the TAG_paths.txt file to get directories for gmt files
				before looking in old share/mgg.
	* mgd77/mgd77convert.c:	Allow users to give file.ext on command line.

2009-03-14	jluis
	* gmt_io.{c,h}:		Created GMT_fgetc & GMT_ungetc to use with mgd77 supplements.
	* mgd77/mgd77.c:	Now works on Windows (but still crashes if use -L option)
	* x2sys/x2sys_put.c:	Fixed -D option (was falling in a endless loop)

2009-03-12	remko
	* gmt_nc.c, gmt_grd.h:	Properly handle netCDF that have LatLon = 0, 1: flip x and y.

2009-03-09	pwessel
	* grdmath.c:		The PDIST operator did not handle binary input files (as LDIST does).

2009-03-08	jluis
	* gmt_support.{c,h}:	New function GMT_chop_ext() to remove the extension from filename string
	* mgg/gmt_mgg.c:	New -T and -W options to store total field and account for the
				magnetometer tow distance. Also tries to get info from header file.
	* mgg/mgd77togmt.c:	--"--"

2009-03-05	pwessel
	* gmtselect.c:		The -Z option can now handle dateTclock strings for used with
				data whose 3rd column contains time.
	* blockmedian.c:	Now returns the quantile(x), quantile(y) location when -T is used.
				Added -Eb to get box-and-whisker output (0. 25, 50, 75, and 100% quantiles).

2009-03-05	jluis
	* ps2raster.c:		Added -Wg to create a simple KML file for Google Earth.
				Recognize -Jx<scale> (e.g. no 'd') as a linear geographic
				projection when -R<region> fits inside a sane ([-180 360][-90 90])
				interval (when -W is used).

2009-03-04	pwessel
	* mgd77/mgd77list.c:	Now can specify -DA and -DB which, in the presence of time = NaN,
				will not output such records [-Da|b will].  Also clarified the
				ranges implied by -D/-S.
	* blockm*.c:		Gave bogus usage about number of input columns when -E is set
				but -E only affects output.  Input is always 3 or 4 cols.

2009-03-04	remko
	* gmt_map.c (GMT_grd_project):	Incorrectly attempted to free array only used when
				antialias is on.
	* gmt_proj.c (GMT_ilamb_sph):	Fixed bug in longitude computation when standard
				parallel is on Southern Hemisphere.

2009-02-27	remko
	* pswiggle.c:		Ctrl->I.value used to change internally. Considered harmful.
	* gmt_proj.c:		Rid ourselves of a few more D2R and R2D. Using degree-based
				trig instead.
	* gmt_map.c:		---"---  z_project.view_{azimuth,elevation} used to change to
				radians at end of GMT_init_threeD. Potential bug.
	* psxyz.c:		In sort_on_distance: speed up by replacing tan(az) by ratio
				of pre-computed sin_az and cos_az.

2009-02-25	remko
	* gmt.h:		Introduced degree-based inverse trig functions: asind, acosd,
				atand, atan2d as well as their "safe" equivalents.
	* coast/segment_connect.c:	Simplified i_great_circle_dist() by calling
				GMT_great_circle_dist().
	* gmt_map.c:		Fixed serious bug in GMT_az_backaz_flatearth: incorrectly
				converted degrees to radians. Fixed bug in GMT_get_rotate_pole:
				called GMT_rotate_pole_forward with radians instead of degrees.
				project_info.o_{beta,pole_lat,pole_lon} now in degrees.
				GMT_fix_up_path: all arithmetic now in degrees.
	* project.c:		Avoid changing variables in the control list (Ctrl);
				this may have been harmful in the future (GMT5).
				Removed "rads" argument from internal routines since it was
				always TRUE anyhow. All routines are now in degrees.
	* gmt_vector.[ch]:	GMT_geo_to_cart no longer alters the input coordinates.
				This is a lot safer in usage.
	* *.c:			Use degree-based trig function macros where appropriate.
				Changed calls to GMT_geo_to_cart.

2009-02-24	jluis
	* utilmeca.c:		Needed to convert the output from d_atan2() to degrees

2009-02-23	remko
	* examples/*[c]sh:	Replaced EOF by END for consistency.

2009-02-20	pwessel
	* web site:		The script generating the mirror site PNG and hitmap had some
				bugs that prevented a proper hitmap and image.  Now fixed.

-----------------------------------------------------------------------------------------
2009-02-15
	* GMT 4.4.0 finalized and released
-----------------------------------------------------------------------------------------

2009-02-15	pwessel
	* GTM_doc.tar:		Now combines all documentation, tutorials, and examples: No
				more separate _tut, _web, _pdf, _scripts tarballs.
2009-02-15	remko
	* conf/gmtdefaults*.in, gmt_globals.h, gmtdefaults.txt:	Changed default PLOT_DEGREE_FORMAT from
				+ddd:mm:ss to ddd:mm:ss. This produces degrees in range +-180 instead
				of 0 to 360.

2009-02-13	pwessel
	* x2sys/x2sys_init.c:	Failed to set units/method defaults if -G was set and no -C/N specified.
	* x2sys/*.c:		Use =list rather than :list to specify a list with tracks (as in mgd77)
				[but keep processing :list also for backwards compatibility]
	* website/*:		Scripts and makefile modified to deal with new arrangement
				of files in share/doc.  Simplified web site test and update.

2009-02-13	remko
	* share/doc/gmt:	New directory moved from www/gmt
	* share/doc/gmt/{examples,tutorial}:	Directories moved here
	* share/doc/gmt/html/index.html:	Copy of gmt_services.html (for practicality)
	* share/doc/gmt/html/man:	New location for html manpages
	* guru/webman.sh:	Fixed broken links to #anchor in gmtdefaults.html
	* guru/*man.sh:		Moving output to new location: share/doc/html/{man,pdf}
	* guru/*.lis:		Examples, tutorial and manpages in new location
	* doc/GNUmakefile:	No more "make install". Directly puts html and pdf output in new
				location share/doc/gmt/pdf. "make extests" checks examples.
				Updated for new location of examples and tutorial.
	* doc/script/GMT_{atan,App_O}.sh:	Update for new location of examples and tutorial.
	* configure.ac:		Removed --enable-www option. Had no effect.
	* makegmt.macros.in:	Removed wwwdir, introduced docdir variable.
	* GMT.in:		Replaced "web documents" by "documentation".
	* Makefile:		Replaced "(un)install-www" by "(un)install-doc"
	* GNUmakefile:		Make "install-doc" depend on "webman" and "pdfman".
				New origins for pdf tarball. New location of examples.
				"make extests" now does "cd doc ; make extest"
	* examples/run_example_test.sh:	Removed. Now covered by "make extest" in doc directory.

2009-02-08	jluis
	* ps2raster.c:		For the +proj=latlong case use the original coordinates in %%PROJ line
	* gmt_plot.c:		Create the +proj=latlong case when GMT_LINEAR && GMT_IS_MAPPING

2009-02-07	remko
	* utilmeca.c, submeca.c:	Replaced datan2() function with d_atan2() macro (which uses
				standard atan2() function. This also to avoid some possible bugs.
	* pscoupe.c:		Fixed bug in the tensor case in which it was dividing by (unintialized)
				meca.moment.mant instead of moment.mant

2009-02-07	jluis
	* utilmeca.c:		Replaced momten2axe() function with GMT_momten2axe() which uses
				GMT_jacobi and fixes a bug due to the use of convert_matrix()

2009-02-06	remko
	* utilmeca.c:		Fixed dangerous ifs that caused "random" rotations of beach balls
				and too small or too large black beach ball segments.
	* psmeca.{c,txt}:	Some polishing.

2009-02-05	jluis
	* ps2raster.{c,txt}:	Update info for the usefulness of the new --BASEMAP_TYPE=inside
				option

2009-02-05	pwessel
	* psscale.c:		Now checks if -D is given, and replaced wrong test for -E.
	* gmt_init.c:		Added BASEMAP_FRAME=inside to set several parameters so that
				basemap ticks and annotations are inside the map boundary.

2009-02-05	remko
	* gmt_plot.c (GMT_export2proj4):	Initialize szProj4[0]=0, to avoid ugly
				surprises when no setting was found.
	* gmt_support.c (GMT_read_cpt):	Avoid interpolating hue (converted from RGB) over
				more than 180 degrees.
	* gmt_support.c (GMT_rgb_to_hsv):	Changed to integer logic to avoid errors on
				some compilers. As a result: much shorter code as well.
	* pslib.c (ps_rgb_to_hsv):	---"---
	* pslib.c (ps_color_image):	Image placement now in integers. This ensures that
				placement is consistent with e.g. box drawn with the same
				coordinates.
	* pslib.c (ps_makecolormap):	No longer produce colormap when the number of pixels
				and colors is the same.
	* ex04/*.cpt:		Added comments and COLOR_MODEL = RGB
	* GMT_drywet.cpt:	Added COLOR_MODEL = RGB

2009-02-02	remko
	* minmax.c:		Added -S option to leave space for error bars. Useful with
				-I option and subsequent psxy -E.

2009-01-21	remko
	* psbasemap.{c,txt}:	Erroneously suggested that base was plotted at z=0, instead of
				at the bottom end of the z-axis.

2009-01-20	pwessel
	* mgd77/mgd77manage.c:	Can now request faa to be computed from gobs + eot - ngrav

2009-01-17	jluis
	* ps2raster.c:		Added -W option to help create world files

2009-01-16	pwessel
	* pscoast.c:		Enhanced -D<res>+ where the + lets the application determine the
				next lower resolution should the selected one not be available.
	* gmtselect.c:		Same.
	* grdlandmask.c:	Same.
	* gmt_shore.c:		New public function GMT_shore_adjust_res to handle the above.
	* gmt_proj.c:		Fixed bug in Lambert Conformal Conic for southern hemisphere.
	* explain_-J.txt:	Clarified how to set horizon and standard latitude/scale for -Js

2009-01-15	remko
	* pslib.c:		Fixed minor bug in ps_polygon (missing P in some cases)

2009-01-14	pwessel
	* pslib.c:		Adherence to ancient PS Level 1 caused trouble with max path
				length.  Now moving to PS Level 2; if anyone has printers from
				the 1950ies pls just use GhostScript.  Specifically, this fixes
				problems with dashed lines within long clip paths (e.g., circular
				map boundaries).
2009-01-14	remko
	* gmt_init.c:		Fixed some errors in descriptions of -J option
	* explain_-J_short.txt:	---"---

2009-01-12	jluis
	* gmt_plot.c:		Example 8 was crashing with Intel compiled binaries because the
				fno variable in GMT_epsinfo was declared to 5 elements but in cases
				like example08 a fno[5] address is inquired.

2009-01-12	remko
	* grdview.c:		Made outline part of paint_it(). Significantly shortens PS file
				when plotting mesh.
	* pslib.[ch]:		Significantly simplified the PostScript specification of symbols.
				ps_setfill introduced to set symbol fill and outline.
				Bug fix in ps_bitimage_cmap(): uncolored (B/W) 1-bit images caused
				errors in ghostscript when the pen color was not black; now plots
				using /DeviceGray.
	* gmt_plot.c:		---"---

2009-01-11	pwessel
	* gmt_custom_symbols.conf:	Removed the standard symbols from this list but kept
				the actual custom *.def files for backwards compatibility.

2009-01-11	remko
	* gmt_custom_symbols.conf:	Replaced all "Like -S.. but fillable with pattern" by
				"Same as -S..", since all these symbols are already fillable
	* PSL_prologue.ps:	New implementation of cross (was actually a plus). Introduced
				plus sign. Both are positioned now on the center of the symbol.
	* pslib.[ch]:		Renamed ps_cross to ps_plus. Implemented new ps_cross.
	* gmt_plot.[ch]:	Renamed GMT_cross to GMT_plus. Implemented new GMT_cross.
	* {psxy,psxyz}.{c,txt}:	-Sx now makes a cross (x) not a plus (+). -S+ makes a plus (+).
	* gmt_init.c:		---"---
	* gmt_support.c:	---"---
	* gmt_symbol.h:		---"---
	* *.txt:		Consistent use of OPT(x)

2009-01-10	remko
	* pslib.c, PSL_prologue.ps:	New implementation of code for ellipse (provides
				constant pen width). Changed code for circle and
				pie wedge (made similar to other symbols).
	* pslib.[ch], gmt_plot.c:	Removed OLD_TEXTDIM code (obsolete after change of 2008-12-20).

2009-01-09	pwessel
	* surface.c:		Abort with message if nx or ny is < 4.

2009-01-09	jluis
	* psmask.c:		Added +n<n_points> option to -D to limit the minimum number of
				points a polygon must have in order to saved.
				Fixed also a bug on -D-<file> which did not write the '>' char

2009-01-07	jluis
	* grdcut.c:		If needed, change new limits so that they do not raise the
				"Old and new x_min|y_min do not differ by N * dx|dy" error message
	* gmt_customio.c:	Fixed sub-region access in Surfer format. This bug would
				manifest mainly when doing a grdcut with a N-S sub-region

2009-01-06	remko
	* pslib.[ch]:		Implemented Fortran interface for ps_plotinit_hires.
				Added ps_memory to public functions.
				Allow transparency when plotting 8-bit images (as well as 24-bit).
	* pslib.txt:		---"---
	* psimage.{c,txt}:	Implemented -Gt option: assignment of color to be made transparent.

2009-01-05	remko
	* ps2raster.c, pslib.c:	Lower bounds of BBox written with floor(), upper bounds with ceil().

2009-01-02	remko
	* ps2raster.c:		Include -F option to force file name.

2008-12-23	remko
	* grd2cpt.c:		Allow multiple files input
	* grd2cpt.txt:		---"---
	* GMT.in, GMT.txt:	Updated to reflect change in grd2cpt.c
	* *.txt, *.tex:		---"--- and replaced all "gridded file" by "grid file"

2008-12-20	remko
	* pslib.c:		New implementation of ps_textdim to ensure proper alignment
				of texts and the optional surrounding boxes.
	* pslib.h, gmt_plot.c:	---"---

2008-12-17	pwessel
	* GMT.in:		Added in greenspline in the list of programs

2008-12-12	pwessel
	* gmt_qsort.c:		We have added GMT_qsort which is a 64-bit compliant version
				of qsort.  The latter is broken under OS X 64-bit and is
				thus substituted on that platform for 64-bit compilations
				until Apple fixes the problem.

2008-12-10	pwessel
	* psxyz.c:		Did not pick up y-size for column from input data file.
	* gmt_support.c:	GMT_polygon_is_open did not test for empty polygons (n = 0).
	* grdfilter.c:		New options -Np to honor any NaNs found so output can be NaN,
				-Nr to replace output node with NaN if input node is NaN, and
				-Ni to ignore NaNs [Default].

2008-12-09	pwessel
	* grdreformat.c:	Did not initialize grid header structure and could get
				netCDF error "Named variable does not exist in file"
	* grd2cpt.c:		---"---
	* grdedit.c:		---"---
	* grdtrack.c:		---"---
	* grdvector.c:		---"---
	* grdview.c:		---"---
	* grdvolume.c:		---"---
	* mex/grdinfo.c:	---"---
	* mex/grdread.c:	---"---

2008-12-08	pwessel
	* gmt_init.c:		-JXh was misinterpreted but -JXv was OK.  Now fixed.
	* gmt_plot.c:		Bug in GMT_fill_polygon that affected polygon outline.
				3D text box was computed incorrectly.
	* gmt_map.c:		Added improved clipping for geographic polygons using
				the Sutherland & Hodgman algorithm when there are no map
				jumps in longitude.  Fixes problem with tiny strips of
				"land" along map perimeter for some projections.
	* gmt_math.h:		Check for macro definitions for system math functions.
	* gmt_vector.c:		GMT_resample_path would add 360 to points along meridians.
	r pslegend.c:		Can now use rectangle among the symbols.

2008-12-05	pwessel
	* greenspline.c:	New interpolation/gridding program for 1-3 dimensions using
				Green's functions for various splines.  Added new example 29.

2008-12-03	remko
	* PSL_prologue.ps:	Redefined code for circle. Needed a stroke (S) first, otherwise
				a line would be drawn from the previous symbol.
	* pslib.c:		Updated PSL_prologue.ps version.

2008-11-29	pwessel
	* minmax.c:		Optional /<col> may be added to -T<dz> to select a column.

2008-11-28	pwessel
	* gmt_init.c:		Now, -R may take the name of an existing grid file. Then,
				the grid domain is used to set -R as well as the grid
				increment for those program that has such an option.

2008-11-21	pwessel
	* spotter/backtracker.c:	The -W option always assumed the reverse rotation,
				i.e. from hotspot to seamount.  Now obeys the -D option.

2008-11-17	pwessel
	* psscale.c:		When -I and -Li was used we did not draw box outlines.
	* ps2raster.c:		New format -Tb for Microsoft BMP output.  Also, formats
				b, g, j, and t accept modifier '-' to produce grayscale
				images.  Finally, added -Cgs-command to add one or more
				custom switches to ghostscript, and -Q[g|t]<bits> to
				set the level of anti-aliasing for graphics and text.

2008-11-14	pwessel
	* ps2raster.c:		New format -TG turns on transparency for PNG output.

2008-11-13	pwessel
	* psxy[z].c:		New option -I<intens> to modulate fill color via illumination.

2008-11-02	pwessel
	* spotter/backtracker.c:	New option -e to specify a single fixed total
				reconstruction rotation to apply to all input points.

2008-10-17	pwessel
	* xyz2grd.c:		New format (A) for -Z which allows more than one floating
				point value per input record.  Cannot be used if the z-
				values are in dateTclock or ddd:mm:ss format.
2008-10-14	pwessel
	* xgrid/xGridEdit.c:	Needs GMT_io_init to get all pieces needed to read grids.

2008-10-10	pwessel
	* x2sys.c:		Can now also handle netCDF 1-D COARDS files.
	* psbasemap.c:		The -L syntax and description was out of date regarding
				how the options are to be specified.  Added new syntax
				explain functions for both map scale and map rose so these
				are consistently described for both psbasemap and pscoast.
				Also corrected the syntax and description in the man pages.

2008-10-08	remko
	* gmtmath.c:		Added INRANGE operator. Was added to grdmath on 2004-03-28,
				but was not available to gmtmath.

2008-10-06	pwessel
	* x2sys/x2sys_datalist.c:	Now has [experimental] support for using a correction
				table and can compute auxiliary data such as distance and az.
	* x2sys/x2sys_init.c:	Now, the dist and speed unit settings (-C -N) are set here
				and are kept with the TAG for use in other x2sys programs

2008-10-03	pwessel
	* x2sys/x2sys_report.c:	New program [experimental] to report statistics of crossovers.

2008-09-24	pwessel
	* grdtrend.c:		Moved the gauss matrix solver to gmt_vector.c and renamed
				it GMT_gauss.
	* gmt_vector.c:		Now holds general-purpose square matrix solver GMT_gauss.
				Eliminated hardwired limit on N.

2008-09-21	jluis
	* pslegend.c:		Now use remove function to delete script after completion;
				this avoids a Windows problem.

2008-09-20	pwessel
	* gmt_support.c:	Function GMT_get_arc did not check for division by zero.
				The -Gx<file>:<radius>[unit] in grdcontour passed the entire
				argument as the file name.
	* x2sys/x2sys_list.c:	New program [experimental] to extract a subset of crossovers
				from the list produced by x2sys_cross.  Intended to replace
				the old x_system/x_list.c.
	* x2sys/x2sys_solve.c:	New program [experimental] to determine systematic trends from
				a set of crossover errors.  Intended to replace the old
				x_system/x_solve_dc_drift.c.

2008-09-10	remko
	* gmt_nc.c:		Coordinate arrays are now always double precision.

2008-09-05	pwessel
	* mex/imgread.m:	New Matlab/Octave function to read Sandwell/Smith *.img files.

2008-09-01	jluis
	* mapproject.c:		Extended mapproject's -A option by making the fixed point
				optional; if not given we compute azimuths between points.
	* misc/gmtdp.c:		New utility to apply the Douglas-Peucker line-reduction
				algorithm to line data.

2008-08-21	pwessel
	* grdblend.c:		Better treatment of longitude periodicity if -fg is selected.
				E.g., if -Rg is used and a grid is -30/30 in longitude the
				output grid will consider 0-30 and 330-360 correctly.

2008-08-21	remko
	* ps2raster.c:		Needed to backspace a little more to capture BoundingBox at end.

2008-08-14	pwessel
	* grdmath.c:		Some 2nd-order derivatives whose BC yields 0 should yield NaN
				if one or more of the nearby nodes are NaN.  Added NOT operator
	* gmtmath.c:		Same as above for D2DT2.  Added NOT operator.  Also allow data
				columns to contain NaN, and for the time-columns to contain NaN
				if -T is set.

2008-08-14	remko
	* blockmedian.c, psxy.c:	Replaced word "quartile" by the proper "quantile".
				Same in man pages.
	* *.c, *.h, *.txt:	Fixed numerous typos. Thanks to Dan Scheirer for listing them.

2008-08-08	remko
	* psscale.c:		Logarithmic scale did not function properly when scale bar
				was vertical. Needed to swap more x/y properties.

2008-08-05	pwessel
	* x2sys/x2sys_get.c:	Now handles -R with longitude periodicity correctly
	* x2sys/x2sys.c:	Swabbing of index files happens automatically

2008-07-23	pwessel
	* mgd77/mgd77track.c:	Enhanced -A option to place cruise ID equidistantly (dist or time) along the track.

2008-07-16	pwessel
	* grdblend.c:		A side-effect of the 2007-02-01 fix was that when the file
				is re-opened the row range is reset.  Now the possible
				offset is computed during initialization but applied when
				the file is finally opened for reading.
	* ps2raster.c:		Now will scan for the optional comment %%HiResBoundingBox
				which takes precedence over the values in %%BoundingBox.

2008-07-15	pwessel
	* pslib.*:		Now measure paper size in double precision points instead
				of truncating to nearest integer.  To remain backwards
				compatible for pslib users we now initialize all plotting
				in GMT with ps_plotinit_hires.
	* gmt_*.c:		Now use double precision for paper size rather than int.

2008-06-20	pwessel
	* mgd77/mgd77.c:	Now applies recalculation of fields requested by E77 flags
				as part of reading netcdf mgd77+ files.  However, if the
				original anomaly was NaN then we leave it as is.

2008-06-13	pwessel
	* grdimage.c:	Failed to determine boundary of projected grid with enough precision.
	* misc/gmtstitch.c:	Check to see if format was set was wrong.
	* mgd77/mgd77track.c:	Missing newline after last source line

2008-06-12	pwessel
	* examples:		Added ex27 for plotting img files and ex28 for plotting UTM
	* psbasemap.c:		The syntax for the -L option had to change since one could
				not easily use the :label: specification if the coordinates
				were given in dd:mm[:ss] format.  A new syntax has been
				implemented where one or more +?[args] strings are appended
				after the required parameters.
	* pscoast.c:		Same.
	* gmt.h, gmt_init.c:	Modified special checks for FreeBSD by also considering _AMD64_

2008-06-11	pwessel
	* mgd77/mgd77sniffer.c:	Bitwise assignment error was deactivating other fields when
				depth field was missing from a cruise.  Another bitwise error
				was overwriting E77 nav flags when navigation was found on land
				Updated sample grid function to handle longitudes for img files
	* mgd77/mgd77.c:	Index array error resulting in wrong IGRF start and stop
				years was fixed.
2008-06-09	pwessel
	* xyz2grd.c:		For -E under Windows we used fscanf with a pointer from GMT DLL
				which would fail for mysterious reasons

2008-06-05	pwessel
	grdfilter.c:		Complained if -R was used and xmin was < h.xmin for full
				360-range grid.

2008-06-03	pwessel
	* gmt_init.[ch]:	gmtdefs.encoding.name could be freed even if never allocated.
	* examples/ex27:	New example showing how to plot Mercator *.img grids.

2008-06-02	pwessel
	* pslib.c:		ps_polygon can only split line when rgb[0] == -1 not < 0
				since -3 now means to use a fill pattern.
	* pstext.c:		Enhanced -Z+ option expects z-level values in 3rd column

2008-06-01	pwessel
	* Win installer:	Now installs the GMT include files so users can build their own
				programs that use the GMT libs

2008-05-29	pwessel
	* grdreformat.c:	There is no longer a share/conf/gmt_formats.conf so the
				grdreformat usage message crashes. Introduced new file
				grdreformat.h created by GNUmakefile to include this info.

2008-05-27	pwessel
	* grdfilter.c:		The -D5 did not initialize xscale so filter search box was
				set to region width which typically is much larger.  The bug
				did not affect the results but unnecessarily increased runtime.
2008-05-27	remko
	* pslegend.c:		Let N (number of columns) also affect the printing of labels
	* pslegend.txt:		Made clear that N only affects the printing of symbols and labels

2008-05-22	pwessel
	* gmt_map.c, gmt_init.c:	Added support for enhanced -E option for 3-D perspective
				views which allows the specification of a fixed point (needed for
				creating animations). Updated all programs to use the new option
				and added updated man page and synopsis to all programs.

2008-05-20	pwessel
	* gmt_io.c:		Did not properly apply PLOT_DEGREE_FORMAT=ddd.x for decimal degrees
	* gmt_map.c:		Determining where parallels and meridians intersected the map
				boundary where susceptible to roundoff for very small regions
	* gmt_plot.c:		Checked for map jumps even for non-periodic map boundaries.

2008-05-19	pwessel
	* pscoast.c:		The -Q option should not require -J
	* pstext.c:		Cannot remove blank lines when in paragraph mode as those
				lines signal the end of each paragraph.
2008-05-18	remko
	* configure.ac:		Version updated to 4.3.2. Added CVS_VERSION switch.
	* src/gmt_version.h.in:	Add date and time to CVS version string.

-----------------------------------------------------------------------------------------
2008-05-15
	* tar 4.3.1 made and released via email
-----------------------------------------------------------------------------------------

2008-05-15	pwessel
	* xyz2grd.c:		The -S option incorrectly insisted that -G needed to be set.

2008-05-12	remko
	* conf/gmtdefaults_{SI,US}.in:	Renamed from .gmtdefaults_* (no longer hidden)
	* configure.ac, gmt_init.c:	Changed accordingly
	* Makefile:		"make install-data" now copies only the appropriate directories
				and file from the share directory, i.e. not CVS directory, and
				.cvsignore and *.in files.
	* src/makefile:		Link libgmtps.$(SL) and libpsl.$(SL) to appropriate libraries.
	* src/x2sys/makefile:	No need for linking libx2sys.$(SL) against netCDF.

2008-05-12	pwessel
	* <suppl>/*.c:		Some supplement programs had a mix of GMT_fopen and fread
				which usually fails under Windows when a dynamic DLL is used.

2008-05-09	remko
	* gmt_support.c:	Allow a little more slop in determining whether primary tick
				is at same location as secondary tick.

2008-05-08	pwessel
	* grd2xyz.c:		For -E: The test for dx == dy was susceptible to round-off

2008-05-07	remko
	* gmt_io.c (GMT_nc_input):	Would not read all columns when no variable names given.

2008-05-06	pwessel
	* gmtselect.c:		Did not like a variable number of columns.  Now OK if ASCII
				i/o and at least 2 (3 with -Z) columns are found.
	* gmt_mgg2_header.c:	Passed 2nd, 3rd arguments to fread in the wrong order, thus
				failed to read GRD98 grids.
	* gmt_init.c:		Now, media size Custom_WxH can use W and H in inch, cm, or m
				by appending i, c, or m to each dimension.

2008-05-05	pwessel
	* psxyz.c:		Memory problem: Since realloc does not initialize we
				must explicitly set the pointer in the PSXYZ_DATA1 structure
				to NULL since we later use the pointer to determine if we
				need to free allocated memory.
	* project.c:		Same for the 2 pointers in the PROJECT_DATA structure.

2008-05-03	pwessel
	* psxy.c:		The -D option erroneously gave error when used properly.

-----------------------------------------------------------------------------------------
2008-05-01
	* tar 4.3.0 made and released via email
-----------------------------------------------------------------------------------------

2008-05-01	pwessel
	* gmt_map.c:		GMT_grd_project did not check if x_proj was NaN before trying
				to add/sub 360 degrees, hanging under Windows.

2008-05-01	remko
	* ps2raster.c:		When encountering BoundingBox: (atend), skip to the end.
	* grdsample.c:		Did not allocate enough memory, with crashes resulting.
	* share/conf/*.orig:	Replaced by *.in, and processed by ./configure using AC_SUBST
	* guru/GMT_share_files_ascii.lis:	Removed share/conf files.
	* guru/GMT_src_files_ascii.lis:		Added share/conf/*.in files.
	* configure.ac:		---"---, including setting EPS in BOTH US and SI when --enable-eps
	* guru/gmtguru.macros.orig, GNUmakefile: Added GMT_OTHER to add other flags to configure.

2008-04-29	pwessel
	* grdview.c:		Clarified that -T cannot take -JZ|z, fixed clipping.

2008-04-28	pwessel
	* mgg/mgd77togmt.c:	Did not initialize MGG_SHAREDIR path.

2008-04-28	remko
	* GMT_eckert.sh:	Removed. Was not used by anything.
	* GMT_gall_stereo.sh:	Added example for -JCyl_stere.
	* GMT_Chapter_6*.tex:	Added more information on optional -J parameters. Added some
				historical background.
	* examples, scripts:	Removed options in -J when same as default.

2008-04-26	pwessel
	* README etc:		Updated to reflect recent changes such as only *.bz2 archives
				and references to Windows installers.
	* grdview.c:		The -Qc option failed to set the "build image" flag and produced
				garbage surface tiles.  Also, -T[s] produced polygons that were
				not checked for wrapping at a periodic map boundary.

2008-04-25	pwessel
	* x2sys:		Moved *.def to share/x2sys
	* mgd77/mgd77sniffer.c:	Cumulative fixes & updates since August 2007:
				Added -K option to flip navigation flags (if extreme positions
				cause checking to flag good records rather than bad).
				Added -D[x]r option, where x is any preexisting -D option.
				Appending r tells sniffer to use all records in sniffer output
				rather than omitting records flagged with bad navigation.
				Moved speed checking algorithm to precede any other analysis of
				mgd77 data records, including regression checking. This allows
				extreme nav errors to be flagged and ignored in later analysis.
				Modified speed checking algorithm to compare the current nav fix
				to the previous good nav fix, rather than just the previous nav fix.
				This does a better job of flagging the correct fix when excessive
				speeds are found. Previously the current flag was compared to the
				previous flag and whenever excessive speed was computed the current
				record was flagged. This lead to flagging good records at times when
				it was the previous record that was bad.
				Modified manage to accept flags with NaN time stamps.
				Changed speed check from speed > max_speed to fabs (speed) > max_speed
				Bug in E77 output causing distance to be printed when cruises have time stamps
				Track outliers in decimate function, if more than 5% outliers use the
				maximum possible MGD77 values for the 2D bin table in the decimate function.
				Blocked decimation algorithm when dumping values, gradients, etc., and when
				non-regression related warnings are selected (see -W option). Removed bug
				from excessive offset from grid print command.
				Fixed negative array index bug in precision check code
				Fixed an E77 RLS print bug
				Fixed memory deallocation bug - was GMT_free on out[rec] - now on out[curr]
				Added anomaly recalculation toggle to E77
				Use double instead of float for everything but the GMT grids
				Added anomaly sign tracking also fixed e77 scale and icept for A option
				also cleared up kludgy code in grid and ship regression section

2008-04-24	remko
	* ps2raster:		Use PID to augment the file names of temporary files.
				This is not totally secure, but the alternative, mkstemp, is not
				standard enough (not ISO C90).
				Option -N has become obsolete. Use -S and/or -Te instead.

2008-04-22	pwessel
	* psxy.c:		Now will properly clip polygon outline and not draw it along clipped border.
	* configure.ac:		Added support for --enable-mex-mdir=dir and --enable-mex-xdir=dir
				to override the Matlab/Octave preferred paths for local *.mfiles
				and *.mex functions.
	* install_gmt:		Now uses these new variables when running configure.

2008-04-21	pwessel
	* mapproject.c:		-G+ will compute distance between coordinates in first 4 columns

2008-04-19	pwessel
	* configure.ac, src/makegmt.macros.in, mex/makefile:  Added support for --enable-octave
				as an alternative to --enable-matlab

2008-04-16	remko
	* psxy.c, psxyz.c:	Two bug fixes in both programs.
				- If first symbol in list with size was not circle, it got rejected.
				- When sizes of -Sr or -Sj were read from list, they were always inches.

2008-04-15	remko
	* pslib.c, PSL_*.ps:	Renamed a few PostScript commands; reduced prologues in size.
	* gmt_support.c (GMT_just_decode):	Bug fix: was defaulting to BC, instead of BL.
				Also reduced to two arguments (second being default justification).
	* ps{image,legend}.c:	Reduced arguments in GMT_just_decode.
	* ps{scale,text}.c:	---"---
	* gmt_support.h:	---"---
	* gmt_plot.[ch] (GMT_timestamp):	Added "justify" argument to specify justification of
				the time stamp box. Provided by gmtdefaults or -U option.
	* gmt_init.c:		Added justification to GMT_UNIX_POS. Is now <just>/<dx>/<dy>.
				Also added <just> to -U option parsing.
				Fully backwards compatible with previous versions (default just=BL).
	* gmtdefaults.txt:	---"---
	* explain_-U.txt:	---"---
	* common_options.txt:	---"---
	* gmt{,_globals,_common.h}:	---"---
	* .gmtdefaults_*.orig:	---"---. Set PS_IMAGE_COMPRESS = lzw.
	* .gmtdefaults4.doc, .gmtdefaults_test:	Now created on the fly from system defaults file.

2008-04-14	pwessel
	* psxy[z].c:		Drawing arrows with -SvS and time-coordinates did not work as 2nd time
				coordinate did not get processed properly.

2008-04-13	pwessel
	* grdview.c:		The facade (-N) outline was drawn with contour pen.  Now use -Wf to change
				the facade pen from its default value.
2008-04-11	pwessel
	* x2sys/x2sys_binlist.c:	Could create bad bins because of incorrect reallocation of memory.
	* mex/*.c:		No longer need to include matrix.h separately.  This helps octave compilation.

2008-04-09	remko
	* gmt_init.c (GMT_timestamp):	Added new gmtdefaults value UNIX_TIME_FORMAT, which sets the format for
				the time string in the GMT time stamp (-U option). The default is
				"%Y %b %d %H:%M:%S", which is what was printed up to now, except that
				%e (which is not supported by ISO C90) is replaced by %d.
	* gmtdefaults.txt:	---"---
	* gmt{,_globals.h}:	---"---
	* gmtdefaults_*.orig:	---"---
	* gmt_plot.c:		Use gmtdefs.unix_time_format to format the time stamp. This also requires
				the time stamp box to size with the time string and the additional label
				to move. Tweaked the placement of the strings a bit (better vertical
				placement and relative horizontal placement using spaces).

2008-04-07	remko
	* gmt_grdio.c:		Did not yet properly combine ?varname=suffix on output grid.
	* ps2raster.c:		Security improvements: (1) Replaced tmpnam by mktemp, as tmpnam provides
				a limited number of temp file names. (2) Run commands using system(cmd)
				directly and remove file using remove(file), instead of creating a
				script first.

2008-04-05	pwessel
	* gmt_map.c:		Fixed final bug in GMT_radial_clip.  Also, GMT_world_map should be
				FALSE for azimuthal projections.  This fixes the -JA -JE pscoast bugs.

2008-04-05	remko
	* gmt_map.c, gmt_proj.c:	Fixed bug in azimuthal equal area projection that had the
				horizon shifted from where it ought to be.
	* *.txt:		Added more short explanations on input and output grid formats.
				In some man pages -F was explained instead of -f.
	* GMT_Chapter_4.tex, GMT_Appendix_B.tex:	Added information on -bic (netCDF tables).

2008-04-04	pwessel
	* gmt_stat.c:		Bug in GMT_median would sometime give subtle mistakes, most noticeable
				when only a few values were passed to the function. Traced to the use
				of size_t variables in expressions that should yield a negative value.

2008-04-04	remko
	* GNUmakefile:		Removed creation of *.tar.gz and GMT_src.zip.
	* configure.ac:		CFLAGS, CPPFLAGS, LDFLAGS as set by user is ADDED to anything configure
				dreams up. Neither OVERRULES the other.
				NETCDF_LIB and NETCDF_INC can be used to set netCDF locations separately.
				Create versioned shared libraries on Linux.
	* */makefile:		Changes made accordingly.
	* job04c.*:		Renamed from job4c.*
	* run_example_tests.sh:	New test script of example files
	* run_*_tests.sh:	Avoid excessive error messages when compare fails on missing files, etc.
	* ps2raster.c:		Always translate and/or rotate EPS output to origin. Not only when
				in concert with other formats. This makes -P -Te work as -P -Tef.

2008-04-02	remko
	* gmt_grdio.c: 		GMT_is_*_grid now works on header struct. GMT_grd_get_format also strips
				off ?<varname> and stores it in header->varname.
	* gmt_nc.c:		When writing netCDF grid ?<varname> can be used to assign variable name
				and long_name attribute.

2008-04-02	pwessel
	* gmt_map.c:		The radial clipping would sometimes add arcs using the arc that
				is > 180 degrees.
	* x2sys/x2sys_put.c:	Wrong test when replacing older track info lead to dbase loss.

2008-04-01	pwessel
	* examples/ex19/*:	Next GMT conference is now in 2009.
	* gmt_support.c:	Made GMT_polygon_is_open tolerant of round-off and if
				polygon is not open set last to exactly equal first point.

2008-04-01	remko
	* gmt_proj.c:		Avoid error in GMT_lamb_sph when lat is 90 degrees.

2008-03-29	pwessel
	* pslib.[ch]:		Like in gmt, use PS_exit instead of exit to avoid Matlab shutdown.

2008-03-26	pwessel
	* gmt_grdio.c:		Now the grd i/o support the GMT_[DATA|IMG|GRID]DIR environment settings.
	* grdinfo.c:		Reports actual path to the file (may change if GMT_GRIDDIR is involved).

2008-03-25	pwessel
	* pscontour.c:		Must deallocate *ind memory according to which function was used
	* triangulate.c:	Same.  Only affects Windows's insane memory management.

2008-03-24	pwessel
	* gmt_map.c:		Added new rectangular clip function using Sutherland/Hodgman algorithm
				in order to fix incorrect results in grdlandmask.
	* grdblend.c:		Did not pick up node registration before calculating output grid size.

2008-03-24	remko
	* gmt_io.c:		Implemented -b[i|o]c[<var1>/...] option to indicate input is netCDF.

2008-03-23	pwessel
	* ALL:			More solid 64-bit support after full cleansing with -Wconversion.  All 26
				examples runs clean in both 32-bit and 64-bit mode as do the entire GMT
				documentation.

2008-03-22	remko
	* gmt_nc.c:		Moved GMT_nc_get_att_text to gmt_io.c so it can be used more generally.
	* gmt_io.c:		Implemented GMT_nc_input to support reading netCDF column data (tables).
				This also required changes to GMT_fopen and making GMT_fclose a real routine
				rather than a macro.
	* gmt_io.h, gmt_globals.h:	Changed accordingly.
	* misc/nc2xy.c:		More space for long_name and units.

2008-03-22	pwessel
	* *.[ch]:		Experimental support for full 64-bit computing with introduction of 8-byte
				integers instead of 4-byte.

2008-03-19	remko
	* gmt_map.c (GMT_map_clip_path):	In polar projection, step size for drawing clip path
				was wrong, resulting in missing wedge in donut shape.

2008-03-15	pwessel
	* gmt_support.c:	GMT_get_annot_label did not properly honor the ddd.xx setting
	* pstext.c:		In -D, if /dy is not given it is set equal to dx
	* psxy.c:		Same. Clarified both usage and man pages.

2008-03-13	remko
	* gmt_support.c:	GMT_hsv_to_rgb, GMT_rgb_to_hsv, GMT_check_hsv now uses hsv[]
				instead of h, s, v, in accordance with similar routines.
				GMT_getrgb and GMT_gethsv can read hexadecimal color codes,
				which need to start with #, e.g. #ff0000 for red.

2008-03-11	pwessel
	* grdgradient.c:	With -D -S the slopes were not set to NaN if data were NaN
	* gmt_map.c:		Bug in map clipping for -JG
	* gmt_support.c:	Improve map annotation for general perspective projection
				Added support for annotations for -JF gnomonic for global maps.
	* gmt_proj.c:		Clip path for general perspective projection was not closed.

2008-03-11	remko
	* bin/gmtlogo:		Pushed text back up into 2 x 1 inch box. Put in isolation mode
	* src/Colors.txt:	Reorganized list of RGB colors and names.
	* gmt_color{name,_rgb}.h:	Removed from CVS. Now created from Colors.txt
	* doc/scripts/GMT_RGBchart.sh:	Added GMT logo. All sizes horizontal.
	* src/gmtcolors.txt:	New man page with color information.
	* src/Grdformats.txt:	Renamed from share/conf/gmt_formats.conf

2008-03-09	pwessel
	* pstext.c:		Parsing of -C complained about % sign

2008-03-09	remko
	* gmt_init.c, gmt_globals.h:	Moved GMT_N_MEDIA and GMT_N_UNIQUE to gmt_dimensions.h, which
				is automatically created.
	* gmt_media_name.h, gmt_media_size.h:	Added "statement" and "tabloid" sizes
	* doc/scripts/GMT_RGBchart.sh:	Script to create RGB color tiles added to CVS
	* doc/GMT_Appendix_I.tex:	Added RGB chart
	* www/gmt/doc/pdf/GMT_RGBchart_*.pdf:	Added A4, Letter and Ledger sized RGB charts

2008-03-07	remko
	* ex11/job11.*:		Added R, G, B, H, S, and V arrows.
	* doc/scripts/GMT_color_interpolate.sh:	New example on color palette interpolation.
	* doc/scripts/GMT_App_M_1.sh:	Make sure titles get centered on color bars.
	* doc/fig/{gimp*,hsv-cone}.png:	New imagery for Appendix I
	* doc/GMT_Appendix_I.tex:	Completely revamped Appendix I
	* doc/GMT_Chapter_7.tex:	Removed some ugly orphans.
	* doc/GMT_version.tex.in:	Removed "Version" from \GMTDOCVERSION
	* doc/GMT_Frontmatter.tex:	Added some more acknowledgments
	* gmtdefaults.txt:		Explained COLOR_MODEL better.
	* gmt_support.c:	Avoid small color values. -1e-15 will look like h-s-v.
				A + in the gmtdefaults COLOR_MODEL definition overrules interpolation
				mode specified in cpt file.

2008-03-06	pwessel
	* binned_GSHHS*.cdf:	Added two missing barrier islands along Long Island, NY
				to the GSHHS database.  Updated next GSHHS version number to 1.10.
	* grdcontour.c:		Recognize if no contours can be found inside -L range and exit.

2008-03-05	remko
	* grdinfo.c:		Implemented Welford (1962) algorithm for more precise one-pass
				computation of mean and sum of squares.
	* grdedit.c:		Adjust z_min and z_max when changing add_offset or scale_factor.
	* gmt_grdio.c:		Changed "Latitude", "Longitude" and "Time" to lowercase only.
	* gmt_nc.c:		Use coordinate variables lon(lon), lat(lat) or time(time) when
				appropriate. When updating: need to remove "add_offset" when 0 and
				"scale_factor" when 1.
	* grd2xyz.c:		Do not abort with -R exceeds grid; simply output common region.

2008-03-04	remko
	* grdmath.c, gmtmath.c:	Implemented Welford (1962) algorithm in KURT, SKEW and STD operators
				for more precise one-pass computation of mean and sum of squares.

2008-02-29	remko
	* makefile:		More sure-fire way to install libraries. Also give shared libs mode 755.
	* isogmt.in, isogmt.txt:	Script to run GMT in isolation mode introduced
	* GMT_App_P_{1,2}.sh:	Isolation mode examples
	* GMT_Appendix_P.tex:	Added description of isolation mode

2008-02-28	pwessel
	* mgd77/mgd77info.c:	Same issue as minmax that was fixed on 2008-01-31.

2008-02-27	remko
	* gmt_io.[ch], gmt_calclock.[ch]:	Removed GMT_dt_from_usert, GMT_usert_from_dt, GMT_dtime.
				These were remnants of a time that internal time representation was entirely
				in rata die numbers. Since computations are done extensively with relative
				time (in doubles) keeping the conversion double-to-double became non-sensical.

2008-02-25	pwessel
	* gmt_io.c:		Now skips blank lines that has leading whitespace.  Function
				GMT_is_a_blank_line (char *line) is now used wherever ascii
				input is processed.
	* pscontour.c:		-T option was susceptible to infinite loop if bad record was found.

2008-02-25	remko
	* configure.ac, src/makefile, src/x2sys/makefile, src/mgd77/makefile, makegmt.macros.in:
				Shared libraries made easy: now set LIBEXT=a for static libraries and
				LIBEXT=$(SL) for shared libraries. Works also in supplements.
	* nc2xy.c:		Time coordinate recognized as such. Relative time output according
				to TIME_UNIT and TIME_EPOCH set in .gmtdefaults.
	* gmt_grdio.c:		Fixed 3 bugs in GMT_decode_grd_h_info that caused problems parsing -D
				option. Explicitly exclude = sign from becoming separator.

2008-02-24	remko
	* grd2xyz.txt, xyz2grd.txt:	Added information on using TIME COORDINATES.
	* gmt.h, gmt_globals.h:	Time system now fully defined in struct gmtdefs.time_system.
	* gmt_calclock.c:	---"---
	* gmt_init.c, gmt_init.h:	GMT_get_time_system and GMT_init_time_system_structure now use
				time_system as argument so that not only the internal time system
				defined in gmtdefs.time_system can be parsed.
				Need to move these functions to gmt_support.c?
				GMT_get_time_system can now also deal with "TIME_UNIT since TIME_EPOCH".
				'T' no longer required in epoch string.
				That means TIME_SYSTEM = "days since 2000-01-01 12:00" works.
	* gmt_grdio.c:		Now reuses GMT_get_time_system and GMT_init_time_system_structure.

2008-02-24	pwessel
	* gmt_*.c:		Made sure functions call GMT_exit and not exit when quitting.  Only main
				programs call exit.
	* pslib.c:		Bug in ps_shorten_path lead to SEGV when path resulted in a single point.

2008-02-22	remko
	* ex*/job*.sh:		Prepared for inclusion in documentation (instead of job*.csh)
	* doc/GNUmakefile:	Updated accordingly
	* doc/GMT_Chapter_7.tex doc/GMT_Tutorial.tex:	Switched from C shell to Bourne shell

2008-02-22	pwessel
	* psrose.c:		Added new -F option to disable the plotting of the scale bar.

2008-02-21	pwessel
	* pslib.c:		Fixed error in applying pstext's -Dj<dx>/<dy> shift in paragraph mode (-M).
	* mgd77/mgd77list.c:	Added -Ga|b<rec> to limit output to a certain record # range

2008-02-21	remko
	* test/psscale/ages.sh:	Fixed errors in geological names. Put some bars upside down.
	* psscale.c:		Bug fixes: (1) Inverted vertical scale, when using filled rectangles:
				Colours remained in the original order. (2) Inverted vertical or horizontal
				scale, when using rectangles with gradients: Size of rectangles followed
				original order, not inverted. (3) In reverse mode, -Eb was plotting
				foreground triangle, -Ef background triangle.
	* doc/GMT_Appendix_M.tex, doc/scripts/GMT_App_M_2.sh:	Figure added to App M to illustrate uses
				of psscale.

2008-02-20	remko
	* gmt_init.c:		TIME_SYSTEM has become a shortcut for a combination of TIME_EPOCH and
				TIME_UNIT. When used, set gmtdefs.time_unit and gmtdefs.epoch immediately.
				No longer appears in .gmtdefaults4 file.  No more predefined scale,
				rata_die, etc for time systems. Those are determined from
				gmtdefs.time_{unit,epoch} by GMT_init_time_system_structure instead.
				Bug fix: 'c' for seconds was not recognized as TIME_UNIT (expected 's',
				which is kept for backwards compatibility).
	* gmt_time_systems.h:	Removed. Information merged into gmt_init.c.
	* gmt_calclock.h:	GMT_GCAL_EPOCH has become obsolete.
	* gmt_globals.h:	Changed default time_epoch from 2000-01-01 midnight to noon.
				GMT_time_system is no longer an array. time_system removed from gmtdefs.
	* gmt.h:		Removed name, epoch, unit as part of GMT_TIME_SYSTEM struct. Epoch and
				unit can be found in GMT_DEFAULTS struct.
	* src/GNUmakefile, gmt_grdio.c, gmt_calclock.c:	Changed accordingly.
	* gmt_defaults.txt:	Updated to reflect changes.
	* .gmtdefaults_test, .gmtdefaults_*.orig, .gmtdefaults4.doc:	Removed TIME_SYSTEM.

2008-02-19	pwessel
	* gmt_support.[ch]:	Added debug tracking support for memory allocation/freeing.
	* gmt.h:		--"--.  Requires -DDEBUG during compilation to take effect.

2008-02-16	pwessel
	* grdmask.c:		Tiny bug for determining which hemisphere (N/S) unlikely to have
				had any effect.

2008-02-14	remko
	* gmt.h, gmt_init.c, gmt_calclock.c:	Removed #ifndef OLDCAL (assumed always true).

2008-02-13	pwessel
	* grdmask.c:		Needed to allow for some slop when comparing shrink to 0.0 since sometimes
				the result of acos is 1e-14 or thereabouts.

2008-02-11	pwessel
	* gmt_init.c:		-B processing of labels used an internal string that was too short,
				which could lead to label truncation.

2008-02-01	pwessel
	* bin/gmtlogo:		Now scales logo up properly to get better resolution

2008-01-31	pwessel
	* minmax.c:		Could get confused when longitudes crossed dateline or Greenwich,
				and OUTPUT_DEGREE_FORMAT could interfere with result

2008-01-30	remko
	* gmtselect.txt:	Fixed error in example (-Ns/k replaced by -Nk/s).
				Added to -M option: does not affect selection. Always done on point by
				point basis. However, it is a sensible suggestion to select by segment.

2008-01-22	pwessel
	* sample1d.c:		Calendar time knots did not get properly interpreted with -N.

2008-01-15	pwessel
	* mgd77/mgd77.c:	Wrong header order written if mgd77convert .. -Tt was used

2008-01-09	remko
	* gmt_init.c:		Fixed "Holiday-bug" in GMT_parse_J_option introduced 2007-12-21.
				GMT_str_tolower could run out of bounds. Probably only affected 32-bit
				compilers.
	* gmt_support.c (GMT_strlcmp):	Now ignores case.

2007-12-30	remko
	* gmt_defaults.h:	Removed. Merged into gmt_globals.h
	* gmt_globals.h:	Now has gmt_defaults.h embedded
	* gmtalldeps.macros, src/makefile: Improved dependencies
	* gmt_calclock.h:	Should not include gmt.h (it is included by gmt.h)
	* pslib.c:		ps_bulkcopy checks version number (or any string) as part of Id: tag
				in first line. No check is performed when using "" as argument.

2007-12-21	remko
	* gmt_init.c:		Made central longitude optional in cylindrical projections.
				Made Mercator to have 1, 2, or 3 arguments.
				Allow optional standard parallel in cylindrical equidistant (-JQ).
				Added cylindrical stereographic projection.
				Optionally use names for projections (similar to Proj4). Updated usage info.
	* explain_-J*.txt, psbasemap.txt:	Updated accordingly.
	* gmt_support.[ch]:	Added GMT_strlcmp in support of GMT_project_type
	* gmt_map.c:		When central meridian is NaN, replace it by center of longitude range.
				Added initialization of cylindrical stereographic projections
	* gmt_proj.c:		Simplified GMT_vmerc. Use central meridian and standard parallel as input.
				Added cylindrical stereographic projection functions
	* gmt_project.h:	Changed the numbering of projection IDs. Added GMT_CYL_STEREO
				Consolidated all cylindrical projection parameters into one set of four.
	* gmt_grdio.c, mgd77manage.c:	Use the new three parameters of Mercator initialization.
	* *.c:			Avoid using numbers for projections and add GMT_CYL_STEREO where needed.

2007-12-18	remko
	* gmtalldeps.macros, makefile:	Properly identify all unusual dependencies of sources.
	* spotter/grdrotimage.c:	Removed from CVS, not used by anything

2007-12-16	pwessel
	* gmt_plot.c:		3-D basemap axis did not use LABEL_OFFSET

2007-12-13	remko
	* pslegend.c:		Use unique names pslegend_$$.bat and pslegend_$$.txt (was GMT$$.bat and
				pslegend_tmp.txt). Write them in GMT_TMPDIR if defined.

2007-12-12	pwessel
	* pshistogram.c:	The -R option was processed separately and did not understand time coordinates.

2007-12-11	pwessel
	* psxy.c:		Now, -D applies to all symbols, lines, and polygons
	* psxyz.c:		New option -D with similar purpose as for psxy

2007-12-09	remko
	* gmt_shell_functions.txt:	Added to manpages

2007-12-07	pwessel
	* gmtmath.c:		Added constants TMIN, TMAX, TINC, and N
	* grdmath.c:		Added constants XMIN, XMAX, XINC, NX, YMIN, YMAX, YINC, and NY
	* gmt_shell_functions.sh:	Added to programs

2007-12-06	pwessel
	* gmtselect.c:		The -:o option failed to reverse output order
	* pshistogram.c:	Bug in -F option failed to center bins
	* x2sys/x2sys_get.c:	The -L option did not honor any -F or -N settings

2007-12-01	remko
	* gmt_init.c:		** Isolation mode implemented **
				At initialization, check is GMT_TMPDIR is defined and writable.
				When GMT_TMPDIR is defined: attempt to read .gmtdefaults4 from
				GMT_TMPDIR and always write .gmtdefaults4 to GMT_TMPDIR.
	* gmt_io.c (gmt_getuserpath):	Search first in GMT_TMPDIR (when defined).
	* gmt_plot.c:		When GMT_TMPDIR is defined: read and write .gmt_bb_info in GMT_TMPDIR.

2007-11-30	remko
	* gmt_dimensions.h:	New automatically generated file: contains all dimensions like
				GMT_N_PEN_NAMES, GMT_N_DATUMS, etc.
	* src/GNUmakefile:	Create gmt_dimensions.h. No more need for checks on those dimensions.
	* gmt.h:		Now includes gmt_dimensions.h. GMT_HASH_SIZE removed.
	* gmt_colors.h, gmt_grdio.h, gmt_globals.h:	Now get GMT_N_* from gmt_dimensions.h
	* gmt_init.c:		Introduced GMT_putdefaults to write GMT parameters. GMT_savedefaults
				improved (\t in output strings instead of <tab>, and finally writes
				ANNOT_FONT_SIZE_PRIMARY instead of ANNOT_FONT_SIZE). Inits hashes
				now with appropriate size.
	* gmtdefaults.c, gmtset.c:	Use gmt_putdefaults instead of gmt_savedefaults.
	* ???math.c:		Inits hashes with the appropriate size.
	* .gmtdefaults*.orig:	Esthetic changes only.

2007-11-28	pwessel
	* gmt_stat.c:		Fixed minor issues in PvQv function
	* x2sys/x2sys_cross.c:	Used wrong data column order and computed speed when there is no time
	* x2sys/x2sys.c:	Error in determining which columns had been requested.

2007-11-25	remko
	* configure.in:		Honor LDFLAGS set by user
	* configure.ac:		Renamed from configure.in

2007-11-24	remko
	* configure.in, */makefile, makegmt.macros.in:	Provide compiler and linker flags for
				netCDF through NC_CFLAGS and NC_LIBS. This should help distributions,
				like Fedora, that have netCDF files not in include and lib directories.
				(Changed again on 2008-04-04: configure flags NETCDF_LIB and NETCDF_INC).

2007-11-14	remko
	* guru/gmtguru.macros.orig:	Settings are now only included in GNUmakefile.
				Version information has moved to configure.in.
	* GNUmakefile:		Has become the only makefile to include gmtguru.macros*
	* */GNUmakefile:	Removed includes of guru/gmtguru.macros*. Information now comes
				from src/makegmt.macros.
	* gmt_version.h.in:	New: template for versioning info in source and manpages.
	* doc/GMT_version.tex.in:	New: template for versioning info in documentation.
	* common_options.txt:	Now includes gmt_version.h to get version info.
	* *.txt:		Now include common_options.txt at the very start.
	* doc/GNUmakefile:	Renamed from doc/makefile.
	* test/functions.sh:	Test functions defined in this file to make writing test
				scripts easier.

2007-11-13	remko
	* gmt_grdio.c:		Fixed bug in parsing -D option from e.g. grdedit. Would always
				see 0 as separator (along with /).
	* gmt_support.c:	Removed strncpy from GMT_strtok. No consequence on function.
	* grdinfo.c:		zmin==zmax no longer forces -M option.

2007-11-13	pwessel
	* gmt_map.c:		Minor bug in 4th term in conformal->geodetic lat.
	* pslib.c:		Redefine rect symbol to be less prone to round-off
	* PSL_prologue.ps:	New macro for box symbol

2007-11-04	pwessel
	* ps2raster.c:		New option -D<dir> specifies alternative output directory.
				Also added -V for progress reports [Default is silent].

2007-11-02	remko
	* gmt_proj.[ch], gmt_project.h, gmt_map.c, gmt_init.c, explain_-J*.txt:
				Added optional horizon to global azimuthal projections (-J[AEGS]),
				also made horizon optional in Gnomonic projection (-JF).

2007-11-01	pwessel
	* gmt_support.c:	In GMT_contour, would occasionally not check internal crossings
				for some interior contours.
2007-10-31	pwessel
	* g*math.c:		Would see files like 13239.d as possible numbers and give
				annoying warnings (file was correctly chosen so no bug).

2007-10-31	remko
	* gmt_proj.c:		Review of all inverse projections. Bug fixes:
				. -JS: Would set slice to NaN if central meridian was not Greenwich.
				. -JR: Longitudes beyond 180 were set to 180.
				Return NaN when longitude is more than 180 from central meridian:
				. Cylindrical and miscellaneous projections -J[IKNRW]
				Return NaN when point is out of map disc:
				. Azimuthal and miscellaneous projections -J[AEGHSV]
	* gmt_map.c (GMT_grd_project):		Now also wraps around longitude when
				GMT_IS_RECT_GRATICULE. Removed initialization with NaN.
	* grdimage.c:		Added -N option: do not clip image at map boundary.

2007-10-30	remko
	* gmt_project.h:	project_info.[sn]_polar has become obsolete.
	* gmt_map.c:		---"---
	* gmt_proj.c:		Removed all singularities and discontinuities in inverse
				azimuthal projections

2007-10-28	remko
	* guru/gmtguru.macros.orig:	Change to 4.2.2b
	* configure.in:		Deal with possibility of beta versions
	* src/makegmt.macros.in:	Removed VERSION (was confusing VERSION from guru)
	* grd2xyz.c:		For gridline oriented grids: grd2xyz -E returned xll and yll
				one cell too large. Now writing [xy]llcenter properly.
	* xyz2grd.c:		Assume pixel orientation when either [xy]llcenter is used.

2007-10-26	pwessel
	* psmask.c:		The -D option used the wrong output file name.

2007-10-25	remko
	* psxy[z].txt:		Made sure that both say the same thing for the same options.
				Extended -M option with info on -G, -W, -Z (instead of at -G)

2007-10-22	pwessel
	* gmt_proj.c:		Added GMT_WIND_LON(lon) macro that handles periodicity
	* *.c:			Ratchet up memory allocation exponentially rather than linearly.

2007-10-18	pwessel
	* spotter/hotspotter.c:	Added -S option to normalize output to percent of CVA maximum
	* spotter/grdspotter.c:	New program, like hotspotter but using gridded data as input

2007-10-15	pwessel
	* pslib.c:		Used internal point_code before it was initialized.  This
				caused PAGE_COLOR not to work (wrote <NUL> rather than C)

2007-10-14	pwessel
	* gmt_map.c:		Round-off could mess mapping of west/east to xmin/xmax
				Now has a safety valve for checking that this does not occur
-----------------------------------------------------------------------------------------
2007-10-10
	* tar 4.2.1 made and released via email
-----------------------------------------------------------------------------------------

2007-10-10	remko
	* doc/*.tex:		Fixed spelling errors.
	* gmt_nc.c:		Properly write out actual_range in actual units, not grid units.
				Backward compatibility for scaled integers built in.
				Store GMT_version and truncate global text attributes to proper length.

2007-10-09	remko
	* pslib.c:		Enclose EPS inclusion between %%BeginDocument: and %%EndDocument
	* install-sh:		Replaced version from 1991 with one from 2004 that can install
				multiple files at a time.

2007-10-07	remko
	* nc2xy.c:		Added missing -f option
	* configure.in:		No more "test ! "$A" = "B"", but use test "X$A" != "XB"
				Removed --wrapbindir and --wrapmandir (were not used anywhere)

2007-10-07	pwessel
	* gmt_support.c:	Removed memory leak in GMT_delaunay

2007-10-05	pwessel
	* grdcontour.c:		Only extend subset by 1 row/col if pixel-registered
	* grdvolume.c:		Added missing -f option

2007-10-04	pwessel
	* psscale.c:		Did not work if -Q and -B1p were used together
	* psbasemap.txt:	Point out that -E disables plotting of titles

2007-10-04	remko
	* gmt_map.c (GMT_map_setup):	Removed restriction that east and west limits can not be
				both negative. This fixed the remaining Hexagone problem.

2007-10-03	remko
	* makegmt.macros.in, */makefile:	Found robust way of assigning .exe extension
				to Cygwin programs
	* configure.in, makegmt.macros.in:	Shared library extensions for IRIX and HP
				are .so and .sl and not the other way around.

2007-10-01	pwessel
	* surface.c:		Make sure verbose starts with surface:
	* gmt_plot.c:		Oblique tickmarks sometimes were missing for latitudes

2007-10-01	remko
	* gmt_support.c (GMT_sample_cpt):	Needed to reverse z_low and z_high values as well as
				rgb values when reversing color maps.
	* makecpt.c:		Need to reverse colormap intervals when -I is given.
				Both these fixes were needed to properly reverse colormaps with uneven
				intervals.
	* share/cpt/GMT_{cyclic,panoply}.cpt:	Two more master color maps added.

2007-09-29	pwessel
	* *.c:			Make sure memory allocated by strdup is freed by free (Windows only)

2007-09-29	remko
	* gmt_vector.[ch]:	Added argument "mode" to GMT_fix_up_path to allow drawing lines
				first following a meridian, then a parallel, or vice versa.
	* psxy.c, grdmask.c:	Extended option -A with -Am and -Ap to use new GMT_fix_up_path modes.
	* pscoast.c, gmt_support.c, gmt_shore.c:	Added mode=0 to GMT_fix_up_path arguments.

2007-09-28	remko
	* gmt_stat.h, gmt_math.h:	Moved functions defined in gmt_stat.c from gmt_math.h to
				gmt_stat.h.
	* gmt_stat.c:		Added GMT_plm_bar to compute normalized Legendre functions to very
				high degree and order. Made GMT_factorial public.
	* gmtmath.c:		Use GMT_plm_bar to determine PLMg. Added FACT (factorial).
	* grdmath.c:		Use GMT_plm_bar to determine PLMg, YLM and YLMg. Added FACT (factorial).

2007-09-28	pwessel
	* gmt_custom_io.c:	When reading Surfer subregions we must adjust as grids starts at
				the lower left corner and not upper left.

2007-09-26	pwessel
	* meca/*.c:		Made Windows DLL workable by using the GMT_* i/o functions.
	* grdblend.c:		---"---

2007-09-26	remko
	* *.txt:		Now print "Generic Mapping Tools" at top of man page.
	* explain_-J.txt, psbasemap.txt:	Added info on general perspective view (-JG).
	* gmt_{map,proj}.[ch]:	Permanently added genper code (stripped #ifdef _GENPER).
	* gmt_{init,plot,support}.c:	---"---
	* gmt.h, gmt_project.h:		---"---
	* grdimage.c, pscoast.c:	---"---

2007-09-25	pwessel
	* pslegend.c:		Usage message did not explain the -L option
	* gmt_map.c:		GMT_grdproject needed to skip points that project beyond the horizon.

2007-09-25	remko
	* gmtmath.c:		New operator PLMg (normalized as in geodesy).
				Added check that 0 < M < L.
	* grdmath.c:		New operators PLMg and YLMg (normalized as in geodesy).
				Added check that 0 < M < L.
				When M=0, set Imaginary component of YLM = 0 (was same as real).
	* ???math.c:		Set stack size to 100 (as mentioned in manual).
	* src/*/GNUmakefile:	Added to build manpages within each directory.
	* src/manpages.mk:	Makefile included in src/*/GNUmakefile and src/GNUmakefile.
	* */makefile:		All other makefiles updated.

2007-09-24	pwessel
	* psxy.c:		Box-and-whisker symbols can now optionally be of the notched
				kind where a 5th data column holding the sample size must be present.
				Activated by appending n to the X or Y in -E.

2007-09-24	remko
	* ???math.c:		Made self-documenting.
	* ???math.func:		Removed. Info is now in ???math.c.
	* make_math.sh:		Changed accordingly.
	* *.txt:		All manpages have become *.1 (except pslib.3)
	* */makefile:		All makefiles include install-man, uninstall-man
	* configure.in:		--enable-mansect= removed.
	* website/gmt_install_form.html website/install_gmt_form.pl:	Manpage section removed
	* guru/install_gmt:	---"---
	* guru/*man.sh:		Allow for manpages named *.[135]

2007-09-21	pwessel
	* {gmt,grd}math.c:	Added functions KURT, SKEW, and PQUANT plus EULER's constant
	* grdmask.c:		For -S..k, did not properly account for latitude effect on dx
	* spotter/originator.c:	Added option -Q to specify constant r/t for (x,y,z) data only
				Now lists -L option in both usage and man page

2007-09-19	pwessel
	* triangulate.c, pscontour.c:	Synopsis now reports name of algorithm currently
				compiled in [Shewchuk or Watson].

2007-09-19	remko
	* configure.in:		Made mansect=1 default. Make versioned libraries on Darwin.
	* src/makefile:		---"---. Actually always ended manpages in .l in stead of .$(mansect)
	* src/makegmt.macros.in:	Added VERSION as variable.

2007-09-18	pwessel
	* x2sys/x2sys_cross.c:	Skip duplicate files

2007-09-18	remko
	* gmt_proj.c, gmt_project.h:	Nicely reformatted all genper code and fixed
				several bugs, particularly inverse projection and projection out
				of field of view.
	* gmt_init.c, gmt_plot.c:	Small changes in genper code (reformatting mostly).
	* gmt_map.[ch]:		Permanently removed old grd_forward code
	* gmt_support.c, gmt_bcr.h:	Permanently removed old BCR code
	* *.c, *.txt, *.tex:	Changed "grdfile" (and alike) in text to "grid file".

2007-09-17	remko
	* grdproject.c:		Added code by Joaquim Luis to make -R optional
	* grdproject.txt:	Changed accordingly; also better described aliasing/interpolation
	* grdimage.txt:		Better description of aliasing and interpolation.
	* *.txt:		Removed mention that options/modifiers should be upper/lower case.
	* gmt_map.c:		Added slack to longitude limits check in GMT_grd_project.
				KM_PER_DEG was not reset in GMT_set_spherical. This may have caused
				errors in scaling when ELLIPSOID != Sphere.
	* gmt_bcr.c:		Added slack to longitude and latitude check
				These last two changes avoids creating the occational NaN borders
				in projected grids or in images of projected grids.

2007-09-15	remko
	* makegmt.macros.in:	Now sets the right X11 and Matlab compiler and linker flags,
				supplied by configure in the main directory.
	* mex/makefile:		Created from mex/makefile.in with Matlab flags coming from
				src/makegmt.macros.in.
	* xgrid/makefile:	Created from xgrid/makefile.in with X11 flags coming from
				src/makegmt.macros.in. Significantly improved (missing dependencies).
	* mex/grdinfo.c:	Renamed from mex/grdinfo2.c (easier for compilation).
	* configure.in:		Changed accordingly, absorbing mex/configure.in.
	* mex/configure.in mex/makefile.in xgrid/makefile.in:	Removed
	* guru/GMT_suppl.lis:	Changed accordingly.
	* README:		Changed accordingly.

2007-09-14	remko
	* GNUmakefile, src/GNUmakefile, src/*/GNUmakefile:	Finally replacing the
				whole gurumake system. All files makefile.guru deleted.
				All references to gurumake and makefile.guru removed from
				numerous other files.
	* */makefile:		Make sure all executables get .exe under Windows.
	* ps2raster.c:		Limit resolution to 720 DPI while determining BBox (50% speed up).
				Made it completely silent on Windows.
	* share/pslib/PSL*.ps:	Start CVS tag lines (and some others) with %- for skipping by pslib.
	* pslib.c:		Skip lines from Prologues starting with %- (skips CVS tags).
	* doc/scripts/orig/*.ps:	Some files updated because of BBox changes.

2007-09-13	remko
	* ex??/job??.sh:	Fixed some inconsistencies with job??.csh scripts
	* do_examples.*sh:	Cycle through available scripts, instead of through directories.
	* doc/makefile:		Added "make tests" here to test all scripts and results.

2007-09-12	pwessel
	* gmt_map.c:		GMT_distances function did not work with correct pointer
				(only used in x2sys & mgd77 supplements)
	* x2sys_cross.c:	Distances were bogus (see above), and wrong number of
				arguments passed to read_file function pointer.
	* x2sys.[ch]:		Wrong number of arguments in the generic read_file function

2007-09-12	remko
	* ex16/ex16.cpt:	Use a lower resolution in surface (-I0.2) to speed up ghostscript.
				Add a nice image pattern to demonstrate that capability to do so.
	* ex19/job19.*:		Added image fill pattern and PS code inclusion.
	* GMT_Chapter_7.tex:	Changed accordingly.
	* src/psimage.txt:	Improved explanation of -C and -W options.
	* test/psimage/psimage.sh:	Uses same image of a circuit board at ex16.

2007-09-11	remko
	* explain_-b[io].txt:	Added to replace files linked to obsolete options.
	* explain_-{n,i_binary,o_binary}.txt:	Replaced by the above.
	* gmt_bcr.[ch]:		BCR (bi-dimensional convolution routines) code updated
				and moved from gmt_support.c. Now includes B-spline and
				nearneighbor. Now allows NaNs in bicubic.
	* gmt_support.[ch]:	BCR code commented out since its move to gmt_bcr.c.
	* gmt_map.[ch]:		GMT_grd_{forward,inverse} (and supporting routines) commented out
				since their function has been taken over by GMT_grd_project.
				Arguments "interpolant", "antialias" and "threshold" changed or
				added to GMT_grd_project.
	* grdproject.c:		-S<max_radius> changed to -S[-]b|c|l|n[/<threshold>].
				Now uses GMT_grd_project instead of GMT_grd_forward.
	* grdimage.c:		---"---
				Removed -T option; no more polygon drawing.
	* grdtrack.c, grdsample.c:	-Q<value> changed to -Q[b|c|l|n][[/]<threshold>] to
				take advantage of new BCR code.
	* mgd77/mgd77{manage,sniffer}.c, spotter/grdrotater.c:	---"---
	* grdview.c:		Minor change to support new GMT_bcr_init.
	* src/*.txt, src/*/*.txt:	Changed according to changes mentioned above.
	* ex19/job19.*:		Use grdimage -Sl to avoid wrapping around 360 degrees.
	* ex25/job25.*:		Use grdimage -Sn for categorical data.
	* scripts/GMT_App_O_9.sh:	Use grdimage -Sc/1 to mask errors in ttt_atl.nc.
	* test/*/*.sh:		Need to redirect standard error from "compare" to standard out.
	* test/grdimage/grdimage.sh:	Changed because grdimage no longer has -T option.
	* test/grdimage/rendering.sh:	First introduced to test out new grid interpolation routines.
	* test/genper/*.nc:	Set up these grids instead of getting them trough grdraster.
	* test/genper/genper_test_1?.sh:	---"---

2007-09-11	pwessel
	* gmt_init.c:		Added GMT_is_invalid_number (char *t) to make sure t is of the
				form [+|-][xxxx][.][yyyy][e|E[+|-]nnn] and warn if not.

2007-09-07	remko
	* sample1d.c:		Added -Fn for no interpolation (return value of neareast point).
	* gmtdefaults.txt, gmt_init.c:	Added support for INTERPOLANT=none (no interpolation).
	* gmt_support.[ch]:	Added interpolant=3 (no interpolation) in GMT_intpol;
				Added routine GMT_weighted_average.
	* gmt_map.c:		Renamed genper_grd_forward to GMT_genper_forward, and removed some bugs.
				Replaced some common code by GMT_weighted_average.
				Added GMT_default_forward for default grid rendering (with smoothing).
				Added GMT_tiles_forward for grid rendering without interpolation.
	* gmt_proj.c, gmt_project.h:	Made some GENPER stuff more aesthetic.

2007-09-04	pwessel
	* gshhs/gshhstograss.c:	Removed use of getopt so even the lamest systems can compile it.
				This also made in possible to compile under Windows.

2007-09-04	remko
	* All makefiles:	Improved support for .exe extensions.
				No longer compiles everything when one source changes.
				Installation of manpages moved to src/makefile.
				Closer to getting rid of gurumake.
	* src/explain_{fill,pen,color}.txt:	Made sections into subsections.

2007-08-29	pwessel
	* pshistogram.c:	-C for center bins now -F (-C still works for backwardness)
				Now takes -C<cpt> to color bars based on mid x-value.

2007-08-28	pwessel
	* mapproject.c:		Enhancement: -G-[unit] will calculate incremental distance rather
				than the default cumulative distances.
	* gshhs/*:		Can now deal with the updated GSHHS+WDBII data base (now with
				rivers and borders). Added man pages for the three programs.
	* rivers:		Added double-lined rivers to river database to improve rendering
				of major permanent rivers.

2007-08-27	mtchandl
	* mgd77sniffer.c:	Adjusted anomaly recalculation code so that cruises with m=1
				and b=0 are reported to be same as expected
	* mgd77_rls_coeffs.h:	Updated tables to include statistics only from decimated
				regression found to be significant

2007-08-27	remko
	* ps2raster.c:		Added -P to and removed -V from the commandline description
	* configure.in:		On Linux: Use "gcc -shared", not "ld -shared"

2007-08-23	pwessel
	* pslegend.c:		Added @ECHO OFF to avoid commands being echoed into PS under WIN32

2007-08-23	remko
	* ex??/job??.sh:	Properly identified GMT programs used in example scripts.
	* src/*.txt:		Moved explanation of pens, fill and color to separate sections.
	* src/explain_{fill,color}.txt:	Newly introduced sections.
	* src/explain_-G*.txt:	Made superfluous. Removed.

2007-08-22	pwessel
	* gmt_init.c:		For quoted lines, the :Lh modifier did not reset label if
				a segment header had no label specified.  Also, label would
				include the leading " in a multi-word label.
	* gmt_support.c:	Added +n<dx/dy> to nudge placement of quoted line labels.

2007-08-21	pwessel
	* gmt_io.c:		Combinations of OUTPUT_DEGREE_FORMAT=ddd:mm:ss.xxxF and -:
				would add W|E to lat and S|N to lon for formatted output
	* mapproject.c:		For UTM projections with -C, the -R is now optional.  If not set
				then UTM zone specification must have some latitude info in it.
				If a unique zone is specified then -R is set accordingly.
	* gmt_init.c:		Now, UTM zones may be A,B,Y,Z or 1-60 with modifiers
				C-X (except I and O).

2007-08-12	pwessel
	* grdcut.c:		Domain check failed for geographic 360-degree grid w/ -fg


2007-08-08	pwessel
	* grdfilter.c:		-I<nx>+/<ny>+ not propagated to output setup

2007-08-02	mtchandl
	* mgd77sniffer.c:	Repaired 8 memory leaks. Fixed two regression bugs, one in grid
				comparisons in which not all data were copied into the regression
				arrays and the other in faa recomputation regression where eot
				was being applied twice
2007-08-01	pwessel
	* gmt_support.c:	ddd:mm.xx (2 or more x) failed.

2007-07-31	pwessel
	* psxy.c:		-E.../[-|+]<pen> where + means apply cpt color (-C) to symbol & bar
					- means apply to bar only (no fill).  Likewise, -W[+|-]<pen> controls
					if -C sets outline (-) or both fill and outline (+)
	* psxyz.c:		-W[+|-]<pen> controls if -C sets outline (-) or both fill and outline (+)

2007-07-30	pwessel
	* psxy.c:		For -Sb|B, clip bars extending outside -R (unless -N is on)
	* psxyz.c:		Same
	* misc/gmtdigitize.c:	Must use separate x- and y-scales if -Jx is specified

2007-07-18	remko
	* meca/utilmeca.c:	Make sure that checks on floating point numbers work well, even
				in case of small round off errors. Thanks to Peter Lombard.

2007-07-17	pwessel
	* grdedit.c:		Disallow -T for Surfer grids since they don't support two
				kinds of registration.

2007-07-16	pwessel
	* grd2xyz.c:		Bug fix (Windows only): Did not switch to binary mode when
				-Z specified binary output.
2007-07-11	remko
	* grd2cpt.c:		Bug fix: -E flag did not work unless -T was used.
	* gmt_init.c:		Parsing of psxy's -Sf incorrectly scaled a count to inches.

2007-07-10	wsmith
	* imgsrc/img2mercgrd.c:	Fixed &&/|| logic in lat bounds check when -D set.

2007-07-09	pwessel
	* misc/gmtdigitize.c:	Wrong coordinates used to calculate rms misfit

2007-07-08	pwessel
	* gmt_init.c:		Suffices h|+|- in -J were mistaken for units
	* gmt_io.c:		Blank lines were not recognized under cygwin/SFU

2007-07-06	pwessel
	* gmt_stat.c:		Added Digamma (Psi), P_nu and Q_nu Legendre functions (complex nu)
	* g{mt,rd}math.c:	Added PSI, PV, QV, COT, COTD, ACOT, SEC, SECD, ASEC, CSC, CSCD, ACSC

2007-06-29	remko
	* makefile.guru:	New system to make manpages
	* guru/{pdf,web}man.sh:	---"---
	* www/gmt/gmt_{man,suppl,services}.html:	No longer made from shell scripts
				or makefiles. Now part of CVS.

2007-06-28	pwessel
	* src/gredit.c:		-N did not take into account -fg if given
	* src/gmt_map.c:	Great circle intersection did not select correct vector sign so
				points 180 degrees from a line could pass as close in gmtselect

2007-06-28	remko
	* src/ps2raster.c:	Save temporary script with unique file name (<psfile>_tmp.bat) so
				that several ps2raster jobs can run concurrently.
2007-06-27	remko
	* src/grdlandmask.c:	Fixed bug introduced on 2007-06-24 in determining wrapped grid index

2007-06-26	pwessel
	* src/grdmask.c:	SEGV error when GMT_fix_up_path returned fewer points
				than originally allocated (n_alloc) and n_alloc was not reduced.
	* src/grdcontour.c:	-A<value> would turn off the expected default transparency

2007-06-24	pwessel
	* src/grdlandmask.c:	Failed to set rightmost, empty bin if 360-periodicity in effect;
				also needed to set repeating right column to left column

2007-06-16	pwessel
	* src/grdmath.c:	Added CBAZ as Cartesian complement to SBAZ
	* mgd77manage.c		Added E77 status attribute to MGD77+ files
	* mgd77sniffer.c	Added code to check if regression is outside a specified percent (-P)

2007-06-11	remko
	* configure.in:		Changed LESS to PAGER as recommended by SAITO Fuyuki
	* GMT.in:		Use ${PAGER:-@PAGER@} for pager
	* src/makefile:		Make GMT also target of init:

2007-06-08	remko
	* GMT_Appendix_C.tex:	Added mention of ps2raster -P.
	* GMT_Appendix_N.tex:	Changed wording about using pattern fills in symbols.
				No longer created out of GMT_Appendix_N_main.tex, instead include
				GMT_Appendix_N_inc.tex created by scripts/GMT_App_N.sh
	* scripts/GMT_App_N.sh:	Creates GMT_Appendix_N_inc.tex instead of altering GMT_Appendix_N.tex
	* doc/eps/GMT_usage_3.0.eps:	Removed.
	* doc/fig:		Renamed from doc/eps
	* doc/fig/GMT_Environment.eps:	Created anew using xfig.
	* doc/fig/*.png:	Pictures now in PNG instead of EPS.
	* doc/makefile:		Use new -P and -Tef options of ps2raster. Changed rules for GMT_Appendix_N.tex.

2007-06-07	mtchandl
	* mgd77sniffer.c:	Updated e77 messages and moved along-track grid offset errors to
				e77 header rather than having its own error class

2007-06-06	pwessel
	* filter1d.c:		For -Ff<file>, set filter width to DBL_MAX until filter is read

2007-06-06	remko
	* ps2raster.c:		Added -P option to force Portrait mode
				Allow generation of EPS with other formats (e.g. -Tef)
	* ex03/job03.*:		Use filled and normalized triangles

2007-06-05	remko
	* tests/*/orig:		Created subdirectories for originals
	* tests/*/*.sh:		Changed accordingly
	* GMT_Appendix_K.tex:	Coastline data base sizes updated
	* doc/scripts/get*.sh:	Made simpler. Fewer changes in -R and -J
	* doc/scripts/GMT_App_K*.sh:	---"---
	* doc/scripts/orig:	Created subdirectory for originals
	* makefile.guru:	Changed accordingly
	* gmt_map.c:		Set project_info.M_PR_DEG to 1 in case of -J[x|X] to make "step" work
				in GMT_fix_up_path when using -J[x|X]...d.
	* gmt_plot.c (GMT_<symbol>):	Use "native" PS symbols also when filling with pattern.
	* gmt_support.c:	Removed function GMT_fill_is_image
	* pslib.c:		Renamed ps_imagefill to ps_pattern.
				Support new PS symbol definitions.
				New PS Level 2 pattern fill mechanism.
	* PSL_prologue.ps:	---"---
	* psscale.c:		Use GMT_fill instead of ps_imagefill
	* psxyz.c:		Fixed bug in painting outline of text symbols

2007-06-02	remko
	* run_gmt_tests.sh:	Use run_gmt_tests.sh <directories> to test only specified directories.
	* tests/genper:		Remove grid file on success

2007-05-31	pwessel
	* psbasemap.c:		Check that -L is used with geographic coordinates only

2007-05-29	pwessel
	* gmt_plot.c:		Failed to activate ddd.mm.xxx format for maps
	* gmt_proj.c:		-JS inverse did not apply quadrant check

2007-05-25	pwessel
	* psxy[z].c:		Now, both symbols and polygons can be filled with patterns
				Also, psxyz now honors -W+ etc in multisegment headers
	* gmt_plot.[ch]:	New GMT_<symbol> () functions to help with this.
	* mex/configure.in:	For Intel Macs, must look in maci, not mac

2007-05-24	remko
	* gmt_vector.[ch] (GMT_fix_up_path): Intermediate longitudes now wrapped based on segment,
				not on map extent. "greenwich" argument became superfluous and was
				removed. Argument "step" was found to be in degrees, not in inches as
				some calling programs assumed.
	* gmt_shore.[ch] (GMT_prep_polygons): Argument "greenwich" was removed since GMT_fix_up_path does not
				need it anymore.
	* gmtselect.c, grdlandmask.c: Removed "greenwich" argument of GMT_fix_up_path and/or GMT_prep_polygons
	* gmt_support.c, grdmask.c, pscoast.c, psxy.c: Removed "greenwich" argument of GMT_fix_up_path and/or
				GMT_prep_polygons and changed "step" from inches of map projection to spherical
				degrees.
	* test/psxy/hexagone*:	Test added to illustrate the complications with GMT_fix_up_path.
	* psimage.c:		-I option had become always active

2007-05-22	pwessel
	* psxy.c:		More careful setting of the "greenwich" variable to prevent polygon wrap
	* gmt_map.c:		New function GMT_set_greenwich() which returns TRUE or FALSE.

2007-05-18	pwessel
	* pslib.c:		ps_text can now use @_, @: and @; sequences
	* pslib.txt:		Updated the documentation
	* gmt_support.c:	Added function GMT_enforce_rgb_triplets to scan for @;color;
				and replace it with r/g/b if given by name, gray, h-s-v etc.
	* gmt_init.c:		Applies GMT_enforce_rgb_triplets to header and axes labels
	* pstext.c:		Revised help message accordingly.  Applies GMT_enforce_rgb_triplets
	* pstext.txt:		Updated accordingly
	* GMT_Chapter_4.tex:	Updated table of escape sequences
	* GMT_Tutorial.tex:	Same

2007-05-17	remko
	* ChangeLog:		Replaced CHANGES by ChangeLog (GNU requirement)

2007-05-15
	* gmt_io.c:		Modification to format fix of 2006-03-07:  When no delimiters are used
				for input date format (e.g., yyyymmdd) then yyyy MUST BE 4 characters
				and we must use %4d.  Leading zeros are required if year < 1000.

2007-05-14
	* ex11/*:		Changed the 3-D color cube script. Added HSB info. Removed rgb_cube.awk
	* GMT_Chapter_7.tex:	Changed accordingly.

2007-05-08
	* coast/binned_borders*.b:	Added Australia state boundaries, fixed Yemen and Lebanon

2007-05-06
	* project.c:		Wrong azimuth for -N -G generating lines

2007-05-04
	* xyz2grd.c:		-E did not process pixel grids properly

2007-04-30
	* gmt_agc_io.c:		Failed when nx and/or ny was multiple of 40 + 1.
	* grdreformat.c:	Cannot determine format of output file automatically since file
				does not yet exist (must append file-type code)

2007-04-27
	* imgsrc/img2mercgrd.c:	Used wrong origin when -C was used.  Now relative to lon=lat=0.
	* grdfilter.c:		Added -D5 to allow filtering of Mercator grids (img)

2007-04-25
	* pslegend.c:		The color change (C) macro messed up -Xa -Ya absolute settings
	* x2sys/x2sys.c:	x2sys_set_system did not initialize structures properly
	* x2sys/x2sys_cross.c:	Did not pass correct arguments to X->read_file function
	* psrose.c:		New option -L to control the labels
	* pslib.c:		Now no text is written if pointsize == 0

2007-04-23
	* gmtselect.c:		Introduced -Lp to limit points beyond a line's endpoints

-----------------------------------------------------------------------------------------
2007-04-02
	* tar 4.2.0 made and released via email
-----------------------------------------------------------------------------------------

2007-03-31
	* filter1d.c:		-T option can now parse datestrings for min/max.
	* gmt_init.c:		Did not properly parse a single PAR=ARG (one word) argument in gmtset
	* mgd77/mgd77manage.c:	Need to enforce that a new column abbreviation is lower case
	* ps2raster.*:		Moved from src/misc to src

2007-03-30
	* configure.in:		Needed to include $NETCDFHOME/lib in link list on Linux (and others)

2007-03-29
	* grdinfo.c:		Added -I (just report -Ixinc/yinc) and -I- (report actual -Rw/e/s/n) for
				convenience when scripting.

2007-03-27
	* share/coast:		Coastline binned_GSHHS_?.cdf updated with GSHHS v1.5 data
	* examples/ex26:	Added draft example for general vertical perspective projection
				Many thanks to Wayne Wilson for implementing the extended -JG option
	* grdview.c:		Fixed fill of undefined value at boundary.

2007-03-20
	* grdcontour.c:		Fixed contour label angles were always ignored.
	* pscontour.c:		---"---
	* doc/GMT_Appendix_C.tex:	Added example about rendering images and incorporating them into PowerPoint.

2007-03-16
	* grdcontour.c:		Can now append :<radius> to the -G option in order to specify a minimum
				spacing (measured in the x/y plane) between contour labels.
	* gmt_support.c:	Support for -G...:<rad>

2007-03-15
	* gshhs/gshhstograss.c:	Fixed minor issues that prevented compilation
	* gshhs/makefile:	Now compiles gshhstograss

2007-03-14
	* mgd77/dirent.*:	Removed as this is now implemented via a system call to dir [Windows only]

2007-03-12
	* gmt_support.c:	Introduced GMT_err_fail and GMT_err_pass routines.
	* gmt_error.h:		Introduced GMT_err_trap macro to handle error codes.
	* gmt_{cdf,nc}.c:	Using GMT_err_trap throughout to forward errors to calling routines.
	* gmt_{grd,custom}io.c:	---"---
	* *.c:			Implemented use of GMT_err_* where necessary.
	* gmt_init.c:		psxy's -Sf option was parsed to require 3, not 2 coordinates
	* mgd77/mgd77list.c:	Shorthand -Fall failed as "id" was erroneously called "leg"

2007-03-09
	* gmt_grdio.c:		Allow different separators to be used with the -D option of grdedit.

2007-03-08
	* pscontour.c:		-E projected contours (-W) twice and mesh lines (-L) not at all.

2007-03-07
	* configure.in:		Mex compilation was erroneously switched off when Matlab was specified.

2007-03-05
	* psxy[z].c:		Added -SB for horizontal bar (-Sb is vertical)
	* psxyz.c:		Bar width has only half of what was requested.

2007-02-27
	* src/makefile.guru:	Include both gmtguru.macros.orig and gmtguru.macros. The latter overrules
				settings in the former.
	* src/*/makefile.guru:	---"---
	* guru/Makefile.guru:	---"--- and many other changes to simplify things.

2007-02-25
	* gmt_io.c:		GMT_fopen now a function since read/write modes requires different
				processing.  Also added GMT_* functions for gets, puts, fread, fwrite, fseek
				ftell, fclose, fdopen so that Windows DLL will work.

2007-02-23
	* gmt_support.c:	Made GMT_orient_contour insensitive to round-off errors

2007-02-22
	* gmt_plot.c:		Did not set the contour annotation font before writing labels.

2007-02-20
	* grdmath.c:		Added SBAZ for backazimuths and also allow ELLIPSOID to control if great
				circles or geodesics should be used (Sphere selects great circles).
				Clarified man page so this also applies to geodesic/great circle distances.

2007-02-15
	* x2sys/x2sys_cross.c:	Failed to check for crossovers exacly on data nodes.

2007-02-12
	* gmt_version.h:	Removed from CVS distribution. Is now created by "gurumake" based on
				guru/gmtguru.macros.
	* guru/Makefile.guru:	Changed accordingly.

2007-02-09
	* gmt_support.c:	GMT_orient_contour had small round-off error

2007-02-08
	* pslib.c:		ps_color_tiles used wrong registration
	* doc/makefile:		New: Documents are now created through this makefile, containing all the
				dependencies and tricks to convert scripts into EPS and TeX, and PS into
				EPS. This makes a bunch of scripts superfluous.
				Use "make all" to make documentation or "make install" to make and install.
	* guru/Makefile.guru:	"gurumake docs" now calls doc/makefile.
	* guru/makedoc.sh:	Removed: has been replaced by doc/makefile which is called from guru/Makefile.guru
	* guru/makefigs.sh:	Removed: now part of doc/makefile. All figs are created through dependencies.
	* GMT_script2tex.sh:	Removed: part of doc/makefile. Uses "pr" to get tabs right. Nicer than before.
	* GMT_smallexample.sh:	Removed: part of doc/makefile. Removes rotation but doesn't scale. Now done by TeX.
	* GMT_volcano.sh:	Now also includes the bullseye
	* GMT_App_O_cleanup.sh:	Removed: became part of GMT_App_O.sh
	* scripts/GMT_*.sh:	Some adjusted to make lines fit when included in documentation. Some graphs
				made narrower so they were not too wide for the text column.
	* scripts/.gmtdefaults4.doc:	Made similar to GMT 4.2 standards
	* examples/.gmtdefaults4.doc:	---"---
	* examples/*/job*.csh:	Cosmetic changes to make sure the lines fit in the documentation and
				made somewhat easier to read by adding tabs in consort with "pr" command in
				doc/makefile.
	* doc/html.sty:		Removed: prefer to use official version. GMT_macros.tex changed to accomodate:
				Need to just call \usepackage{html}: it implies \usepackage{hyperref}.
	* doc/*.lis:		Updated: Don't know why they are there, they are not used by anything.
	* doc/GMT_device*.tex:	Removed: no longer needed now that device dependencies are done in GMT_macros.tex.
	* doc/GMT_macros.tex:	Completely revised: now does all common things of GMT_Tutorial and GMT_Docs.
				Added \usepackage{tocbibind} to add toc, bib and ind to Contents.
				Better organised hyperref package. Now implied by \usepackage{html}.
				Need to use \href in \gmt definition only for PDF. Otherwise fails in TOC.
				Now includes {htmlonly} environment to set specifics for LaTeX2HTML.
				Now defines \script for the inclusion of scripts (with rules top and bottom).
	* doc/GMT_Tutorial.tex:	Made scripts smaller font. Moved stuff to GMT_macros.tex.
	* doc/GMT_Docs.tex:	Moved stuff to GMT_macros.tex.
	* doc/GMT_Chapter_7.tex:	Now uses \script for inclusion of scripts.
				Now uses \GMTexample instead of GMTfig for examples. Automatically scales by 50%.
				I wish I could also do rotation, but LaTeX2HTML can't cope with that.
				Added image of Example 4c. Added bullseye example.
				Made sure figure numbers are the same as example numbers.
	* doc/GMT_Appendix_C.tex:	Started adding more information about including GMT files into other documents.
				Will do more before GMT 4.2 release.
	* doc/GMT_Appendix_F.tex:	Put tables in pairs so everything fits on two pages.
	* doc/GMT_*.tex:	Small changes: indexing and use of \script
	* guru/GMT_doc.lis:	Use PDF instead of PS documentation.
	* guru/cvsclean.sh:	Use of xargs is safer.
	* misc/ps2raster.txt:	Added reference to Appendix C for more info
	* .gmtdefaults_*.orig:	HEADER_OFFSET was lost.

2007-02-07
	* gmt_init.c:		GMT_parse_symbol incorrectly suggested that -Svs needs 5 instead of 4 columns.

2007-02-06
	* gmt_init.c:		GMT_parse_symbol tried to decode the -Sq option for a symbol size (not there).
	* grdimage.c:		-JX with a negative scale/length and -E<dpi> failed to flip the image.

2007-02-05
	* mgd77/mgd77list.c:	The -Ad4 option did not automatically get lon/lat needed for calculation

2007-02-02
	* gmt_nc.c:		Store x- or y-coordinate as double instead of float when the step size
				is small. Avoids erroneous suggestion that steps are unequal.

2007-02-01
	* grdblend.c:		Now only keep input files open that are currently being processed
				[opening all would run out of file pointers...]

2007-01-31
	* *.[ch]:		Removed GMT_put_history from all sources (was dummy since 4 Jan).

2007-01-29
	* gmt_map.c:		Relaxed restriction on latitude for -JA, -JS for polar aspect; now more
				than one hemisphere may be displayed.  Better warning/error messages.

2007-01-18
	* psxyz.c:		-Svs could fail to plot by confusing y-coordinate and y-size.
				Also need 6 rather than 5 input columns.

2007-01-17
	* grdcontour.c:		-C need to check for ".cpt" at END of file.
	* trend2d.c:		Failed to pass the new variable with column choices.
				Also did not accept 'z' as an output choice

2007-01-16
	* gmt_support.c:	The label machinery for ddd:mm:ss.xx used the wrong parameter to check
				for fractional seconds annotation (the .xxx part).
	* gmt_plot.c:		The logic to check for seconds annotations failed if inc < 1 arc sec.

2007-01-14
	* gmt_io.c:		Added GMT_not_numeric(text) function to determine if a text string CANNOT
				possibly be a number.  Used in gmtmath.c/grdmath.c to limit warnings.

2007-01-11
	* gmt_support.c:	Contouring of grids with NaNs need to check both vertical AND horizontal
				interior gridcell boundaries for possible crossings.
	* grdcontour.c:		Loop over one more side (interior horizontal boundaries)
	* psmask.c:		---"---

2007-01-08
	* mgd77/mgd77list.c:	Warn that when -b is used, time is written as Unix time

2007-01-07
	* ps_lib.c:		ps_clipoff needed to reset "memory" of last pen width/color/pattern.

2007-01-04
	* gmt_io.c:		Did not terminate calstring after strncpy
	* gmt_init.c:		Did not change time-system when only TIME_UNIT was specified
	* pscoast.c:		Did not list -Z in synopsis/usage
	* gmt_nc.c:		Increased tolerance on step size check
	* gmt_init.c:		Consolidated GMT_put_history and GMT_get_history in an
				attempt to ensure that .gmtcommands4 works even in pipes.
	* gmt.h:		---"---
	* gmt_globals.h:	---"---
	* grdmath.c:		Strip off grid file suffix before checking if file exists

2007-01-03
	* gmt_mgg_header2.c:	GRD98 format expects 1/dx and 1/dy to be integers.  Added tests
				to reject grid that do not comply.
	* imgsrc/img2mercgrd.c:	Lat values outside domain did not get truncated to domain.
	* gmt_support.c:	Fixed IFACT size in the old Brenner FFT. Not changed since GMT 1!

2006-12-31
	* mgd77/mgd77manage.c:	Bad check for 0.06 s slop now fixed
	* gmt_init.c:		Now gives warning if bad length unit is found.

2006-12-27
	* gmt_map.[ch]:		Initial inclusion of Wayne Wilson's general perspective projection code.
				Requires -D_GENPER to have any effect for now.
	* gmt_proj.[ch]:	---"---
	* gmt_project.h:	---"---
	* gmt_init.c:		---"---
	* gmt_plot.c:		---"---
	* gmt_support.c:	---"---
	* grdimage.c:		---"---
	* pscoast.c:		---"---
	* grdinfo.c:		Would not take both -L1 and -L2.

2006-12-18
	* mapproject.c:		-L option did not allocate enough output memory for extra columns
	* gmtmath.c:		More careful checks for filenames vs numbers on command line
	* grdmath.c:		---"---

2006-12-17
	* gmt_init.c:		Changed GMT_{get,put}_history to avoid possible corruption of .gmtcommands4
				file after a pipe of 2 or more GMT commands.
	* job08.*:		Reverted to using a pipe now that GMT_{get,put}_history are fixed.

2006-12-10
	* gmt_{grdio,map}.c:	Introduced GMT_grd_is_global. Use GMT_x_to_i where needed. Fixed wrong use
				of global geographical grids (or those with 360 longitude range).
	* gmt_{support,grdio}.c:	Moved GMT_adjust_loose_wesn from gmt_support.c to gmt_grdio.c
	* gmt_{support,grdio}.h:	Moved declarations of some grd routines from gmt_support.h to gmt_grdio.h
	* grdedit.c:		Used new GMT_grd_is_global
	* test/grdimage/globalgrid.sh:	New test for global grids.

2006-12-09
	* psxy[z].c:		Erroneously turned symbol outlines on if just -C was given

2006-12-06
	* *.c, */makefile,:	Introduced GMT_SHAREDIR and PSL_SHAREDIR (default is GMTHOME/share) to avoid
	* install_gmt, *.txt:	building it in many subroutines. Made environment variable GMT_CPTDIR obsolete.
				Removed global variables GMTHOME, PSL_HOME, PSL_HOMEDIR.
	* src/makefile:		Renamed from src/Makefile

2006-12-05
	* gmt.h:		Added #ifdef __cplusplus stuff for C++ users
	* pslib.h:		--"--
	* gmtconvert.c:		Enhanced -Ef or -El to only get first or last record per segment

2006-12-04
	* gmt_nc.c:		Multi-dimensional grids can now be 5-D (in addition to 3- or 4-D).

2006-12-02
	* splitxyz.c:		Reported headings in radians instead of degrees.

2006-12-01
	* gmt_init.c:		Erroneously added degree symbol to both coordinates in case of -JX..d/..
				(single d). Now properly adds only degree symbol on x-axis.

2006-11-29
	* gmt_grdio.c:		Units should not be automatically lowercased.

2006-11-28
	* gmt_support.c:	Append -Z<val> in multisegment headers dumped from {grd|ps}contour.
	* imgsrc/img2mercgrd.c:	Added -C to let the Mercator x/y use the global origin of img file.
	* imgsrc/img2grd:	---"---.  Also turn HISTORY off if inverse -Jm1 is used.

2006-11-21
	* grdmath.c:		Added -M for using map units in gradients and added D2DXY operator
	* grdview.c:		Plot no mesh when -T is used.
	* gmtmath.c:		In -T, append + to indicate number of points instead of t_inc.
	* nl.d:			Month and day names are lower case in Dutch (not capitalized)

2006-11-20
	* gmt_nc.c:		Needed to strip off [..] or (..) from variable name in GMT_is_nc_grid.

2006-11-19
	* *.c:			Modifed GMT_fopen to be a macro in order for Windows DLL to work.

2006-11-17
	* psrose.c:		Failed to skip pie-slice-filling when no fill was selected.  -C lead to
				SEGV as it tried to read from a non-existent file.
				Added -D option to center the sector bins (like pshistogram -C)

2006-11-16
	* gmt_time_systems.h:	J2000 epoch was 1.0 Jan 2000, instead of 1.5 Jan 2000.
	* gmtdefaults.txt:	--"--
	* .gmtdefaults*:	--"-- (in all subdirs)

2006-11-15
	* grdcontour.c:		Interior contours not smoothed unless NaNs were involved.  Also the
				labeling of closed highs/lows were insensitive to pixel vs gridline grids
				and could get the wrong result.  Added -F option to orient dumped contours.

2006-11-14
	* segyprogs/segy_io.h:	Now includes inttypes.h only when required
	* pscoast.c:		Now requires a map projection (-JX<width> will give error since the
				data is lon,lat.)
	* gmt_mgg2_header2.[ch]:	NGDC has updated the GRD98 format so that the previously unused variable
				unused1 now will hold cell registation (1 = pixel, 0 = gridline), thus
				extending the GRD98 format to pixel grids as well.
				Fixed a bug in which the grid format type (12) got reset to 0, thus
				making grdinfo report the wrong file format.
	* grdfft.c:		-D and -I option could have junk in the parameter arrays if more than
				one such argument was given.

2006-11-11
	* manpages.macros:	Added macros to make manpages (to be included in makefile.guru)
	* gshhs/gshhs.c:	Had && instead of & in bit-arithmetic that reported level

2006-11-10
	* gmt_init.c:		Fixed unit problem with -Jx1:xxxxx

2006-11-09
	* pslib.c:		Only issue setdash PS commands if texture has changed.
	* gmt_support.c:	GMT_convertpen did not set offset = 0 when no texture.
				Added parser for multisegment header (for -G -W -Z)
	* psxy[z].c:		Now user --"-- parser. Can now use cpt files with patterns
				and -Z in header will decode to corresponding pattern.
				New feature: -W- -W+ will turn off outline or reset to default
				while -G- -G+ will turn off fill or reset to default (in -M).

2006-11-08
	* gmt_init.c:		2006-10-03 fix for Windows was botched; format should have been %c not %s
	* psxy.c:		When used with -S but no -W or -G given, only set default -W if -M not used.

2006-11-06
	* sample1d.c:		Allow absolute time in -S option (using GMT_scanf_arg).
	* gmtmath.c:		-C now works (used to deselect all columns).
				Fixed LSQFIT (used wrong columns when some were skipped).
	* make_make.sh:		Now creates grdmath.h and gmtmath.h from grdmath.c and gmtmath.c

2006-11-03
	* gmtmath.c:		Fixed memory allocation bug for files > BUFSIZ records.  Now works correctly
				with multisegment headers.  Multisegment headers now written to the output file
				and not always to stdout.

-----------------------------------------------------------------------------------------
2006-11-02
	* tar 4.1.4 made and released via email
-----------------------------------------------------------------------------------------

2006-11-01
	* GMT.in:		Now use "more" or "less" depending on what is avaialble (via autoconf)
	* gmt_init.c:		Use -j mechanism in .gmtcommands4 for x/y projections only (no -JZ|z)

2006-10-31
	* pstext.c:		Needed to alter -W parsing logic. Example: -Wothin,- was not recognized.
	* grdmath.c:		New option -N to turn off strict domain match checking for multiple grids.
	* psscale.c:		Illumination now also works with colormaps with non-constant interval and with gaps

2006-10-30
	* gmt_grdio.c:		Base output data types on input data types when not defined.
	* gmt_io.c:		GMT_scanf_argtime now returns RELTIME (not ABSTIME) when relative time is found.
	* pscoast.c:		Both -Gc and -Sc needed to check that no letter is following the 'c'.
	* grdcontour.c:		-W[+][c|a] was susceptible to misinterpreting things like -Wcyan as color yan.
	* grdview.c:		-W[c|m] was susceptible to misinterpreting things like -Wcyan as color yan.
	* pstext.c:		-W[<fill>][o|O|c|C][<pen]] is now -W[<fill>,][o|O|c|C][<pen]], i.e., we now use
				a comma to separate the fill and pen (done since fill may be a name containing o|c.
	* psimage.c:		-G<colorname> (e.g., -Gblack) will now be interpreted as foreground color, e.g. -Gfblack

2006-10-29
	* gmt_grdio.c:		Make units check case-insensitive. Check for toggled lat/lon coordinates.
				Fixed time-scaling bug on input (was always seconds).
	* gmt_io.c:		One can now add suffixes 'g' or 'd' to denote geographic coordinates.
	* gmt_init.c:		Made use of geographical and time coordinates more "transparent":
				-R[g|d] forces geographical, so that -JX does not need extra d
				When absolute or relative time is used in -R, -JX does not need extra T or t
				-R[g|d]w/e/s/n[r] also sets geographical.
				Made use of lower and uppercase LlPpDdTtGg consistent.

2006-10-28
	* xyz2grd.c:		Fixed bug in -E header section parsing.
	* psxy[z].c:		Added -Sj|J for rotatable rectangle [Thanx to Jim Hunziker who got this started].
	* ftplogs:		New directory for gurus added - holds data and scripts for ftp log plots.

2006-10-27
	* psxy.c:		For bar symbol with log10 y-axis, use y_min as default base if b<base> not given.
	* pslegend.c:		The M item passed a bad character to script when fancy scale was not chosen.
	* psscale.c:		Vertical axis label, if containing () or escape sequence, was mis-justified.
	* gmt_plot.c:		Needed to add secondary fonts to list of fonts to be encoded.

2006-10-26
	* GMT_{Docs,Tutorial}.tex:	No more silly grepping of %GMTDVI and %GMTHTML. PDF/HTML dependent stuff now
				goes through GMT_device_*.tex. GMT_macros.tex now contains all common macros.
	* guru/{web,pdf}man.sh:	-s did not work properly. Temp files were not properly removed.
	* gmt_plot.c:		Duplicate title could appear if -JX was used and one axis was geographic (d)

2006-10-25
	* gmt_grdio.c:		Automatically recognize type of input grids in GMT_grd_get_format
	* gmt_{nc,customio.c}:	---"---
	* gmt_nc.c:		Check if x- and y-coordinates have constant step sizes. Issue warning if not.
	* makecpt.c:		SEGV if no -C given (should automatically select rainbow).

2006-10-24
	* ex??/*.nc:		Replaced grids in old GMT format with COARDS NetCDF grids (float and short int).
	* doc/scripts/*.nc:	---"---
	* tutorial/*.nc:	---"---
	* doc/*.tex:		Replaced old pen attributes by new comma-separated format and use color names.
	* gmt_shore.c:		First look for coastline.conf file in GMT_USERDIR
	* doc/GMT_Tutorial.tex:	Added multi-dimensional grid example
	* grdraster.c:		Made "name [unit]" of lon/lat coordinates COARDS compliant

2006-10-23
	* grdreformat.c:	Added -f option
	* gmt_plot.c:		3-D axis label would sometimes get misplaced due to round-off
				3-D map scale did not project correctly

2006-10-22
	* ex??/job.*:		Replaced old pen attributes by new comma-separated format

2006-10-17
	* gmt_init.[ch]:	Removed GMT_processed_options, use GMT struct instead. Better sorting of options.
	* gmt_grdio.c:		Set [xy]_units also in GMT_update_grd_info
	* grdcut.c:		Require geographical instead of global in order to shift by 360 deg.
	* grdvector.c:		Added -f option
	* grdblend.c:		A negative weight means we invert the sense of tapering (inside of grid is
				given zero weight and outside is given |weight|.
	* psscale.c:		-L now processes -I for the case of constant illumination.

2006-10-16
	* gmtconvert.c:		Did not have -L in synopsis.

2006-10-11
	* *.c:			Make use of GMT_*_syntax in program usage description where possible.

2006-10-10
	* grdsample.c:		-F again forces pixel registration. Default is same as input.
				More consistency with manual.

2006-10-09
	* pshistogram.c:	Extended -I to take -IO for all (x,y) data (including when y == 0) [SE]

2006-10-07
	* grdsample.c:		-T did not ignore -R (as per manual), resulting is changed cell size
				-F did not use grid registration as default, rather that of input grid
				When using pixel registration, number of cells would be one too large
				-L worked only in very limited case: going from x=[-180;180] to x=[0;360]
				Now supports any periodicity in X and Y (as per manual)

2006-10-03
	* gmt_init.c:		Let GMT_HOMEDIR default to C:\ under Windows if HOME not set

2006-10-02
	* grdedit.c:		New -E option to transpose the grid
	* mgd77/mgd77list.c:	The -Am2 and -Am4 options failed because the mag vector column was not set

2006-09-30
	* grd2cpt.c:		New -T option to create cpt tables symmetric about z = 0

2006-09-29
	* mgd77/mgd77list.c:	Did not process time when -Am2|4 was set and time was not requested as output
	* grdinfo.c:		When -C was used there was no \n at the end

2006-09-27
	* pslegend.c:		Did not replace octagons with polygon form when pattern was requested.
				Did not consider if absolute coordinates were given in -X -Y.

2006-09-26
	* nearneighbor.c:	Added the min_sectors argument to the -N option
	* psxyz.c:		-C for symbols did not pick up color fill
	* gmt_agc_io.c:		AGC grids use 0 to represent NaNs - this was not implemented here

2006-09-20
	* x2sys/x2sys.c:	Did not look in current dir for *.def files
	* pstext.c:		Default for -G is now BASEMAP_FRAME_RGB as for other map annotations

2006-09-13
	* pslib.c:		Fixed memory management in LZW compression (memory leak)

2006-09-08
	* guru/make{figs,doc}.sh:	Improved scripts, using ps2raster
	* misc/ps2raster.c:	Removed -dDOINTERPOLATE option: caused inversion of colour map and has no benefits

2006-09-07
	* grdcontour.c:		Crashed if -M -D was used with no file name specified
	* pscoast.c:		Did not change output mode to binary (Windows only) if -M -b was set
	* misc/ps2raster.c:	Many improvements; added EPS output; high-quality PDF output.
	* dbase/grdraster.c:	Only do 360-degree wrapping if a geographic grid
	* pscontour.c:		The -D dump option wrote projected values.  Should be original like grdcontour

2006-08-27
	* dbase/grdraster.c:	Fixed bug introduced on 2006-08-24.

2006-08-24
	* gmt_io.[ch]:		Added GMT_get{user,data,share}path to scan for user & data files and files in the
				$GMTHOME/share tree. Includes scanning in GMT_USERDIR (default: ~/.gmt).
	* *.c:			Edited other sources to use these.
	* pslib.c:		Added ps_getsharepath to scan for data in share, home or GMT_USERDIR directory.

2006-08-23
	* grdvolume.c:		Three bugs squashed: gridcell oriented grids get proper area and volume,
				including edges; only one cell per NaN is excluded; when -C and -L are combined,
				the volume is properly corrected for the baseline height.

2006-08-14
	* pslib.c:		Moved PostScript header elements into appropriate Setup and PageSetup blocks
	* PSL_prologue.ps:	Removed superfluous %%EndPrologue line

2006-08-10
	* gmt_plot.c:		Bugs related to annotations with -JPa & its z modifier fixed
				Log gridlines did not work for 3-D view

2006-08-09
	* grdtrack.c:		The -Z option failed to be set for some input configurations.

2006-08-08
	* trend2d.c:		Processing of -F happened after checking

2006-08-07
	* gmt_init.c:		Added check so gmtset will not crash if VALUE is not given.
	* xyz2grd.c:		Had -Az as default rather than no -A

2006-07-12
	* grdblend.c:		Skip grids that are entirely outside the region of interest.

2006-06-26
	* filter1d.c:		Robust option used extreme rather than median to determine outliers.

2006-06-21
	* pscoast.c:		-N and -I reset pens to default after initially setting them
	* grdfilter.c:		Should not wrap over pole unless grid extends all the way to the pole

2006-06-20
	* gmt_{nc,cdf}.c:	Slight performance improvement by adding NC_NOFILL when opening file

2006-06-16
	* psscale.txt:		Added "negative length => invert scale"

2006-06-14
	* gmt_calclock.c:	Proper rounding of time when converting to dates.

2006-06-11
	* gmt_nc.c:		Made sure no garbage remains under Cygwin when using strncpy.

2006-06-09
	* gmt_init.c:		Fixed bug that prevented proper writing of PAGE_ORIENTATION in defaults.

2006-06-03
	* gmt_init.c:		Fixed bug not recognizing PAGE_ORIENTATION.

2006-06-01
	* gmt_support.c:	Fixed bug in -I when = was used.

-----------------------------------------------------------------------------------------
2006-06-01
	* tar 4.1.3 made and released via email
-----------------------------------------------------------------------------------------

2006-05-28
	* grdmask.c:		Polygons with zig-zag shape would sometimes cause a node exactly
				on a polygon vertex to be considered inside.
	* GMT_ps.*:		The PostScript archive is dropped from the distribution.

2006-05-27
	* grdmask.c:		Radius was reset to 0 after -S<radius> was assigned.
	* {grd2,make}cpt.c:	Introduced -M option which overrules B, F, N colors in master cpt.
	* gmt_support.c:	---"---
	* gmt.h:		Added macro for printing of size_t for C90 & C99-complient cc

2006-05-26
	* grdimage.c:		Fixed bug introduced by GMT_get_inc in 4.1.2. Internal projected
				grid never took node_offset from input grid.

2006-05-25
	* psscale.c:		Added -Q option for display and annotation of logarithmic scales.

2006-05-24
	* blockme[di]an.c:	The -C option got reversed in 4.1.2 - now fixed.

2006-05-23
	* grdcontour.c:		-C with a non-cpt file failed to read due to lack of proper if-test.
	* mgd77/mgd77list.c:	Added -Q to specify limits on speed and azimuths for output records.
	* gmt_init.c:		Moved GMT_PS_init again to after reading .gmtdefaults and --PAR=val.
	* pslegend.c:		Prevented the undoing of -X and -Y at the end of pslegend.

2006-05-22
	* gmt_init.c:		GMT_PS_init was called after --PAR=val had been decoded, resetting
				the PostScript-related parameters to their default settings.
	* pslegend.c:		If the M (for map scale) was used, the -R -J would be reset.
	* psbasemap.c:		The -L option did not properly parse the optional :label:<just> part.

2006-05-21
	* grdvector.c:		-A option was not properly initiated.
	* gmt_ellipsoids.h:	Added support for Hughes 1980 ellipsoid for DMSP SSM/I grid products
	* gmt_grdio.c:		Better testing for subsets of global (0-360) grids
	* gmt_support.c:	---"---

2006-05-19
	* gmt_grdio.c:		Bug in GMT_grd_shift for gridline-registered grids; this is used in
				grdedit to rotate grids of 360-degree longitudinal extent.
	* grdedit.c:		The -S option was backwards and tested w-e=360; should be e-w=360.

2006-05-17
	* grdfft.c:		Extended -F to handle -F[x|y]<lo>/<hi> for Gaussian filtering.
	* gmt_support.c:	GMT_set_xy_domain padded region for pixel instead of grid registration,
				which could cause SEGV in xyz2grd if (x,y) was slightly outside -R.

-----------------------------------------------------------------------------------------
2006-05-15
	* tar 4.1.2 made and released via email
-----------------------------------------------------------------------------------------

2006-05-14
	* grdmask.c:		Wrong sign for testing of polar caps
	* gmtselect.c:		Now speeds up polygon checking by using the polygons -Rw/e/s/n first
	* grdview.c:		Bug in plotting north facade.  Also tried to free unallocated memory.
	* gmt_support.c:	Bug in corner BC; only affected near-corner extrapolation for pixel grids.

2006-05-13
	* gmt_io.c:		Do not keep in memory segments with zero points.
	* gshhs/*:		Updated to handle GSHHS v 1.4 data format
	* share/coast:		Coastline binned_GSHHS_?.cdf updated with GSHHS v1.4 data

2006-05-10
	* surface.c:		Ensure final solution does not exceed original limits imposed via -L

2006-05-09
	* gmt_support.c:	GMT_crossover function did not report overlapping, parallel segments.

2006-05-03
	* gmt_support.c:	GMT_get_format now returns # of decimals in user-specified format.

2006-05-03
	* gmt_support.c:	Parsing of -L option in psbasemap/pscoast failed to get correct unit
				when ddd:mm:ss syntax was used for position.
				-R -J means all tests are done on projected coordinates (default works
				on original coordinates which might require spherical tests).

2006-04-27
	* x2sys/x2sys_get.c:	-N did not work properly (now fixed and tested)

2006-04-18
	* gmt_{nc,cdf}.c:	Convert "inf" and "-inf" to "nan_value".

2006-04-12
	* gmtselect.c:		Option -F insisted on using spherical testing for xy data.
	* xyz2grd.c:		-E option had it somewhat backasswards...
	* grd2xyz.c:		-E option had it somewhat backasswards...
	* gmt_grdio.c:		Set units in grids according to -f option and v.v.
	* grdtrend.c:		Unlike trend1|2d, it had -N[r]<n> instead of -N<n>[r].
				Changed to match trend* but check both ways to be sure.
	* gmt_grd.h:		Added macros for setting inc from min/max/nx and n from min/max/inc
	* *.c:			Use these macros to avoid duplicate coding.

2006-04-09
	* grdfilter.c:		Needed the -f option to process -Rddd:mm
	* gmt_agc_io.c:		Support for custom grd format AGC Atlantic Geoscience Center.
				Given code of [21]
	* *.h:			Renamed misc macros by prepending suffix GMT_

2006-04-07
	* gmt_nan*.*:		Finally standardized gmt_nan.h; gmt_nan_init no longer needed.
	* gmt_math.h:		Moved all macros for NaN handling to gmt_nan.h
	* gmt.h:		--"--

2006-04-06
	* gmt_synopsis.h:	Macros for display of all the common GMT options.
	* *.c:			Synopsis now uniformly displays the common options

2006-04-05
	* block*.c:		Added -E for reporting scale (L2, L1, LMS), low, and high values
	* blockmedian.c:	Added -Qq to specify a particular quartile [Default  q = 0.5 = median]
	* ps_pattern_??.ras:	Flipped a few bits in some patterns for proper tiling.
	* gmtdefaults.c:	Added new default HISTORY [TRUE] which controls whether or not we
				maintain a common command option history via .gmtcommands4 files.

2006-04-04
	* pslib.*:		Removed ps_imagemask. Use ps_bitimage with transparent background instead.
	* segyprogs/pssegy*.c:	Only code affected by removal of ps_imagemask. Fixed reverse video bug.

2006-04-03
	* gmt.h:		Pruned gmtdefs structure for items that are not default values.

2006-04-01
	* mex/makefile.in:	Added -O and fixed target so not recompiling unless needed

2006-03-31
	* mgd77/mgd77sniffer.c:	Changed -O to -L to avoid overlap with GMT common -O option.
	* mgd77/mgd77list.c:	Changed -X to -L to avoid overlap with GMT common -X option.
	* mgd77/mgd77info.c:	Changed -H[r|g] to -M[r|f] to avoid overlap with GMT common -H option.
	* spotter/rotconverter.c:	Changed -H[a|t] to -C[a|t] to avoid overlap with GMT common -H option.
	* x2sys/x2sys_cross.c:	Changed -O to -L to avoid overlap with GMT common -O option.
	* x2sys/x2sys_get.c:	Changed -X to -L to avoid overlap with GMT common -O option.

2006-03-28
	* *.c:			Extended -M option to take modifiers i or o for input or output
	* -I:			Most programs using -Idx/dy falsely stated ! as modifier instead of =

2006-03-23
	* gmt_proj.[ch]:	New file to hold projection-specific functions formerly in gmt_map.c
	* psxy[z].c:		Eliminated several hundreds of lines in near-identical functons for
				decoding symbol, draw ellipse and fronts in these two programs.
				New common functions placed in gmt_plot.c and gmt_init.c
	* block_subs.[ch]:	New files with common function prototypes, functions definitions
				data structures, and constants used by blockmedian and blockmode.
	* blockmedian.c:	Now store data internally as double (like blockmean/mode).
	* grdmath.c:		INSIDE for Cartesian data had bug (used y where x was expected).
	* *.c:			Mostly eliminated use of global variables defined outside main.
	* pshistogram.c:	Now uses double precision.

2006-03-22
	* g{mt|rd}math.c:	Added CPOISS for cumulative Poisson distribution.
	* fourt.c:		Now contained in gmt_support.c
	* gmt_funcnames.h:	Replaced by new gmt_*.h files:
	* gmt_globals.h:	New name for old gmt_init.h
	* gmt_init.h:		New include file for extern functions in gmt_init.c
	* gmt_plot.h:		New include file for extern functions in gmt_plot.c
	* gmt_stat.h:		New include file for extern functions in gmt_stat.c
	* gmt_support.h:	New include file for extern functions in gmt_support.c
	* gmt_vector.h:		New include file for extern functions in gmt_vector.c
	* misc/gmtdigitize.c:	New tool added to misc supplement for digitizing line segments
	* misc/gmtstitch.c:	New tool added to misc supplement for combining line segments

2006-03-21
	* gmt_support.c:	Fixed problem in GMT_get_grd_region which would sometimes return
				a w/e/s/n that exceeded the grid domain.
	* gmt2rgb.c:		Did not check name template properly, and did not initialize wesn.
	* pslib.c:		ps_load_raster did not use open mode rb and hence failed in Win32.

2006-03-20
	* gmtconvert.c:		Added -D option to write segments to individual output files.

2006-03-16
	* psxy.c:		-Sqd:  Would get confused when distances between successive labels
				were smaller than the line's point spacing.
	* grdmask.c:		Did not explicitly close polygons before using them.
	* grdimage.c:		Would hang in stdin if -C not given when one grid is plotted.

2006-03-15
	* gmt_plot.c:		For azimuthal maps, only place one grid cross at the poles.
	* gmtdefaults.c:	New parameter POLAR_CAP which controls the number of gridlines that
				converge on the poles for azimuthal and some other projections.
	* gmt_plot.c:		Draws gridlines for azimuthal projections according to POLAR_CAP.

2006-03-15
	* gmt_io.c:		Added GMT_access to match behavior of GMT_fopen.

2006-03-14
	* minmax.c:		-D made obsolete by improved range checking for longitudes.

2006-03-13
	* mgd77/mgd77manage.c:	Did no properly close the file after ingesting E77 information
	* -JP|p:		Optionally append z to annotate depths (north-y) rather than radius.

2006-03-11
	* gmtdefaults.c:	COLOR_MODEL can now accept a prefix "+" which forces color interpolation
				in the selected system (RGB or HSV only).  Default remains RGB.
				PS_COLOR has been extended to accept HSV as well (only applies to
				polygon, symbol, pen, and text colors, not images.)

2006-03-10
	* psxy[z].c:		Ellipses created with -SE would sometimes clip incorrectly for some
				map projections such as -JQ when the central meridian was > 180 deg
				away from the plot area.
	* psxy.c:		Complicated lon/lat polygons with 360 or more longitude extent
				can now be filled without weird wrap-around effects.

2006-03-09
	* psxy[z].c:		-SV and -SE for -JX did not convert azimuths to directions.
				Added -SW for wedges specified with azimuths instead of directions
	* project.c:		Cartesian projections gave incorrect results for p,w,r,s.
				Removed 0-360 restriction on azimuth.  -G was susceptible to round-
				off and thus sometimes reissued the final point.
	* psscale.c:		Enhanced -I for asymmetrical ranges <low>/<high>

2006-03-08
	* share/coast:		New subdir where coastline *.cdf files will be kept from now on.
	* gmt_shore.c:		Now looks in share/coast for files.
	* GMT_share.tar|zip:	Now contains all the runtime files needed (patterns, cpts).
	* GMT_coast.tar|zip:	New archive for standard GSHHS c|l|i coastlines.
	* GMT_src.tar|zip:	New name for GMT_progs.*
	* GMT_read_cpt:		CPT files can now decode z-values that are timestrings or dd:mm:ss.
	* splitxyz.c:		New option -Q to select items and order of output columns.
	* gmtmath.c:		Now can handle multisegment files; -M has been added.
	* gmt_plot.c:		Fixed problems with 3-D text: letter hight was scaled incorrectly
				(got long for low elevations) and $%no% sequences were not tilted
				at all.  Thanks go to Masakazu Higaki for providing the fix.

2006-03-07
	* gmt_io.c:		For years, date in format needs %5d, not %4d since we might have
				a negative year (months and days, however, only need %2d).
				With %4d, dates like -4321-01-01 was read as -432-01-01.

2006-03-06
	* gmtdefaults.c:	Added support for PS_VERBOSE, which controls the writing of
				comments to the PostScript output stream [FALSE].
				Value is passed into ps_plotinit via existing parameters.
	* gmt.h:		--"--
	* gmt_defaults.h:	--"--
	* gmt_key*.h:		--"--
	* gmt_init.c:		--"--
	* pslib.c:		--"--
	* pslib_inc.h:		--"--
	* gmt_plot.c:		The comment that specifies the GMT command is always written.

2006-03-05
	* configure.in:		Added --disable-mex and --disable-xgrid as new options.

2006-03-04
	* Makefile:		Added set -e to exit on first make error.  Also added checks to
				see if src/mex and src/xgrid are present before making.

2006-03-02
	* gmt_init.c:		Parsing of .gmt_io files only understood format numbers, not codes.
	* grdsample.man:	Still mentioned -N allthough it is just there for backwardness.
	* grdsample.c:		Did not initialize nx, ny when -Idx/dy was given.

-----------------------------------------------------------------------------------------
2006-03-01
	* tar 4.1.1 made and released via email
-----------------------------------------------------------------------------------------

2006-02-28
	* src/triangle.*:	Now stored with the rest of the source in GMT_progs.tar|zip.
				However, installing it is still an option.
	* job06.*:		Needed -: to work correctly the given fractures.d file
	* psxyz.c:		-SO|U work like -Su|o except they give no 3-D color shading.
	* mgd77.c:		No directory search support under Windows for the time being.

2006-02-25
	* grdtrack.c:		Can now sample Sandwell/Smith IMG grids directly.

2006-02-24
	* grdedit.c:		Added option -T to toggle between gridline and pixel registrations.

2006-02-20
	* grdview.c:		Skipped nodes outside boundary but they might be needed to draw a tile.

2006-02-19
	* grdimage.c:		Fixed several issues at grid limits and inappropriate scaling of
	* grdcontour.c:		grid dimensions.

2006-02-18
	* gmt_init.c:		BASEMAP_FRAME_RGB overrode any changes to grid pens etc.  Now only
				does so if prefixed by '+'.
	* blockm*.c:		Now correctly deals with periodic longitude data.
	* xyz2grd.c:		Now considers data inside the first and last tiles which might
				stick outside w/e/s/n.

2006-02-16
	* gmt_calclock.c:	Did not allow -B0 for time-axis
	* gmtmath.c:		If file is STDIN we read stdin and put the contents on the stack.
				Also added -F to select which columns to use for output [all].

2006-02-12
	* gmt_map.c:		Under certain circumstances, GMT_non_zero_winding might be passed
				a polygon that was not closed, resulting in an error.

2006-02-07
	* pstext.c:		-D[...]v<pen> can now be used with or without -M

2006-02-06
	* x2sys/x2sys_cross.c:	Several problems fixed.

2006-02-06
	* gmt_nc.c:		Introduced handling of 4-D COARDS compliant grids and store/read
				"units" separately from "long_name".
	* gmt_grdio.c:		Initialize header information at start of GMT_read_grd_info
	* gmt_support.c:	Initialize [xyz]_unit with more appropriate values
	* grdreformat.c:	Update grd.command before writing grid

2006-02-03
	* gmt_grdio.c:		GMT_open_grd (used in grdblend) reset scale to NaN

2006-02-02
	* grdmath.c:		Operators LT, LE, EQ, GE, GT returned TRUE if NaNs were involved
				Now NaN is returned if any of the two operands is a NaN.
	* gmt_support.c:	Got wrong conversion for dx in meters to degrees.
	* xyz2grd.c:		For geographic grids with 360-degree range and gridline registration,
				the west and east bin did not get replicated properly.
	* spotter/grdrotater.c:	New module that rotates grids given a finite rotation.

2006-02-01
	* mgd77/mgd77list.c:	Activated -X option and associated machinery
	* grdgradient.c:	Implemented variation on Lambertian illumination [J. Luis]

2006-01-28
	* grdmask.c:		Only let you change the value for outside nodes.
	* mgd77/mgd77.c:	Added mechanism to search directories for files.
	* mgd77/dirent.h:	Include file for Win32 to simulate Unix	opendir/readdir
	* mgd77/dirent.lib:	Precompiled library for Win32 to simulate Unix -"-
	* mgd77/mgd77_codes.h:	New include file generated from trkdas.cod
	* mgd77/mgd77list.c:	Retired -P option since search has been implemented.

2006-01-23
	* grdfilter.c:		Used -1 as index flag instead of INT_MIN.
	* pscoast.c:		With -JE and -Gr/g/b, the painting of the antipodal bin would incorrectly
				turn off clipping, messing up the rest of the plot.  Now pass -9 to
				GMT_fill which means just fill and no end of clipping.
	* pslib.c:		ps_polygon: if outline == -9 just fill and no clip.
	* gmt_map.c:		Map clip paths for -JE<lon>/+-90 were no good.

2005-01-21
	* ISO-8859-9.ps:	Added /dotlessi per Onur Tan.

2006-01-17
	* gmt_map.c:		-JQ would give garbage if central lon was way outside -R
	* gmt_grd.h:		Improved definition of GMT_x_to_i macro should reduce bugs
	* grdvector.c:		Did not place vectors correctly for pixel-pregistered grids
	* grdmask.c:		Now takes -S<radius>[c|m|k|K] as in nearneighbor.c
	* psmask.c:		---"--.  Can now plot tiles regardless of projection and use patterns.
	* pslib.c:		Fixed two bugs concerning the /MaskColor operator.

2006-01-16
	* gmt_grdio.c:		Changed logic to avoid false scale==0 warning on Windows

2006-01-10
	* grdmath.man:		Did not list -f option
	* gmt_{map,plot}.c:	-JX..d now plots with WESN or degrees:minutes as per PLOT_DEGREE_FORMAT
	* Makefile.MAN:		Properly include GMT version and date in manpages
	* configure.in:		Extracting VERSION from gmt_version.h, not gmt.h

-----------------------------------------------------------------------------------------
2006-01-07
	* tar 4.1 made and released via email
-----------------------------------------------------------------------------------------

2005-01-05
	* pslib.c PSL_prologue.ps:Fixed bugs in framing and offsetting justified texts

2005-01-03
	* grdreformat.c:	Since format sd is read-only, give error message if used for writing.
				Update man page to display read-only for this format

2005-12-30
	* gmt_support.c:	Properly flip B/F colours when using makecpt -I -D

2005-12-29
	* -JP:			Optional suffix r to reverse radial direction (e.g., for sky-plots).

2005-12-27
	* misc:			nc2xy.c and ps2raster.c added to the misc supplement

2005-12-21
	* pslib.c gmt_plot.c:	Improved alignment of strings ending in "1"

2005-12-19
	* gmt_support.c:	Changed angle/justify so that vertical annotations are viewed from right

2005-12-18
	* triangle.*:		Updated triangulation to version 1.6
	* *.txt:		Switched to groff -T html for web man generation

2005-12-17
	* gmt_grd.h:		Wrong sign for (off) in GMT_x_to_i and GMT_y_to_j macros

2005-12-13
	* explain_precision.txt:	Include file for several man pages explaining output format precision
	* g{rd,mt}math_main.c:	Stop complaining about conflicts when not used as argument

2005-11-17
	* makecpt.c:		-D option sets back- and foreground to match cpt limits
	* grd2cpt.c:		---"---

2005-11-14
	* grdfilter.c:		-D4 is now fully aware of geographic boundary conditions
				Convolution filters now use correct area normalization

2005-11-07
	* psscale.c:		-E did not flip when a negative width was used
	* grdvolume.c:		Fixed potential division by zero

2005-11-01
	* psxy[z].c:		Pentagon symbol had wrong normalization scale.
				If a fixed symbol size was given in -S, with symbols from file
				we would not scale symbols correctly if upper case.

2005-10-27
	* psscale.c:		Optional ;label at end of each line in cpt files will replace
				default annotations in psscale -L.

2005-10-26
	* gmt_support.c:	GMT_grd_setregion failed for -Rg/-Rd and small grid crossing Greenwich

2005-10-20
	* gmt_init.c:		Did not use custom ellipsoid to set DEG2M parameter
				so we got large errors for other planets.

2005-10-19
	* mgd77convert.c:	New tool for translating between various MGD77 formats
	* mgd77manage.c:	New tool for managing enhanced, MGD77+ netCDF trackline files
	* mgd77/*:		Many changes to functionality, some option changes, + netCDF awareness
	* x2sys/*:		Streamlining of options to be similar to those of mgd77
				Knows about the new netCDF MGD77+ trackline format

2005-10-17
	* grdtrack.c:		Would fail to skip first two columns for ascii input if dd:mm:ss format use

2005-10-01
	* gmt_{grd,custom}io.c:	Remove "file" argument from GMT_io*; reduced arguments of GMT_grd_get_format;
	* gmt_{nc,cdf}.c:	support for "time slicing" 3-D COARDS-complaint NetCDF grids.

2005-09-27
	* grdcontour.c:		Label option +ap[u|d] for always having labels march up or down hills.

2005-09-25
	* psscale.c:		Use pixelmaps to draw color legend (except when containing pattern).

2005-09-20
	* dbase/grdraster.c:	Added optional H<bytes> to info string for skipping a header

2005-09-15
	* gmtmath.c:		Constants given on command line can be abs time, geo, or float
	* pscoast.c:		Added -Z option for 3-D z-level (as in psbasemap)

2005-09-14
	* -Idx/dy option:	Extended to allow for specifying nx/ny (append +)
				Also append = to reset range based on increment
				Append e|k|i|n for increments in meter, km, miles
				or nautical miles - these are converted to degrees
				longitude (at middle lat) and latitude.
	* gmt_shore.c:		Must explicitly close polygons since inside/outside test expects it.

2005-09-13
	* grd2xyz.c:		Added -E for ESRI interchange ASCII grid dump
	* xyz2grd.c:		Added -E for ESRI interchange ASCII grid digest

2005-09-10
	* grdimage.c:		Cannot use -R to extract subset when -J is oblique.
	* grdview.c:		---"---
	* grdimage.c:		Reverse log-axes did not work

2005-09-09
	* grd2xyz.c:		Sloppy -R resulted in bad x,y values and sometimes allocation error
	* gmt_support.c:	Added test to "sanitize" sloppy w,e,s,n values for output domains.

2005-09-07
	* gmt_stat.c:		Added GMT_corrcoeff function
	* g??math.c`:		Implemented CORRCOEFF function for correlation coefficient
	* grdgradient.c:	Added option -E for Lambertian or Peuckeer illumination [J. Luis]

2005-08-23
	* *.pdf:		Improved PDF layout/navigation, thanx to Misha Tchernychev

2005-08-22
	* gmt_customio.c:	New NetCDF format routines are default
	* gmt.h:			Added GRID_FORMAT to gmtdefaults with "nf" as default
	* gmt_init.c:		---"---

2005-08-12
	* gmt_{nc,cdf}.c:	Full support of COARDS compliant NetCDF grids

2005-08-10
	* gmtselect.c:		New functions added for in/on/out testing with
				spherical polygons.
	* grdmath.c:		Now handles both Cartesian and spherical well
	* grdmask.c:		---"---
	* gmtselect.c:		---"---
	* grdmath.c:		Special constants Xn and Yn for normalized X and Y
				[Gives -1 to + 1 suitable for Legendre and Chebyshev]
	* gmtmath.c:		Same, added constant Tn for normalized T

2005-08-07
	* gmt_grdio.c:		Added suffix codes in addition to format numbers for grids
	* gmt_grdformats.h:	New include file generated by Makefile.guru

2005-08-05
	* gmtmath.c:		Added -I to reverse time-series output

2005-08-03
	* gmt_nc.c:		First primordial support of COARDS-compliant NetCDF format
	* gmt_{grd,custom}io.*:	---"---

2005-08-02
	* install_gmt:		No longer test netcdf since that can fail even when install was
				successful [MacOS X Tiger].

2005-07-30
	* psxyz.c:		Added -Q to disable sorting of points based on distance

2005-07-27
	* gmt_stat.c:		Added GMT_Chebyshev for Tn(x) polynomials
	* grdmath.c:		Added TN function (Chebyshev)
	* gmtmath.c:		---"---

2005-07-12
	* mapproject.c:		Gave junk output as GMT_strtok was not used correctly.

2005-07-07
	* gmt_map.c:		Azimuth to angle calculation was vulnerable to bad wrap-around,
				giving strange directions for vectors in psxy

2005-06-29
	* configure.in:		Add -arch ppc64 flag while building shared libraries for PowerMac G5

2005-06-27
	* dbase/grdraster.c:	Handles optional G(eographic) and C(artesian) modifiers for G|P.
	* gmt_customio.c:	Fixed i/o of native grd files under 64-bit OS, based on
				a suggestion by Lou Estey, UCAR.  This should make GMT 64-bit safe.

2005-06-24
	* gmt_plot.c:		Would plot both -180 and +180 annotations for periodic maps.

2005-06-21
	* gmt_map.c:		Inverse Winkel function assumed south == -north
				Implemented full inverse Winkel based on Ipbuker, 2002
				Cartography & Geographical Information Science, 29, 37-42.

2005-05-27
	* gmt_support.c:	Bad LF/CR removal for coastline.conf dir

2005-04-27
	* gmt_io.c:		Fixing more memory leaks
	* gmt_support.c:	---"---
	* mapproject.c:		---"---

2005-04-21
	* gmt_time_system.h:	Fixed MJD offsets by subtracting ten days.

2005-04-18
	* gmt_init.c:		Command line argument --BASEMAP_FRAME_RGB=color was not passed
				through to tick-, grid- and annotation-properties.

2005-04-13
	* GMT_end():		Free memory used for hashing

2005-04-12
	* x2sys & mgd77:	Made DOS-format (CR/LF) tolerant

2005-04-09
	* gmt_support.c:	Improved workings of GMT_sample_cpt in support of makecpt.

2005-04-05
	* *.c:			Replaced strtok with thread-safe GMT_strtok

2005-03-02
	* *:			General clean-up based on gcc -Wall output

2005-02-23
	* pslib.c:		Improved freeing of temporary image buffers.

2005-02-22
	* pslib.c:		Truncate ASCII85 5-tuple when required.

2005-02-21
	* filter1d.c:		Allow NaNs in all but the "independent data" column.

2005-02-18
	* sample1d.c:		Allow NaNs in all but the "independent data" column.

2005-02-15
	* gmt_plot.c:		Only contains functions that rely on pslib.  Other functions
				were moved to gmt_map.c, gmt_support.c, and gmt_calclock.c
	* Makefile:		Splits libgmt.a into libgmt.a and libgmtps.a, the latter only
				required for programs using pslib.
	* *.[ch]:		Shortest textstring internally is now 64 bytes

2005-02-07
	* pslegend.c:		Did not pass +gmtdefaults and --PAR=val onto system calls.

2005-02-03
	* mapproject.c:		-L now outputs both the minimum distance and the coordinates
				of the nearest point on the line.

2005-02-01
	* pslib.c:		Include routines to load and export EPS images
				(ps_load_eps). Removed ps_loadraster and create general
				routine for loading images instead (ps_load_image).
	* pslib.h:		--"--
	* gmt_customio.c:	Changes associated with renaming of rasterfile to imageinfo
	* gmt2rgb.c:		--"--
	* misc/makepattern.c:	--"--
	* psimage.c:		Support EPS inclusion of EPS images
	* pslegend.c:		--"--

2005-01-27
	* pshistogram.c:	-2 option is retired (but backwards compatible).  New option
				-T<col> extends concept to any column, starting with 0 (first).
	* gmtconvert.c:		-N option suppresses output records when all fields are NaNs.

2005-01-20
	* pslib.c:		Bit-shift bug in LZW encoding occasionally gave bad PS.

2005-01-11
	* gmt_map.c:		Geodesic distance calculation could get wrong quadrant

2005-01-08
	* gmt_init.c:		Would eat number with leading plus sign without checking if it
				actually was a +gmtdefaults file instruction; thus gmtmath could
				not see numbers such as +13.5.

2005-01-06
	* gmt_map.c:		azim to angle calculation for linear projections now handle
				different scales in x and y

2005-01-05
	* psxy.c:		-Sp is now a true point, but can also take an optional size.

2005-01-04
	* gmtmath_main.c:	Did not understand <date>T<clock> as command line data
	* gmt_calclock.c:	hh:mm data would loose the minutes (hh:mm:ss was OK).
	* grdgradient.c:	If -M is used with grids that include poles, ignore the poles
				when normalizing the slopes

2005-01-01
	* grdmath_main.c:	Now use ellipsoid to determine if distance calculations
				should be geodesics or great circles.

2004-12-26
	* gmt_io.c:		write_segmentheader wrote nothing if input was binary
				and output is ascii.
	* gmtconvert.c:		Missed first multisegment output header if input file
				was ascii.
	* grdmath.c:		Allow -bi to be used for files with PDIST, LDIST, INSIDE
	* gmt_support.c:	Cartesian LDIST failed when mininum distance was requested
				(only done via grdmath).

2004-12-25
	* gmtselect.c:		If -M is on and a portion of a segment is skipped, we must
				reissue the multisegment header when segment resumes.

2004-12-21
	* guru/Makefile.guru:	Use LANG=C with awk to get proper decimal formats
	* gmt_calclock.c:	time to hr,min,sec was vulnerable to round-off when optimized

2004-12-18
	* gmt_io.c:		GMT_lines_init had trouble if 2000 segments had no data at all.

2004-12-08
	* gmt_plot.c:		Direction for map roses were inaccurate

2004-12-02
	* gmt_io.c:		GMT_lines_init allocated 2000 points for each segment but never
				deallocated the unused portions, thus running up memory fast.
	* pslegend.c:		Added B for drawing color bars a la psscale

2004-11-30
	* gmtdefaults.c:	Added support for line caps, joins, and mitering
				in PostScript files via three new parameters:
				PS_LINE_CAP, PS_LINE_JOIN, and PS_MITER_LIMIT.
				Values are passed into ps_plotinit via existing
				parameters.
	* gmt.h:			--"--
	* gmt_init.c:		--"--
	* pslib.c:		--"--
	* pslib_inc.h:		--"--

2004-11-26
	* gmt_plot.c:		circle and theta-r boundaries did not allocate enough memory for arrays.

2004-11-24
	* gmtmath.c:		No longer have to say -Ca if there is only 1 input column .

2004-11-07
	* install_gmt:		New option -c for install from current directory.  This bypasses
				all questions about ftp since tarballs are in current directory.

2004-11-03
	* pslib.c:		Remko Scharroo, with help from Lloyd Parkes, have greatly
				improved how images are encoded in the PostScript output,
				resulting in much smaller files when possible.  Specifically:
				- Changed all handling of images from PS Level 1 to Level 2 (or 3)
				- Auto-indexing of colored images (not when bit pattern)
				- Automatic reduction of index depth from 8 bits to 1, 2, or 4 bits
				- RLE and LZW compression of indexed or color images
				- Changed Hex output to ASCII85 output
				- PS_IMAGE_FORMAT now defaults to "ascii" but will still understand
				  the previous setting "hex"
				- Moved DPI setting, inversion and colorizing of bitmaps from
				  ps_imagefill_init and ps_loadraster to PostScript code generated
				  by ps_bitimage.
				- Removed superfluous refreshing of pattern bitmap images,
				  colorization now in /fillimage
				- Added refreshing of pattern bitmap images on changing DPI. Did
				  not work before.
				- Changed ps_pattern_{nx,ny,status} to struct ps_pattern and added
				  dpi,depth,colors
				- Removed ps_user_image struct. Now only contains name.
				- Added verbose option (ps.verbose)
	* pslib.h:		Changes in accordance with pslib.c
	* pslib_inc.h:		---"---
	* gmt.h:		Changed ps_compress to integer, allowing for LZW compression
	* gmt_defaults.h:	---"---
	* gmtdefaults.txt:	Man page updated to describe compression and format options.
	* gmt_init.c:		- Assignment of bit #10 (1024) of gmtdefs.page_orientation for RLE
				  compression violated clipping bits. Changed to bit #12 (4096).
				- Assigned bit #13 of gmtdefs.page_orientation to LZW compression and
				  bit #14 to Verbose.
	* pslegend.c:		Reduced parameters in ps_loadraster as in pslib.c
	* gmt2rgb.c:		---"---
	* psimage.c:		- Reduced parameters in ps_loadraster as in pslib.c
				- Improved handling of -Gp and -Gf options
	* grdimage.c:		- Improved handling of -Gp and -Gf options
				- Removed need for separate transparent bitimage code: taken over
				  by ps_bitimage.
	* pscoast.c:		- Removed call to ps_imagefill_init. No longer necessary.

2004-10-30
	* gmt.h:		GMT_swab4 used unsigned long instead of unsigned int
				which could cause 64-bit problems.  We believe GMT is
				64-bit safe at this point - let us know if you find otherwise.

2004-10-28
	* gmt_support.c:	Color names got truncated to 16 characters.

2004-10-26
	* pscoast.c:		Recursive painting could get tricked when boundaries were curved.

2004-10-24
	* gmt_support.c:	Trouble extracting subregions of grid with e = 0.
	* gmt_plot.c:		360-degree polar basemaps could lack outline

2004-10-22
	* dbase/grdraster.c:	Optionally give a text pattern instead of data ID number.

2004-10-20
	* -b:			Uppercase S|D (instead of s|d) implies byte-swabing

2004-10-17
	* spectrum1d.c:		Bugs in error expressions for admittance, gain, and phase

2004-10-16
	* gmt_version.h:	Simplify version updating
	* bin/gmtpatch.sh:	Script to automate installation of patches
	* configure.in:		Placed matlab, netcdf, and ftp site settings in makegmt.macros
	* makegmt.macros.in:	Now contains info for matlab, netcdf, and ftp site.
	* Makefile:		Allow for 'make update' to install patches

2004-10-12
	* psxyz.c:		Wrong index used in assigning color from cpt and
				in updating vector lengths.
	* psscale.c:		Vertical annotations w/custom D_FORMAT were not aligned.

2004-10-10
	* gmt_grdio.c:		Bug in scale/offset for grdblend's row-by-row i/o

2004-10-08
	* filter1d.c:		-Ff with even # of coefficients sometimes skip a coefficient
	* grdvolume.c:		-Clow/high/d did not check for low < high etc.

2004-10-06
	* grdmath.c:		Wrong sign in D2DY2, and bogus value at y = ymin.

2004-10-04
	* gmt_io.c:		Bug in reading yyyy[/]jjj data fixed.

-----------------------------------------------------------------------------------------
2005-10-01
	* tar 4.0 made and released via email
-----------------------------------------------------------------------------------------

2004-10-01
	* *.bat:		October Surprise! John Ashcroft threatens to revoke
				Wessel's Permanent Resident Status unless he adds
				back in the [much reviled] *.bat files
	* install_gmt + webform:	2 new ftp servers added

2004-09-28
	* gmt_mgg_header2.[ch]:	Changed long to int since the intent was
				4-byte signed ints (not 8 byte ints).

2004-09-24
	* gmt_map.c:		Bad index in truncate_x and truncate_tm could lead to
				SEGV or misshaped polygon in pscoast.

2004-09-23
	* mapproject.c:		Replaced commas in users text-columns following x,y

2004-09-17
	* grdimage.c:		Promoted the undocumented tile-outline option to a real
				user option.
	* grdview.c:		---"---

2004-09-16
	* psscale.c:		Vertical text label only for plain text, otherwise we
				place it as horizontal text parallel to the scale

2004-09-14
	* mapproject.c:		-T can now be combined with -R -J [-I].
				-C can now take optional false x/y offsets.
	* grdproject.c:		-C can now take optional false x/y offsets.
	* gmt_map.c:		Let map_scale_factor have default 0.9996 for -Js and -Ju
				but 1.0 for -Jt.  MAP_SCALE_FACTOR = default gives these.

2004-09-12
	* share:		Upgrade to GSHHS v 1.3: Fully self-consistent this time.
				Major improvement to Puget Sound area near Seattle
	* gshhs/*:		Minor format change to handle 1.3

2004-09-06
	* grdtrend.c:		-W for output wrote to the wrong filename...

2004-08-26
	* pslib.c:		If the same pattern was used with different colorizing
				then only the last pattern/color combo was used

2004-08-25
	* Appendix P:		Discusses how GMT 3 and 4 can coexist using gmtswitch
	* Preface:		Discusses how 4 differs from 3.

2004-08-24
	* grdcontour.c:		Because of single-precision, round-off could occur
				when tracing closely-spaced contours with large z.

2004-08-18
	* mgd77:		Added new supplement for MGD77 files from NGDC

2004-08-16
	* gmt_init.c:		For -Jx|x...d, default to degree symbol as unit

2004-08-11
	* minmax.c:		Remove leading spaces from items in -R, -I output strings

2004-08-02
	* grdfilter.c:		Bug when grdfile included a pole and -D3,4 was used.

2004-08-01
	* configure.in:		Now can use shared libs under Mac OS X [Remko Scharroo]

2004-07-26
	* gmtmath.c:		-S[f|l] for first [Default] or last record only.

2004-07-22
	* grdfilter.c:		Mode filter wasted time calling exp for weights that
				should simply be -1 or +1.  Because multiple modes were
				averaged by default, added option to select one mode.
	* filter1d.c:		---"---

2004-07-21
	* share/time:		Added more language support for Chinese, Japanese, Polish,
				Hebrew, Russian, Irish.

2004-07-18
	* makecpt.c:		-N to suppress the B, F, N colors
	* grd2cpt.c:		---"---

2004-07-17
	* *math.c:		Now supports LOG2 in addition to LOG and LOG10

2004-07-15
	* grdsample.c:		-Q can take value to push bilinear interpolation closer
				to nodes that are NaN [Default value gives same as before]
	* grdtrack.c:		---"---

2004-07-02
	* grdproject.c:		Using -E triggered bug since nx/ny were unitialized.

2004-07-01
	* gmt_stat.c:		Needed to add Laplace noise generator...
	* *math.c:		Now supports LRAND in addition to RAND and NRAND

2004-06-25
	* gmtselect.c:		No need to supply -R -J when using -N [Defaults to -Rg -Jx1d]
	* minmax.c:		-I extended to any number of columns if -C is used

2004-06-23
	* -B etc:		Determined that =<prefix> is better that ^<prefix> since
				users would easily forget to quote the special ^ character.
				This applies both to -B and quoted labels.

2004-06-18
	* gmt_map.c:		Map scale factor wasn't reset when a standard parallel
				was given to the polar stereographic projection

200:	-06-13
	* sxy[z].c:		-SE and linear projection gave unexpected result.
	* GMT Appendix O:	New Appendix to explain contour labeling

2004-06-11
	* grdcontour.c:		-T:LH failed when var n was not initialized first.

2004-06-08
	* psscale.c:		-M was not implemented for discrete cpts
	* pstext.c:		-C accepts % of fontsize, similar to contour label annotations.

2004-06-04
	* GMT 4.0 feature freeze: No new features will be added unless absolutely needed

2004-06-04
	* *contour.c:		Finalized the 5 algorithms for label placement
	* psxy[z].c:		---"---

2004-06-02
	* filter1d.c:		Missed last output point due to round-off

2004-06-01
	* pslib.c:		Includes PSL_label.ps which has functions for clipping and
				placing of along-line labels.

2004-05-27
	* grdfilter.c:		Added new filter options for extreme values (min/max etc).
	* filter1d.c:		---"---
	* grdedit.c:		Added -N<file> option to replaces some node values given
				xyz data in <file> (-H -b -f -: added for support).

2004-05-22
	* pstext.c:		-WO now works for non-paragraph modes.
	* gmtconvert.c:		Implemented -E: report first and last point per segment only.
				-L: List segment headers only, -S: List records from segments
				whose header matches a given text pattern.

2004-05-20
	* pstext.c:		-Dj did not take into account the text angle rotation
	* psxy[z].c:		Added -Sq "Quoted line" which are like contours; see the
				changes in [grd|ps]contours.c for details.

2004-05-18
	* grdcontour.c:		Expanded the -G option to allow for specification of crossing
				lines: place labels where these lines intersect contours.
				Also -Gn|N to place a fixed number of equidistant contours.
				Core xy crossover functions from x2sys now in GMT.
	* pscontour.c:		---"---, + added transparent boxlabel as in grdcontour

2004-05-14
	* psxyz.c:		-G -W -Z in multisegment headers did not affect coloring.
	* x2sys_cross.c:	Now has -M and recognizes gaps between segments

2004-05-07
	* gmtdefaults.c:	New parameter TIME_INTERVAL_FRACTION [0.5] to annotate
				fractions of a full interval.
	* psbasemap.c:		Added -T for directional rose ornament or magnetic directions
	* pscoast.c:		--"--

2004-05-04
	* grdview.c:		Now drapegrids can have higher resolution that relief grid

2004-04-27
	* examples:		Added 5 new examples for a new total of 25.
	* *.bat:		No longer maintaining DOS batch example files.

2004-04-26
	* gmtdefaults:		BASEMAP_TYPE fancy+ yields rounded map corners.

2004-04-24
	* gmtconvert.c:		Option -I gives gmtconvert tac or tail -r capability
	* *.c:			-H may now take -Hi to only do headers on input.

2004-04-22
	* psbasemap.c:		-L option now has modifiers to paint/draw background frame
	* pscoast.c:		---"---

2004-04-21
	* gmtconvert.c:		Option -F and -A gives gmtconvert cut and paste capabilities

2004-04-20
	* psxy[z].c:		Multisegment records with x-G taken as fill commands
				when x was not tab or space.
	* gmt*:			If set, gmt programs that are given input files will look
				in $GMT_DATADIR, $GMT_GRIDDIR, and $GMT_IMGDIR if the file
				cannot be found in the current directory.

2004-04-19
	* gmt_init.c:		Specifying ellipsoid "Sphere" after a custom choice
				would give error message.  Also, per BHJ, custom
				ellipsoid files may reside in GMTHOME/share

2004-04-16
	* xyz2grd.c:		Added -Au|l for upper/lower value at each node
	* psscale.c:		Added optional <gap> to -L to draw discrete table
				with centered annotations.
	* psbasemap.c:		Fancy frame for primary/secondary annotations

2004-04-14
	* -B:			Added :^"prefix": to prepend an item to all annotations.
				Added <stride>[+-<phase>] to phase-shift annotations.

2004-04-12
	* *.c:			Settled on -B[p] for primary annotations and -Bs for the
				secondary annotations (for time axes).  This means we
				are back to needing only a|f|g axis items.
				Changed several GMT defaults parameter names while being
				backwards compatible. Everything with ANNOT now has a
				_PRIMARY at end and everything with 2 (i.e., ANNOT_FONT2)
				instead has a _SECONDARY.

2004-04-07
	* gmt_support.c:	To specify HSV colors on the command line, use h-s-v
				(as compared to r/g/b or c/m/y/k)
	* *.c:			-Xc and/or -Yc will center plot using current page size

2004-04-06
	* pslegend.c:		Made measure-unit tolerant
	* gmt*.c:		New pen and fill specifications introduced:
				<pen> := [<width>[<wunit>][,<color>[,<texture>[<tunit>]]]
				<width> as before + faint|{thin,thick,fat}[er|est]
				<color> as before + black|white|[light|dark]{red,orange,
				  yellow,green,cyan,blue,magenta,brown,gray} and 600+ X11 names
				<texture> as before without leading 't' + strings like
				-.. where - means dash and . means dot.

2004-04-05
	* psbasemap.c:		Extended -L to allow alternate label and justification
	* pscoast.c:		---"---
	* pslegend.c:		Added option to place a map scale (M) in the legend

2004-04-02
	* grdmask.c:		Points exactly on xmax or ymin placed in wrong node
	* pslib.c:		Replaced dumb patterns 83-84 with ones usable for transparency

2004-04-01
	* *.c:			Any GMT command can take --PARAMETER=VALUE options where
				GMT default values can be overridden within the
				scope of that process only [Idea by Dave Ball]
	* gmt_io.c:		xyz2grd -F did not like trailing spaces after data values

2004-03-31
	* grdmath.c:		Added INSIDE to set points inside polygons to 1 else 0

2004-03-28
	* grdmath.c:		Added FLIPLR and FLIPUD to reverse rows or cols
				Added ROTX and ROTY to shift grid in x or y
				Added INRANGE to find low <= z <= high
				Added LDIST and PDIST for distances to lines/points
	* gmtmath.c:		Added FLIPUD to reverse cols
	* mapproject.c:		Added -L to compute distances to lines
	* grdinfo.c:		Added -I to report region rounded off by dx/dy.

2004-03-26
	* pslegend.c:		Minor bug in vertical line drawing fixed

2004-03-25
	* pslegend.c:		Added option to place an image (I) in the legend

2004-03-24
	* gmtmath.c:		Added operator ROOTS to find roots of f(t) = 0
	* pslib.c:		Assumed width >= height for pattern images.
	* gmt_plot.c:		-W- was not heeded by custom symbols except polygons

2004-03-23
	* minmax.c:		Added -E for returning extreme records.
	* gmtselect.c:		Added -Z to pass/skip on basis of z-range.

2004-03-05
	* gmt_support.c:	Give warning that making a continuous cpt from a discrete
				cpt may lead to funny results.

2004-02-25
	* psxy.c:		Now treats NaNs as "pen up" nodes.
	* blockmean.c:		-S can now be -Sz (same as -S) and -Sw for weight sums

2004-02-24
	* gmt_init.c:		Now can specify map height, max map dimension or min
				map dimension by appending h, +, or - to the width.
	* splitxyz.c:		Now use directions and not orientations, plus -D must
				be specified (100 units is not a logical default value).

2004-02-20
	* gmt_map.c:		-JP should not check for wrap-around in lon

2004-02-16
	* install_gmt:		Netcdf 3.5.1 released so no beta download anymore

2004-02-06
	* gmt_plot.c:		GMT_log_array failed for tiny values.
	* gmt_support.c:	Did not understand pens without leading 0, i.e., .5

2004-02-03
	* grd2xyz.c:		Now can do more than one grdfile at the time.

2004-01-28
	* nearneighbor.c:	weighted sum suffered from premature round-off (float).

2004-01-27
	* grd/gmtmath.c:	Added SINC and NEQ operators

2004-01-23
	* explain_-?.txt:	Some upper case versions had been corrupted and
				just duplicated the lower case (short) versions.

2004-01-22
	* *.txt:		Added GMT Version to all man pages

2004-01-20
	* psxyz.c:		Shading failed for cube/columns w/cpt file given

2003-01-16
	* do_examples.sh:	Referred to bash, not sh scripts.

2003-01-14
	* GMT_CustomSymbols.lis:	Not in the tar archive

-----------------------------------------------------------------------------------------
2004-01-12
	* tar 4.0b made and released via email
	* tar 3.4.4 made and released via email
-----------------------------------------------------------------------------------------

2003-01-12
	* pslib.*:		Added octagon as new built-in and custom symbol
	* psxy[z].*:		---"---

2004-01-10
	* gmt_grdio.c:		scale/offset in grdfiles now working.
	* gmt_customio.*:	Added support for NOAA/NGDC grid format
	* mapproject.c:		Added -A for azimuth and backazimuth calculations
				Both -A and -G can now use exact formulae for
				ellipsoids when geodesics are involved.

2004-01-07
	* gmt_support.c:	Calculation of decimals needed in format now fixed.

2004-01-06
	* project.c:		Explicitly give error if -F and -G are both set
	* *.txt:		Changed (l) to (GMTMANSECTION) in the txt files
				that generate man pages since on some systems
				(e.g., Debian) there is no manl and man1 is used.
				(GMTMANSECTION) now goes to $mansection via sed.

2004-01-02
	* triangle.*:		Updated triangulation to version 1.4

2003-12-23
	* mapproject.c:		Added options -E, -T and -Q for datum conversions
	* gmt*.[ch]:		Internal upgrades to deal with datum conversions
				Renamed array ellipse to ref_ellipsoid

2003-12-22
	* pslib.*:		Added pentagon as new built-in and custom symbol
	* psxy[z].*:		---"---

2003-12-17
	* gmt_init.c:		Now, -J can be used to mean previous -J* option.
				All example scripts now demonstrate this effect

2003-11-26
	* gmt_support.c:	GMT_non_zero_winding failed when null polygon given.

2003-11-12
	* psxy[z].c:		-C with -Z in headers can now color lines or polygons (-L)

2003-11-10
	* psscale.c:		Now -E[b|f] can set back or foreground triangle only
	* mgg/gmtlist.c:	Needed to call GMT_begin so col types were initialized.

2003-11-08
	* xyz2grd.c:		Pixel registration and y=n gave negative index.

2003-10-31
	* gmtselect.c:		Halloween bug.  -bo only gave 2 columns regardless of input
	* grdmath.c:		Now allows multiple = file.grd statements to be
				given, as long as the stack is deep enough

2003-10-21
	* psscale.c:		-B<int> must be ignored if -L is also set.

2003-10-03
	* gmt_cdf.c:		Did not clean x/y/z unit strings before reading from grdfile

2003-09-26
	* pstext.c:		Justification did not check for bad codes resulting
				in bad (uninitialized) text offsets

2003-09-17
	* grd2cpt.c:		-E added by S. Eickschen via PW
	* pscoast.c:		Needlessly clobbered background when no painting
				was specified with -JE

2003-08-26
	* gmtmath_main.c:	DIV turns operation to MUL but did not reset factor
	* grdmath_main.c:	---"---

2003-08-21
	* pscontour.c:		-D produced garbled multisegment header (no \n)

2003-08-14
	* spectrum1d.c:		Insisted on reading 2 columns when only 1 was set
	* gmt_support.c:	Fixed problem in set_grdregion that caused trouble
				with using grid subsets with negative longitudes

2003-07-24
	* *:			Can now use c, i, m, or p as units for pen width
				[Default remains in dpi units]

2003-06-26
	* grdview.c:		Use commas in -G for r,g,b rather than colons

2003-06-25
	* gmt_cdf.c:		Finally implement netCDF formats 7-11 for i/o
	* gmt_customio.c:	Same.  We can now read/write, say, short ints.
	* gmt2rgb.c:		-C never actually read the cpt file

2003-06-23
	* grdmath.c:		Changed hashnode to localhashnode to avoid gcc trouble
	* surface.c:		Same deal with global variable epsilon

2003-05-03
	* grd2cpt.c:		-R added by J Luis.

-----------------------------------------------------------------------------------------
2003-05-01
	* tar 3.4.3 made and released via email
-----------------------------------------------------------------------------------------

2003-04-15
	* psxy.c:		Added -Ddx/dy option to offset symbols

2003-04-14
	* gmt_support.c:	Added mechanism to list custom symbols
				used by both psxy and psxyz
	* Appendix N:		New appendix for custom symbols

2003-04-10
	* gmt_support.c:	The [:[Fr/g/b][Br/g/b]] colorization mechanism
				did not accept a single gray value

2003-04-09
	* gmt_plot.c:		Now writes %%GMT: before all commands echo'ed to
				the PS file facilitating searches

2003-04-07
	* sample1d.c:		Insisted on -S or -N although both -S and -I have default values

2003-04-04
	* grdvector.c:		No wrap-around check could give bad angles at
				right boundary for periodic maps

2003-04-04
	* grdinfo.c:		Added -Tdz option to produce -T string for makecpt

2003-04-03
	* grdview.c:		Now exits if more than one -Q option is set

2003-04-01
	* gmtmath.c:		gmtmath -Tmin/max/dx <constant> = would overwrite
				T column

2003-03-22
	* psxy[z].c:		Added text strings to custom symbol arsenal

2003-03-20
	* gmt_defaults.h:	Added numerous new ellipsoids to a total of ~50

2003-03-11
	* gmtswitch:		Bourne script allowing easy switching between
				GMT versions.

2003-03-11
	* gmt*:			Use .gmtcommands4 to avoid confusion with GMT 3

2003-03-11
	* gmt*:			Use .gmtdefaults4 to avoid confusion with GMT 3

2003-03-10
	* minmax.c:		Added -Tdz option to produce -T string for makecpt

2003-03-06
	* gmtdefaults:		Now accepts - for no back, fore, or nan colors
	* gmt*:			Added shorthand -Rg for -R0/360/-90/90 (global)

2003-03-05
	* gmtmath.man:		Did not list -A in synopsis nor explain it.

2003-02-18
	* grdimage.c:		If -JX had negative axes then -E would in effect remove the sign.
	* *:			Now supports CMYK color specifications in pen, fill/cpt; new parameter
				PS_COLOR = {rgb|cmyk} determines colors used in PostScript output.
				Also supports HSV color in pen/fill when COLOR_MODEL = hsv.
	* psxy.c:		Reading bar info from file failed...
	* psxyz.c:		Reading bar info from file failed...

2003-02-07
	* psxyz.c:		-SE ellipses had bad z-transformation

2003-02-05
	* gmt_plot.c:		GMT_log_array would occasionally overshoot its
				max value

2003-02-02
	* gmtselect.c:		Now implements -L correctly, both in Cartesian
				and spherical coordinates

2002-11-22
	* grdmask.c:		Resampled path before adding closure could lead
				to SEGV mem problem.

2002-11-21
	* pshistogram.c:	More gcc 3.x complains about global variable
				name clashes with triangle.c
	* surface.c:		---"---

2002-11-19
	* pstext.c:		Memory allocation error; asked for wrong size.

2002-11-13
	* grdmath.c:		Added CAZ and SAZ for azimuths from nodes to
				given point using Cartesian and spherical geome-
				try, respectively.

2002-11-08
	* gmtsuppl.bat:		Did not compile the gshhs supplement so missing
				from GMT_suppl_exe.zip

2002-11-06
	* dbase/grdraster.c:	Had obsolete -Z option in the usage message.

2002-11-04
	* psbasemap.c:		Would parse arguments without leading hyphen and
				complain.

2002-10-30
	* gmt_io.c:		Now uses TIME_IS_INTERVAL to center data on
				chosen interval.

2002-10-28
	* gmtmath.c:		Mac gcc complained about global variable
				hashnode, conflict with global variable of same
				name in gmt_init.o

-----------------------------------------------------------------------------------------
2002-10-02
	* tar 3.4.2 made and released via email
-----------------------------------------------------------------------------------------

2002-09-27
	* pscoast.c:		SEGV in certain cases with clipping now fixed.
	* *:			Now accept -:i and -:o to swap only input or
				only output x,y.
	* segyprogs/pssegyz.c:	fixed bug with reduced data plotting, also
				improve error checking on parameters
	* segyprogs/segy2grd.c:	New program to convert SEGY files to GMT grid
				files
	* gmt_map.c:		Map clipping sometimes failed for azimuthal maps
				with rect border
	* imgsrc/img2grd:	Added -E to force output grid to match given -R
				exactly + dy=dx

2002-09-25
	* gmt_map.c:		clipping bug in pscoast related to rectangles.
	* project.c:		Cartesian 2-D rotation did the negative rotation.
	* grdcut.c:		Did not check that new wesn differs from old wesn
				by an integer number of dx, dy.

2002-09-18
	* grdtrend.c:		Only write weights if robust option is selected
	* trend2d.c:		Usage had wording from trend1d instead.

2002-09-04
	* spotter/rotconverter.c:	Added -T option to transpose the final result
				before output.

2002-08-26
	* :			All standard GMT font information (the usual 35
				fonts) are now read from the file
				share/pslib/PS_font_info.d. To add custom fonts,
				just add entries to CUSTOM_font_info.d.  The old
				include files PS_font_heights.h and
				PS_font_names.h are no longer used.

2002-08-20
	* grdmask.c:		Did not approximate polygon sides with great
				circle arcs when the data were geographic (turn
				this off with new -A option).

2002-07-29
	* gmtmath.c:		Failed to check for -T0/0/1.

2002-07-23
	* gmtmath.c:		Added COL operator to place the chosen column on the stack.
	* gmt_init.c:		now computes flattening if polar radius is given and f < 0.
	* README etc:		All mailing lists have now moved to @hawaii.edu.

2002-07-07
	* grdimage.c:		Did not transform images for logarithmic/pow projection
	* gmt_map.c:		Added GMT_transx/y_forw functions for grids to address this.

2002-06-26
	* xgrid/xgrid_GMTgrid.h:	Incorrectly redeclared GMT_is_fNaN for SGIs only
	* mex/grdwrite.c:	When no info given we must assume gridline regs.

2002-06-13
	* psscale.c:		-A option to place anotations on opposite side.
	* gmt_support.c:	GMT_grd_setregion now returns 1 if grd is outside -R.
	* grd*.c:		Plots empty map if grid is outside -R instead of fatal errors.

2002-05-23
	* share/cpt/GMT_drywet:	New (and 20th) GMT cpt table (by Ed Maurer, U Washington)

2002-05-20
	* pslib.c:		Now using full precision in x y translate statements.

2002-05-17
	* spotter/backtracker.c:	Needed -M to function with multisegment files
				Also added -Q to assign fixed age to all points.
	* cps:			No longer a GMT supplement but its own boss.

2002-05-09
	* pslib.c:		Fonts used in @%..% were not reencoded before
				use.

2002-05-02
	* makecpt.c:		Now has -Qi|o to deal with logarithmic color
				scales
	* grd2cpt.c:		Same.

2002-04-25
	* grdinfo.c:		-C did not spit out file, nx, and ny as it used
				to do.

2002-04-19
	* spotter/libspotter.c:	Added one extra argument to track functions.

2002-04-16
	* pstext.c, psxy{,z}.c:	Used integer font size instead of double

2002-04-12
	* gmtselect.c:		Crashed if -L had empty segments

2002-04-11
	* project.c:		Bug in flat earth calculation setup

2002-04-08
	* dbase/grdraster.c:	Did not complain if -R was not given (-R is
				required)

2002-04-05
	* spotter/libspotter.c:	Had wrong conversion for flowlines, now fixed.
	* spotter/rotconverter.c:	-Fsf only worked with -H.  Now works without -H.

2002-04-04
	* grdmath.man:		Missed -F in synopsis

2002-03-22
	* gmt_map.c:		Replace lat = south + i * dy with north at end of
				loop.  Otherwise lat may slightly exceed +- 90
				degrees.

2002-03-17
	* segyprogs/segy_io.h:	#ifdef for Interix (OpenNT) added

2002-03-13
	* x2sys/makefile:	Changed order of -L<libdirs> to please MacOS X.
	* x_system/makefile:	---"---

2002-03-06
	* grdmath.c:		DDY, D2DY2, and part of CURV had the wrong sign.

2002-03-04
	* gmtinstall.bat:	Now links with getargv.obj so wildcard works in DOS
	* gmtsuppl.bat:		---"---

-----------------------------------------------------------------------------------------
2002-03-01
	* tar 3.4.1 made and released via email
-----------------------------------------------------------------------------------------

2002-02-27
	* gmtmath.c:		Had -bi|o[d] instead of -bi|o[s]

2002-02-22
	* grdreformat.c:	-N added; suppresses the writing of grd headers
				in native grids intended for grdraster use.
	* gmt_customio.c:	Support for no header output.
	* gmt_cdf.c:		---"---

2002-02-17
	* gmt_map.c:		Allocation error in clipping could crash pscoast.
	* grdview.c:		-Qc will do colormasking of NaNs.
				Giving both -Q and -T gives usage error.

2002-02-15
	* grdimage.c:		-Q will do PS Level 3 colormasking of NaNs.
	* pslib.c:		ps_colorimage can now do PS Level 3 colormasking

2002-01-30
	* gmt_io.c:		Expanded gmt_io bad records reporting.

2002-01-29
	* x2sys/x2sys_cross.c:	Allocated half the memory needed for y and t.

2002-01-17
	* project.c:		-N caused syntax error, still in argv
				after special handling
	* gmt_io.c:		If no -f or -J, allow dd:mm in -R to be backwards
				compatible
				but give warning.

2002-01-13
	* gmt_map.c:		Fixed missing latitude annotations for
				-R-180/180/...
	* gmt_plot.c:		---"---

2002-01-10
	* gmt_init.c:		Added Custom_WxH paper media for arbitrary sizes.

2002-01-07
	* gmt_plot.c:		More fixes for tilted fonts.
	* gmt_keycases.h:	New include file.  It and gmt_keywords.h are
				now generated by guru makefile from the file
				gmt_keywords.d

2002-01-06
	* gmt_plot.c:		More fixes for tilted fonts.

2002-01-04
	* gmt_keyword.d:	Added new guru file from which gmt_keywords.h and
				new gmt_keycases.h are generated.
	* gmt*.[ch]:		Fixed spelling of anotation -> annotation in
				variables.  Font sizes no longer restricted to
				be integers

2002-01-03
	* gmt_plot.c:		Fixed font size and tilt problems for 3D
				perspective annotations.

2002-01-02
	* grdblend.*:		Spellchecked.

2001-12-24
	* pslib.c:		Write in binary mode so PS binary images
				under Windows are not corrupted.

2001-12-20
	* *.c *.h suppl/*.{c,h}:	Spellcheck, corrected errors

2001-12-19
	* explain_-{B,R}.txt:	Corrected spelling.
	* *.*:			Corrected errors in spelling Shewchuk

2001-12-17
	* gmt_customio.c:	Corrected typos

2001-12-13
	* gmt_io.c:		Binary output did not have lon-range adjustment
	* grdtrack.c:		variable my not assigned, had junk value
	* gmt_plot.c:		Now use a 600dpi GMT glyph in the timestamp

2001-12-10
	* mapproject.c:		-Vl now updates status every 1000 line
	* gmtselect.c:		With -bi, got confused and read -F, -L, -C files
				as binary.  These are _always_ ascii.
				-Vl now updates status every 1000 line

2001-12-08
	* gmtmath.c:		Accepts -T<ttable> for irregularly spaced t.

2001-12-07
	* cps/cpsencode.c:	No longer present -e, -u option, although they
				are left in the program for backwardness.

2001-12-06
	* gmt_grdio.c:		Added functions for grid row i/o.
	* grdblend.c:		Added new program for blending grids.

2001-12-05
	* explain_-B.txt:	Corrected typos

2001-12-01
	* grdimage.c:		If z == NaN, do not use intensity to change NaN
				rgb values.

2001-11-30
	* gmtmath.c:		Added LSQFIT for least squares solution to Ax = b
				FDIST now takes F, nu1, nu2.
	* grdmath.c:		---"---

2001-11-28
	* gmt/grdmath.c:	Added CHICRIT, FCRIT, TCRIT, and ZCRIT for
				critical values given alpha and degrees of
				freedom.

2001-11-24
	* gmt_io.c:		Now can handle CR/LF in input files.
	* pstext.c:		Added -A when azimuths are given rather than
				directions

2001-11-23
	* grdtrack.c:		Added -N to retrieve node values only

2001-11-19
	* grdcut.c:		Needs -f to process -R

2001-11-18
	* gmt_grdio.c:		No need to replace underscores with spaces in
				remarks etc

2001-11-16
	* psxy[z].c:		Added -Sy for vertical dash and -Sz for z-dash
				in psxyz
	* grd2xyz.c:		Added -W[wt] to write out a constant weight
				factor

2001-11-15
	* mapproject.c:		Added option -G for distance calculations

2001-11-13
	* gmtdefaults.txt:	Updated defaults (pscoast -A)

2001-11-09
	* grdinfo.c:		-D now obsolete (use -f instead), but left for
				backwardness
				All columns now formatted as specified.
	* psimage.c:		Added optional justification to -C

2001-11-07
	* pstext.c:		-M did not skip text recs, only master records.
	* psmask.c:		-D-<file> will write mask path to a single
				multiseg file

2001-10-31
	* grdreformat.txt:	Replaced "nan" with "NaN"

2001-10-24
	* meca/ps*.txt:		Corrected man page formatting problems

2001-10-24
	* pslib.c:		Cosmetic change to function headers

2001-10-24
	* gmt_support.c:	Corrected error in comments for
				GMT_minmaxinc_verify [bchj]

2001-10-24
	* spotter/rotconverter.c:	New tool to manipulate finite rotations

2001-10-22
	* gmt_plot.c:		GMT_coordinate_array didn't return value
				causing crashes when handling -Jx|X [bchj]

2001-10-15
	* *.c:			General support for misc character encodings
	* psxy.c:		-S did not work well when l<size>/<string> was
				read from the data file (\n was not removed).

2001-10-12
	* psimage.c:		Transparency did not work.
	* pslib.c:		1-bit images of odd width did not colorize
				correctly.

2001-10-11
	* grdproject.c:		Did not do false northing properly

2001-10-04
	* gmt_map.c:		Allow 360-periodicity in central meridian test
				Frame ticks for non-fancy maps when no annots
				desired.

2001-10-02
	* pslib.c:		ps_text now does accurate justification based
				on actual text dimensions using the PS inter-
				preter.  Added new functions ps_textdim,
				ps_set_length, and ps_set_height. ps_textbox now
				works with escape-sequence text, and ps_text can
				draw outlines with espace-sequence text.
	* gmt_plot.c:		Axis annotations now fully justified using PS
				interpreter.

2001-09-27
	* grdcontour.c:		Transparent labeling need to specify pen down
				when skipping points under the label.

2001-09-26
	* pslib.c:		Added support for writing either RGB or CMYK
				images as well as image interpolation (PS Level
				2).  Consolidated all image operations in
				ps_colorimage.
	* gmt_init.c:		Extended PSIMAGE_FORMAT to handle
				<hex|bin><rgb|cmyk>.  Default is hexrgb.  Old
				values hex and bin is taken to mean hexrgb and
				binrgb.
	* grdimage.c:		-E-<dpi> turns image interpolation in PS on.
	* psimage.c:		-W-<xlength>  turns image interpolation in PS on.

2001-09-25
	* psxy[z].c:		-Sv|Vs expects vector heads (x,y) instead of
				dir, length.
				Uppercase modifier S,B,H,T gives double-headed
				vector.
	* pslib.c:		Added support in ps_vector for double heads.

2001-09-23
	* pslib.c:		Ignored ny for non-square fill images.

2001-09-20
	* psxyz.c:		Added rect and dash symbols too.

2001-09-18
	* pstext.c:		Bug when giving font names rather than font
				number.
	* pslegend.c:		New tool adds legends to maps.
	* psxy.c:		Added new symbols - (dash) for a short line
				segment and r (rect) for a rectangle (dimensions
				from col 3+4)

2001-09-17
	* grdimage.c:		Now can do false-color plots using three input
				grids (r,g,b)
	* grdview.c:		---"---

2001-09-17
	* gmt2rgb.c:		New tool to create r,g,b grids from z-grid or
				raw or Sun raster images.

2001-09-16
	* psxy.c:		Added -Sk for custom symbols to replace
				make_symbol script.

2001-09-13
	* pscontour.c:		Now deals more appropriately with NaNs

2001-09-11
	* gmt_plot.c:		Added time axes plot support

2001-09-06
	* Appendix F:		Now shows the ISOLatin1[+] character codes too.

2001-09-04
	* App M:		Added appendix showing the cpt scales.

2001-08-31
	* gmtmath_main.c:	MED, MAD, MODE, LMSSCL were passed n-1, not n.
	* grdmath_main.c:	--"--

2001-08-28
	* gmtdefaults.c:	GMT_program not set so (null) was given when
				error.
	* pslib.*:		Added ISOLatin1[+] encoding support, old
				WANT_EURO_FONT is now Standard+ encoding.

2001-08-23
	* gmtmath.c:		Did not deal well with negative t_inc

2001-08-17
	* gmt*.c:		Initial i/o support for calendar/clock data
				implemented.

2001-08-16
	* triangulate.c:	-b had no break; also did -D
	* *.c:			-b now processed with common arguments
				Added -f to decode time columns for special time/geo columns

2001-08-14
	* gmt_calclock.[ch]:	New time-handling functions added
	* gmt_time_systems.h:	--"--

2001-08-06
	* psscale.c:		Not fully cm/inch tolerant - added fix to deal with this.

2001-07-26
	* grdinfo.c:		Did not add 0.5dx/0.5dy to min/max location for pixel grids

2001-07-16
	* gmt_plot.c:		-Jp did not give tickmarks and only did 0-360 annotations.

2001-07-12
	* grdvolume.c:		Had trouble when many nodes equaled the contour value.

2001-07-11
	* grdmath.c:		EXTREMA ignored boundary rows/columns and did
				not use diagonals.  Now uses all nodes and deals with NaNs.
	* gmtdefaults.c:	Add 1000 to DEGREE_FORMAT for no degree symbol.
	* psrose.c:		Did not check properly for DEGREE_FORMAT symbol.

2001-07-10
	* psxy[z].c:		Implemented -Sv|V[flag], with optional flag
				h, b, or t to associate point with head, center,
				or tail of vector.

2001-07-02
	* grdfilter.c:		If input grid was pixel, output would be grid-
				line reg.

2001-06-27
	* psmask.c:		Failed if both west and east < 0.

2001-06-12
	* grdvolume.c:		Bug in array allocation for -C0 and no -C

2001-06-08
	* gmtdefaults.c:	Added more DEGREE_FORMAT options to deal with
				west longitudes (-360 -> 0) for some planets.

2001-05-23
	* psxy.c:		Forgot to mention that psxy -EX|Y now does box-and-whiskers

2001-05-22
	* gmtmath.c:		CHIDIST, TDIST, and FDIST all take degrees of
				freedom nu and not n as advertised.  FDIST takes
				variances.
	* grdmath.c:		---"---

2001-05-10
	* trend1d.c:		Also output [unstable] polynomial coefficients
				(with -V)

2001-04-27
	* gmt_init.c:		Allow -Jx1:xxxx for linear scales. Update man
				pages
	* gmt_map.c:		Check that -R is valid for geographic coordinates

2001-04-25
	* surface.c:		Aborted when all points lie on a plane. Now fill
				grid with the planar values instead.

2001-04-24
	* minmax.c:		-C -Idx/dy did not use dy, only dx.
	* pslib.c:		Ensure setpagedevice only used with PS Level > 1
	* mapproject.c:		The verbose min/max values where not reflecting
				-D

2001-04-23
	* gmt_support.c:	Add mechanism to check if clipping set up by
				psclip and pscoast is terminated properly
	* pslib.h:		Added clip_level for above purpose.

2001-04-19
	* gmt_plot.c:		Added clipping inside gridcross routine

-----------------------------------------------------------------------------------------
2001-04-18
	* THIS IS START OF DEVELOPERS 4.x SERIES
	* tar 3.4 made for transition to CVS-based archive
-----------------------------------------------------------------------------------------

2001-04-17
	* gmt_plot.c:		Log10 frames suffered from round-off when bounds
				were < SMALL.
	* gmtdefaults.c:	Added more DEGREE_FORMAT options to deal with
				integer degrees followed by decimal minutes.
				Now must add 100, not 10, to get big degree
				symbol instead of the default.

2001-04-13
	* pslib.c:		Transparent images got back/foreground switched

2001-04-11
	* gmtmath.c:		Give error message if unrecognized opts are used
	* grdmath.c:		---"---
	* grdhisteq.c:		Incorrectly incremented index j and made gaps
	* segyprogs/*.c:	Now checks for endian-ness and have new option -A
	* gmt_cdf.c:		Write full headers to maintain fixed  header size
	* grdimage.c:		-M now affects -T also
	* dbase/grdraster.c:	Round off sloppy -R to nearest dx/dy and give
				warning
	* *.c:			Relax test of number of fields in input records
				for programs where n_required is known.

2001-04-10
	* grdview.c:		-Qsg never implemented; same for -Qmg.

2001-04-07
	* configure.in:		Now uses GMT hypot function under Cygwin/Interix
	* gmtformats.d:		Updated to list all grid formats

2001-04-04
	* pslib.c:		Ensure pen color is reset to black in ps_plotend.
	* triangle.tar:		Now starts at the src/ level, not GMT/

2001-04-03
	* meca/pscoupe.c:	Uninitialized variable now set (cause of Win32
				problem?).
	* segyprogs/pssegy[z].c:	fixed behavior for -ve
				Corrected type mismatches and format statements
	* spotter/hotspotter.c:	Fixed malformed format statement
	* spotter/originator.c:	Fixed malformed format statement
	* x_system/x_over.c:	Fixed long and int mismatches
	* x_system/x_solve_dc_drift.c:	Fixed long and int mismatches
	* x_system/x_report.c:	Fixed long and int mismatches
	* x_system/x_update.c:	Fixed long and int mismatches

2001-04-02
	* gmt_map.c:		Now gives error if -R...r extends beyond horizon.

2001-03-27
	* grdimage.c:		Picked wrong box for -JG when periodic in long
				but not quite -90/+90 in latitude.
	* grdview.c:		Place basemap on top when not a 3-D view

2001-03-22
	* gmtsuppl.bat:		Try no optimization for meca supplement compile

2001-03-20
	* gmt_plot.c:		Fancy frame color not set for -B0

2001-03-07
	* gmt_map.c:		Eliminated unnecessary * and / in gmt_[i]tm_sph.
	* gmt_init.c:		Treat -<zone> and +<zone> in UTM as given.
	* GMT_doc.*:		Split into several archives, as below:
	* GMT_ps.*:		The PostScript versions of Cookbook and Tutorial
	* GMT_pdf.*:		The PDF versions of Cookbook and Tutorial
	* GMT_man.*:		The UNIX man pages for GMT
	* GMT_tut.*:		The tutorial data sets
	* install_gmt:		Modified to deal with the new archives
	* gmt_services.html:	Now has links to PDF versions of documentation

2001-03-05
	* imgsrc/img2grd:	The script did not understand name=format grdfile names.
	* gmt_customio.c:	When writing integer grids, use irint to get out
				value, and apply same roundoff to min/max values.

2001-03-01
	* grdcontour.c:		Adopted Kaj Jancke's modification for transparent
				text label boxes by appending t to the -A option.
	* GMT:			Added a wrapper script that can start any GMT
				command.  It is intended to be installed in
				/usr/bin and it will know where the GMT binaries
				are to be found.  E.g., use as
				GMT psbasemap -R0/5/0/5 -JM5 -P -B1 > plot.ps
	* GMT.txt:		Renamed gmt.txt to GMT.txt

2001-02-26
	* block*.c:		Added -F to mean pixel registration, but left -N
				in there for backward compatibility (undocumented
				option).
				Added -C to output center of block instead of
				mean/med/mode
	* blockmode.c:		Did not output value when only one point inside
				block, and gave wrong value when two points of
				equal weight were in the block.

2000-02-20
	* minmax.c:		Added -D for Dateline (-180/+180) vs Greenwich (0/360).
	* xyz2grd.c:		Now can handle multiple input files (except for -S)
	* surface.c:		Issue error if more than one input file is given.
	* gmt_plot.c:		Maps with -JPa<size>/<base> were not oriented correctly
				Also, the annotations were incorrect.
	* grdview.c:		With -JZ-<size>, the z-annotations were not plotted.

2000-02-05
	* meca/psmeca.c:	Several pens and fills were not initialized.

2001-01-17
	* project.c:		Did not calculate distances along small circles
				correctly
	* gmtselect.c:		Used wrong slope for normal to line.

2000-12-22
	* *.c:			Xmas present to users who want their -: back.
				-: now works regardless of -L.
	* gmt_support.c:	Now use binary search to get rgb_index (thanx to Mika Heiskanen)

2000-12-15
	* minmax.c:		Needed -L so that -: would work for geographical data.

2000-12-09
	* psxy.c:		Ellipses drawn with -SE -N will not be skipped
				if their center is outside as some lines should plot inside.

2000-12-08
	* gmt_map.c:		Ensure that if BOTH west/east are < 0, add 360.
	* gmt_support.c:	GMT_set_format now always checks if units should be added.
	* gmt_plot.c:		No longer overrides GMT_set_format.
	* psscale.c:		-B0 will now skip annotations, like psbasemap.

2000-12-07
	* pswiggle.c:		Still did not get the azimuths correct.  Now pos-
				itive wiggles should go in the preferred dir-
				ection [north].

2000-12-04
	* pscoast.c:		Had world_map = TRUE for Gnomonic, which is not
				correct and led to criss-crossing of lines
	* gmt_map.c:		No Gnomonic annotations except for rectangular box.
	* mapproject.c:		Wrong units used when reporting the
				xmin/xmax/ymin/ymax string

2000-11-30
	* grdvector.c:		-Sf now sets fixed length vectors.

2000-11-28
	* gmt_support.c:	Had error in verifying xinc for boundary cond-
				ition prep.

2000-11-27
	* gmt_shore.c:		Need to reset node-levels when some polygons are
				skipped with the -A option.

2000-11-17
	* pswiggle.c:		-Z did not use the default measure unit but inst-
				ead used inches in the absence of a modifier.

2000-11-16
	* gmt_man.html:		Had bad links for the cps modules

2000-11-06
	* gmt_map.c:		Only had forward, but not inverse projection of
				linear geographic data.  Messed up the
				-JX<width>d inverse.

2000-11-03
	* mgg/gmttrack.c:	-Sab was not converted to meters internally.
				dist was initialized to zero more than once.

2000-10-30
	* gmt_support.c:	GMT_getinc would remove the trailing m or c while
				processing the increments; this only affected
				titles or remarks in output gridfiles.

2000-10-27
	* gmt_stat.c:		Return to inc_beta for GMT_f_q.  Not used in GMT.

2000-10-20
	* gmt_map.c:		Really densely sampled lines could fail to gen-
				erate a crossing at map boundary due to imposed
				round-off.
				Now enforce that all lines start with "pen down".

-----------------------------------------------------------------------------------------
2000-10-17
	* tar 3.3.6 made and released via email
-----------------------------------------------------------------------------------------

2000-10-17
	* gmtmath.c:		Off by factor of 1/2 in D2DT2...
	* gmt_grdio.c:		Better messaging in the grd_RI_verify routine

2000-10-13
	* gmt_notunix.h:	DIR_DELIM should only be set to \ for WIN32.

2000-10-12
	* pslib.c:		Bug in ps_clipon: Passed close=TRUE to ps_line
				but 1st point not included so close === FALSE.

2000-10-10
	* gmt_support.c:	Fix of 2000-09-19 broke grd2cpt - now fixed to
				deal with both cases (makecpt and grd2cpt).

2000-10-05
	* grdcontour.c:		Had to add -D- to get short DOS names for WIN32
				gawk which does not seem to understand long names

2000-10-02
	* gmt_grdio.c:		Wrong size passed to do_scaling if pads were set.
	* grdmath.c:		Needed to initialize grd header when no files
				present on the command line.
	* do_examples.*:	Neither version set the library path correctly
	* install_gmt:		Did not clean up after itself; still had bad (and
				unnecessary comparisons to empty strings
	* gmt_customio.c:	Updated read function for surfer file grids
				[from J. Luis].

-----------------------------------------------------------------------------------------
2000-09-29
	* tar 3.3.6beta made and released via email to gmt-team
-----------------------------------------------------------------------------------------

2000-09-29
	* grdview.c:		-B..W+ for -Jo gave wrong box.
				-N facade and vertical lines not possible with
				-Rw/s/e/nr

2000-09-27
	* surface.c:		Now aborts with a message if all input data lie
				on a plane.
	* gmt_customio.c:	Fixed read_info for surfer file grids [J. Luis].
	* meca/utilmeca.c:	Replaced M_2PI with TWO_PI which is defined in
				gmt.h
	* install_gmt:		Now a Bourne shell script which is the most port-
				able shell.

2000-09-20
	* Makefile:		Had a typo: mex had become nex.

2000-09-19
	* gmt_support.c:	Resampling of cpt files (for makecpt) did not
				anticipate non-equidistant z-values from the
				user, which can occur when no -T option is given.
				Allow custom formatting of axis values via
				D_FORMAT when the it does NOT contain the 'g'
				format type.
	* gmt_plot.c:		-JX...d with negative axes would not draw frame
				and annotate.

2000-09-17
	* grdtrack.c:		-Lg now implies -L
	* nearneighbor.c:	---"---.

2000-09-13
	* Makefile:		Main directory Makefile did not copy
				.gmtdefaults_{SI,US}
				to the alternate share directory.
	* gmt_support.c:	GMT_LUT structure were not properly initialized
				and some FILL pointers where not zero (affected
				cpt files with more than 50 entries).

2000-09-05
	* grdimage.c:		Needed polygon clip/wrap machinery for -T as in
				psxy.
	* gshhs:		Added the GSHHS tools as a new supplement.  The
				binary data files must be obtained separately
				as before.

2000-08-23
	* gmt/grdmath.c:	Added UPPER and LOWER to get extreme values

2000-08-22
	* gmt_cdf.c:		New formats 7-11 for netcdf files with byte,
				char, short, int, and double arrays instead of
				floats.  Thanx goes to Masakazu Higaki, JMA for
				implementing this feature.
	* gmt_customio.c:	---"---
	* gmt_grdio.{c,h}:	---"---
	* psxyz.c:		-Su with size read from file failed to set y-size
				of cube.

2000-08-21
	* imgsrc/img2grd:	New Bourne script that calls img2mercgrd and
				converts the Mercatorized grid to geographic
				using grdproject.
	* gmt_init.c:		When ensuring that -J is processed first we must
				preserve the order of the other arguments since
				grdvector expects two grdfile names in row.

2000-08-18
	* gmt_stat.c:		Moved GMT_median and GMT_mode to here from
				gmt_support.c
				Made GMT_getmad based on code in pshistogram.c
				Made float versions of GMT_median, GMT_mode,
				GMT_getmad.
				Added chi-squared distribution.
	* pshistogram.c:	Now calls the external GMT_getmad function.
	* grdmath.c:		Added ISNAN, XOR, MODE, MAD, LMSSCL, TDIST,
				FDIST, CHIDIST
	* gmtmath.c:		Added all these --"--, plus INT and SUM. Also
				added -S to report just the first row of the
				results (useful when we use MEAN, MEDIAN, etc)

2000-08-01
	* psxy[z].c:		With -V, symbol sizes <= 0.0 result in warning
				(they are being skipped)
	* pslib.c:		Added ps_write_rasheader function for complete-
				ness
	* gmt_support.c:	Added *_out_of_bounds functions for adjusting
				i,j based on BCs.
	* gmt_boundcond.h:	Added prototypes for above.
	* nearneighbor.c:	Use new *_out_of_bounds functions, plus fixed
				bug with replication and x-periodicity.  Also
				fixed bug in the way new points were counted.

2000-07-31
	* gmtmath.c:		Added plain -T for no-time data and -Cr to toggle
				cols
	* xyz2grd.c:		Now -V is needed to get verbose action (warnings)
	* gmt_init.c:		Because of -L, -R now needs to set all of the
				project_info.w,e,s,n

2000-07-27
	* grdmath.c:		Added EXTREMA operator to find local extrema
	* gmtmath.c:		Added LT, LE, EQ, GE, GT, NAN operators
	* grdmath.c:		--"--
	* gmtmath.c:		-Q must be protected from new  -T/inc check.

2000-07-25
	* grd2xyz.c:		Needed -L so that -: would work.
	* psscale.c:		Modifier -B...s did not work.

-----------------------------------------------------------------------------------------
2000-07-21
	* tar 3.3.5 made and released via email
-----------------------------------------------------------------------------------------

2000-07-21
	* gmt_map.c:		Would reject polygons that completely contained
				the -R region as being "outside" the region.

2000-07-17
	* x_system/*.c:		All now include gmt.h to deal with _WIN32
	* cps/libuu.c:		Needed fcntl.h under cygwin (_WIN32)
	* config.*:		New versions correctly work under Interix and for
				Rhapsody (MacOS X).

2000-07-13
	* pslib.c:		No longer reencode the Japanese fonts
	* grdmath.c:		Added plain Heaviside step function STEP
	* gmtmath.c:		Renamed existing STEP to STEPT in keeping with
				naming convention established in grdmath.  Then
				added new, plain STEP (Heaviside function)

2000-07-10
	* blockm*.c:		Added option -L for periodicity in lons (360)
	* splitxyz.c:		--"--
	* trend2d.c:		--"--
	* triangulate.c:	--"--
	* gmtselect.c:		--"-- (plain -L; -L<flag> is still preserved)
	* grdtrack.c:		--"-- (plain -L; -L<flag> is still preserved)
	* nearneighbor.c:	--"-- (plain -L; -L<flag> is still preserved)
	* surface.c:		--"-- (plain -L; -L<flag> is still preserved)
	* gmt_support.c:	Fixed bug in set_grd_region

2000-07-07
	* gmt_io.c:		With some exceptions, -: is processed by
				GMT_input and GMT_output, and only applies to
				geographic data.
				Periodicity in lons also handled in GMT_input.

2000-07-05
	* pslib.c:		Very large images (> 21845 pixel per scanline)
				would exceed implementation limits on string
				length. Fixed.

2000-07-03
	* mex:			Added configure file to make the makefile

2000-06-30
	* gmtdefaults.c:	Add 10 to DEGREE_FORMAT to use the large degree
				symbol
				[Default uses the standard, small ring-symbol]

2000-06-27
	* psxy.c:		Now will resample paths when -JX..d is used.

2000-06-16
	* pslib.c:		Now includes reencoding of missing special chars.

2000-06-15
	* gmtdefaults.c:	Added new parameter ANOT_MIN_SPACING which can be
				used to reduce overprinting of closely spaced
				annotations.  Also, OBLIQUE_ANOTATION has been
				extended considerably to carry many flags that
				affect basemap annotations.

2000-06-13
	* PS_font_heights.h:	Changed to fit height of numbers instead of "A".

2000-06-10
	* psxy[z].c:		-Sf is now a general front plotter.  The new opt-
				ion is backwards compatible with 3.3.4 and
				earlier.

2000-05-25
	* mapproject.c:		OK to have variable col numbers; only 2 required.
	* grdtrack.c:		Same.
	* grdinfo.c:		-C -M did not output the number of NaNs.
	* grdimage.c:		Called ps_image with incorrect number of pixels
				for 1-bit images (only noticeable on small nx
				grids)

2000-05-23
	* gmt_support.c:	Had USE_TRIANGLE instead of TRIANGLE_D in #ifdef
				test, effectively defaulting to Watson's method
	* xgrid/*:		Now use GMT grid i/o, and a configure script to
				get the X libraries set up correctly, thanx to
				LP.
	* xyz2grd.c:		Added -A[n|z] option to count or add up multiple
				node entries.  Also, no warnings without -V.

2000-05-15
	* grdfilter.c:		Added -T to toggle registration as in grdsample,
				but left old -N in there (undocumented) to ens-
				ure backward compatibility.

2000-05-09
	* share/binned_border*:	Added new borders for the Balkans.
	* grd2xyz.c:		-Sr suppresses all non-NaN nodes

2000-05-05
	* dbase/grdraster.c:	Now, -Ggridfile is optional; if absent we write
				xyz triplets to stdout instead.

2000-05-04
	* gmt_map.c:		Replaced old Oblique Mercator with a general
				rotation to oblique coordinates followed by plain
				Mercator.  Rotation done as in project via vector
				operations.  This also fixes mapproject errors.
				grd_inverse had a 360 degree offset problem.

2000-05-03
	* grdview.c:		mesh was set as default when -T was selected.

2000-05-01
	* grdview.c:		Now correctly reads -Qig as 100 dpi mono image.
	* surface.c:		Planar correction for constrains moved directly
				to nearest node was not scaled by r_z_scale.

2000-04-28
	* gmt_plot.c:		y-comp. of grid-crosses not parallel to meridian

2000-04-27
	* grdview.c:		yval was reset instead of xval - could give SEGV.

2000-04-26
	* gmt_io.c:		Did not skip blank input lines.
	* xyz2grd.c:		Did not update n_filled when it had to average.

2000-04-24
	* gmt_map.c:		Clip path for az. projections when the S or N
				pole was included in -R did not work.
	* gmtselect.c:		-L -F requires an implicit -M while reading the
				line or polygon files.  Option -M only applies to
				the input data files.

2000-04-20
	* gmtmath.c:		-T... did not stick unless T was first operand.

2000-04-19
	* gmt_customio.c:	Reading of bit-masks did not allocate enough mem.

2000-04-18
	* gmt_plot.c:		-B...:,unit: did not check for octal codes or
				escape sequences
	* grdcontour.c:		-D -M did not have linefeed at end of segm header

2000-04-10
	* pscoast.c:		-Gc or -Sc with no coastlines in -R gave SEGV.

2000-03-30
	* pswiggle.c:		-D scaled to meter even for non-geographical data

2000-03-29
	* xyz2grd.c:		Still did 360-check even without -L
	* triangulate.c:	Did not validate that grd-indices were inside
				the region when -R -I -G was used.
	* gmt_init.c:		-Js<lon>/<lat>/<lats>/1:xxxx for true scale at
				specified standard parallel implemented.
	* gmt_map.c:		Only give warning when central meridian as set
				by -J is outside -R (do not reset meridian).
	* grdtrack.c:		Added -Z option to only write the z-column

2000-03-24
	* gmt_map.c:		Sped up -JN by factor of 2 by saving coefficients
	* gmt_mapproject.h:	Added new variables needed for -JN

2000-03-23
	* pstext.c:		Added -Dj to set smart offsets that go in the
				direction of the string's justification.
				Now paints text fill after drawing outline.

2000-03-22
	* pstext.c:		-W has no default fill; fixed man page to agree.
	* gmt_plot.c:		-JPa needed to change to draw counter-clockwise.

2000-03-21
	* gmt_plot.c:		GMT_echo_command used a 160-char char array which
				could overflow on very long (-B) options.

-----------------------------------------------------------------------------------------
2000-03-21
	* tar 3.3.4 made and released via email
-----------------------------------------------------------------------------------------

2000-03-20
	* mapproject.c:		Did not work too well with -: (thanx to TH)
	* pscoast.c:		Reset GMT_world_map which sometimes messed up the
				basemap overlay for azimuthal projections.

2000-03-17
	* gmt_map.c:		Global oblique Mercator maps had zero scale...

2000-03-14
	* gmtmath.c:		DUP and EXCH failed if only constants involved
	* grdmath.c:		Same.
	* gmt_customio.c:	NaN's were not set to proxies upon writing native
				binary files of type short int or smaller.

2000-03-13
	* gmt_io.c:		grd2xyz -Z wrote extra linefeed after NaNs
	* xyz2grd.c:		Never checked for too many input lines with -Z

2000-03-08
	* gmtselect.c:		Always assumed geographic coordinates if -R set.

2000-03-06
	* x_system:		Added old (1995) x_system to supplemental archive
				so it is available until x2sys is completed.
				x_system has been migrated to POSIX ANSI-C
	* psxy.c:		-Sf suffered from wrap-around in longitudes
	* psxyz.c:		-Sf suffered from wrap-around in longitudes

2000-03-03
	* gmt_stat.c:		Added faster version of GMT_jacobi
	* gmt_plot.c:		-U now outputs time in decreasing magnitude.

2000-03-02
	* cps/cpsencode.c:	Now uses built-in uuencode/decode functions from
				the new libuu.c functions.  Added option -x to
				embed executable files encountered.  Now sets the
				file permissions correctly, and #CPS: can take
				wild card notations.
	* cps/cpsdecode.c:	Sets file permissions correctly.
	* cps/libuu.c:		Library with uuencode/decode algorithm
	* cps/uu.h:		Include file used by libuu.c

2000-02-26
	* psscale.c:		Now -U is positioned correctly.
	* cps/cpsencode.c:	Malformed format statement gave junk in CPS file.
				Now understands DOS batch scripts
	* cps/cpsdecode.c:	Did not work with -e -u.
	* ex16:			Now uses pattern too and adds a color scale.
	* gmt_support.c:	B, N ,F in cptfile can be patterns or colors

2000-02-25
	* pscontour.c:		Now paints only those pieces that are not to be
				skipped (old ver. always painted each triangle)
	* psbasemap.c:		-G can now take patterns too.

2000-02-24
	* pslib.c:		Bug in numbering user-defined patterns.
				Changed ps_loadraster interface to take file
	* pslib.h:		Changed ps_loadraster interface to take file

2000-02-22
	* *.c:			Final tuning to allow DLL support for WIN32

2000-02-21
	* psxy[z].c:		Added -Sw for pie wedges

2000-02-19
	* psmask.c:		Wrong starting row number for clipping gave SEGV.
	* sample1d.c:		Added -V for completeness
	* grdedit.c:		Added -V for completeness
	* grdinfo.c:		Added -V for completeness
	* gmt_stat.c:		Function erfc should have been GMT_erfc

2000-02-18
	* grdmask.c:		Now handles input polygons with S or N pole.
				Added -L to allow for periodicity in x data.
				Now checks if data are inside -R when -S is used.
	* *.c:			Output to stdout via GMT_stdout only (DLL bug?)

2000-02-17
	* grdcontour.c:		-D did not care that -Q was set.
	* gmtselect.c:		Now handles polygons (-F) containing S or N pole.

2000-02-15
	* grdvector.c:		Now skips NaN vectors as they have NaN length...
	* psxy[z].c:		No longer need leading space before -G,-Z,-W in
				a multisegment header, and -Z also allows for
				symbols.
	* grdproject.c:		Made similar to mapproject by adding option -A
				to set 1:1 scaling (and optional unit) and exp-
				and -M to take same units as -D in mapproject.
	* gmt_map.c:		Simplifying modifications to fwd/inv grd-
				projections
	* gmt_init.c:		Put code to grdproject and mapproject put here.

2000-02-14
	* xyz2grd.c:		-L option did not work for some range of lons.
	* pslib.c:		ps_shorten_path incorrectly set dir of first
				segment to +1 without looking at dx.  This caused
				line segments with same slope but opposite dir-
				ection to be removed before plotting.
	* psxy.c:		-JP should not use great circle interpolation.

2000-02-10
	* grdimage.c:		-T can use patterns and skips in cpt file.

2000-02-09
	* psscale.c:		Now can paint patterns in the scale bar.

2000-02-07
	* mapproject.c:		Did not allow for false northing (+1.0e7) for UTM
				coordinates on the southern hemisphere.
	* configure.in:		Added --enable-eps to set EPS as default format.
	* gmt_colors.h:		Added pointer to GMT_FILL struct in CPT struct.
	* gmt_support.c:	GMT_read_cpt now knows about pattern CPT files
				which only makes sense for grdview at the moment.
	* grdview.c:		Skips slices if red = -.  For -Qs, you can now
				let gray equal a pattern specification.  For -Qi
				I only apply image clipmask if there are no NaNs.

2000-02-05
	* gmt_support.c:	smooth_contour would pass duplicate points to the
				interpolant which failed to check for dx = 0.
				This affected grdcontour.

2000-02-04
	* .gmtdefaults_{SI|US}:	Reverting the default settings to produce EPS not
				PS since we have failed to educate users on why
				there is a setpagedevice operator... This setting
				is now one of the installation options.
	* gmt_map.c:		Made the GMT_clip_to_map routine more robust so
				that it can handle cases where a polygon will
				intersect a map region but none of the vertices
				are inside the region.

2000-02-01
	* gmt_map.c:		Array for boundary crossovers could only hold 2
				points but sometime 3 is obtained...

2000-01-27
	* gmt_init.c:		geographical coordinates in input files and in
				command line options (-R, -J, etc) can now have
				suffix W|E|S|N|w|e|s|n to indicate sign.

2000-01-25
	* gmt_io.c:		Programs now decode [+|-]dd:mm[:ss.ff][w|w|S|s]
				as it occurs in any columns in the input data.
